commit 050a16328dac1d3573326c43d47376d08210604d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 20:41:36 2013 +0200

    playlist: remove playlist_PreparseEnqueue() (refs #5460)

commit d64350b408b060e6109571625c4de22e2ee6e08c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 20:36:04 2013 +0200

    playlist: remove playlist_AskForArtEnqueue() (refs #5460)

commit df07ba0d22a98e95e0dfcd5d93551b1d5f36a910
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 20:31:52 2013 +0200

    lib: remove playlist dependency on media parsing (fixes #5460)

commit ff8e72230774cb621fb3f5a350f681283973f0f5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 20:25:21 2013 +0200

    playlist: add playlist-independent functions for meta data handling
    
    This really only depends on the input item(s) and the core.

commit a49e110ad3afbbad306ca96310d5a888316dd365
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 20:19:00 2013 +0200

    libvlc: remove stray debug message

commit 55bcbe0e23acb96bdbe6ad11f321c60fa5770cf9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 20:06:19 2013 +0200

    playlist: clean up #includes for meta data modules

commit 99a19a8f45c1e2b5bfcbfbcd5db8f101133dcf2c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 19:55:53 2013 +0200

    playlist: hide fetcher underneath the preparser and simplify

commit 804defccf885a48c3a06cf3b6cd7031d72882f71
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 31 19:40:06 2013 +0200

    Move input_item_array_t to <vlc_input_item.h>

commit e5005f6f6823bf5a880e541a261f9d121636e8bf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 31 15:46:23 2013 +0100

    contrib: disable GnuTLS for iOS

commit 1be757bbae5190aa20d782ebdf8066f50ab71338
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 31 13:51:46 2013 +0100

    contrib/avcodec: fix compilation for iOS on ARM

commit 157010834537a193c861e144a98bf58b03559a2f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 31 13:14:51 2013 +0100

    extras/tools: update gas-pp

commit 31421aef119222ec640f64320ccc103f062567a8
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Dec 31 11:15:17 2013 +0100

    auhal: simplify memset in callbacks

commit b87bc7050a03285434bdbe33fefdc4a2034723f3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 31 10:21:16 2013 +0100

    Qt: allow smaller size on start
    
    Ref #9740

commit d10f8066223854b136dddcc7c5e035379642e0f4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Dec 30 23:11:59 2013 +0100

    extras/ios: disable gnutls

commit e453aec19f4dd03246ff551a1a4b50a812044ddd
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Dec 30 23:11:01 2013 +0100

    contribs/gnutls: disable on iOS

commit ebf778dc39016a5833ad5cb9da857d072072a6f1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 30 20:32:36 2013 +0100

    Qt: SeekStyle: don't use outer size for inner content (fix #9740)

commit 673d45d0d54ac89bd553a8e35242426d14ba4212
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Dec 11 16:26:06 2013 +0100

    Add secure transport TLS module
    
    Secure Transport is a TLS library part of the Security framework
    (preinstalled on every iOS and MacOS device). This library does
    certificate validation during handshake automatically using the
    root certificates from the preinstalled certificate store.
    
    The main reason for this module is proper certificate validation
    on iOS devices. This is not possible with gnutls, because there is
    no access to the root certificates for external applications.
    The module is also intended for use on OSX.

commit 82e069368b1249d10c899e77013b8d0a456262ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 30 20:23:33 2013 +0200

    RTP: align MTU correctly for L24 (fixes #10269)

commit ffd82479f6e3282bd9c8635ee775cd3a9094f176
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 30 19:20:03 2013 +0100

    Qt: fix possible double-free on quit with simple volume widget

commit 8e8f6a5fdbe2b8091330a589b497c063f973597b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 30 20:05:36 2013 +0200

    libav: do not build avio and avformat on MERGE_FFMPEG (fixes #10251)

commit 689ac6f3ef9f682767edb35e3b4914bfa300cb8a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 30 14:14:28 2013 +0100

    demux: ogg: don't create es for finished streams.
    
    Should prevent presenting skeleton in es

commit 723a1c363f2eb178c95aaa900fcefdc4b53e29cd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 30 14:13:02 2013 +0100

    demux: ogg: better track of es state

commit d706c1aa672ef37198f6a7e8f6991b27cf0f4527
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 11 16:20:08 2013 +0100

    demux: asf: follow aspect ratio payload extension (fix #7433)

commit 86dde348a747c8a4347651962f4511c335b8a89d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 28 23:36:24 2013 +0100

    api: allow to change A/R on the fly.
    
    ASF allows specifying a new aspect ratio while playing back.
    Triggering change using the "aspect-ratio" variable can't work
    for unknown A/R as the variable is "Checked" type.

commit 218e5b8a84793188fc537fb75e4b07560f4a0bf2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 27 17:34:02 2013 +0100

    demux: ogg: reuse decoders when fmt is compatible (fix #5394)
    
    Avoids rebuffering.
    Wrong way reverted by 1d6f8d8174d4e2c704732f7ec13c71df6dd8950d

commit a0110b727c51aac389b989ff74072dac9c85d2e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 27 17:22:11 2013 +0100

    demux: ogg: change pts/pcr generation from packets (fix #10198, fix #9605)
    
    Stop using headers granule and invalid granule for PCR/PTS.
    Delays until first PTS/PCR is really known. Avoids 0 to PTS gap
    for non zero starting streams.

commit f5d0c4b6eecef54bc1268f82a58bef61293efb70
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 27 17:16:29 2013 +0100

    demux: ogg: remove discontinuity flag
    
    reused decoders won't need it.

commit b77904f5ad6ca6a6002a92afd7f0f23992923f9d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 27 17:02:11 2013 +0100

    demux: ogg: remove chained ogg boundary PTS handling
    
    Shouldn't be needed anymore as we continue chain with offsetted PCR/PTS

commit 8894a8af16d7f9f7d18f76669d74d88e31c2ad0a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 27 16:21:16 2013 +0100

    demux: ogg: remove reset/delayed format updates.
    
    No longer needed since ES are now created after headers.

commit dfd3fa1e534a20419c4b09f32b4150c3cf99bbe8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 27 15:26:27 2013 +0100

    demux: ogg: fix es creation delaying with skeleton

commit f7755e7f446b6c8ef6567f608337c7efa9bdbc66
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 28 15:56:54 2013 +0100

    demux: ogg: clear initializing flag on oggds too

commit 38c15dd561fe9de8f753d0b93cdba4c41b22cc6e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 26 16:44:26 2013 +0100

    demux: ogg: apply skeleton prior to es creation too

commit fd8ac5055c773f62fcb60b3e509128bf9c86187d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 26 16:36:10 2013 +0100

    demux: ogg: remove old debug info

commit 0efd154e3d724b858441d4baeeed62969c40dba0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 25 15:40:35 2013 +0100

    demux: ogg: offset pcr on chained streams

commit 5151a5d2196baccfecc633c898fd253d57e314d0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 24 13:38:18 2013 +0100

    Revert "demux: ogg: don't recreate decoders on same chained streams."
    
    This reverts commit 1f9c34275de478339dc4d750b8c62f1019303897.

commit 4a2c11ff0642f5b48f300e046625c64186755cd3
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Mon Dec 30 16:13:17 2013 +0200

    os2: implement vlc_strerror() and vlc_strerror_c()
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 42b33ae5fb6b801bad7c251fe254073547d7fac2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 30 16:11:48 2013 +0200

    Missing #includes

commit 4980f54d25e9291acf70c2b3d4cfde2f320c1d07
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 30 12:58:50 2013 +0100

    Avio: fix FTBFS with lavf < 54

commit 497ce0b9ab35650fbfa8b9c850b1e925c139733d
Author: Marc Aldorasi <m101010a@gmail.com>
Date:   Sun Dec 29 13:33:22 2013 -0500

    Restore ncurses colors on exit
    
    If the terminal colors are not manually restored they will not change
    back when vlc exits, causing other applications to use the wrong colors
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 4a414dfc8fdcc347ba368f4eaf1de6d822a6fdd0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 29 18:12:33 2013 +0100

    darwin/error: add partial l10n and doc

commit 5d8bfd130e4dd61a7abd044acf0c266bd0527d16
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 29 18:02:46 2013 +0100

    darwin/error: there is no need to re-implement the C run-time error array unless the deprecated sys_errlist array is actually removed some day

commit 78923269318a7cafb205be0ecb5ab9fa26295f72
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 29 17:24:38 2013 +0100

    darwin: implement vlc_strerror and vlc_strerror_c
    
    strerror_l will not be available on Darwin anytime soon

commit fea56e03d977462739ec91f7b7f255e569706861
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 29 16:55:05 2013 +0100

    Avcodec chroma: use a more resistant ifdef for 0BGR

commit e4980cf96f4b8c9cb0a189f02eb7dfbae0125cf1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 17:12:19 2013 +0200

    win32: remove unused net_strerror()

commit c4199ab677b51819067715aaad70a5852d58f341
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 16:15:46 2013 +0200

    Remove inconsistently used HAVE_UNISTD_H

commit dd1ffcd3a75ced27fc6032dead3a10bb6fb3103f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 16:07:38 2013 +0200

    msg: remove %m hack

commit 02b29e145824b409f8bedba7b94c530ad3cd0f8b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:59:12 2013 +0200

    ncurses: use vlc_strerror_c()

commit b793c74745901d4cc47d32e8fb867588ba65e584
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:59:04 2013 +0200

    DASH: use vlc_strerror_c()

commit 2ec2965db506b3455d64a3d250bb3c0c7c7fb32c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:58:52 2013 +0200

    logger: use vlc_strerror_c()

commit eff30cdfbc1d427c325c9f0a05ac4a869f820aa3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:58:35 2013 +0200

    XDG: use vlc_strerror_c()

commit a63ffa2b565cc0726b3105fc9fa730c1b4579ad9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:57:13 2013 +0200

    RC (old): use vlc_strerror_c()

commit 7308be6b58f5abfcb71115f837fb988327b3fc78
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:56:58 2013 +0200

    D-Bus: use vlc_strerror_c()

commit 5309b722119ce366a1b9ee318ca8ca79a4c3e55e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:56:33 2013 +0200

    RAOP: use vlc_strerror_c()

commit f83fbd593e4e91f146ed5c4aabf6fd156ce996d3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:56:05 2013 +0200

    UDP: use vlc_strerror_c()

commit 4ec3d936eb1f6494a16be535f83218e35c440ace
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:55:39 2013 +0200

    GnuTLS: use vlc_strerror_c()

commit d7a9267c1e5ee704c8495ec4578e148551c0e423
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:55:22 2013 +0200

    livehttp: use vlc_strerror_c()

commit 2d79b42d893e7a8828c64fd89f74a7fd521483f8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:54:54 2013 +0200

    dynamic overlay: use vlc_strerror_c()

commit dcf15829c619bfcfdcf7983a6bdcb72d70817d1a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:43:40 2013 +0200

    scene: use vlc_strerror_c()

commit e3788b17893794beeb215a8f00e0ddbf250914da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:43:29 2013 +0200

    marq: use vlc_strerror_c()

commit 53b501a18b463089e414df1ab71807a3837d5e71
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:41:42 2013 +0200

    iconv: use vlc_strerror_c()

commit 8f528e6df8ca139b100178f6a1e32082bf1df23c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:41:30 2013 +0200

    decomp: use vlc_strerror_c()

commit d0b09d6ff8b7e8d32a667d9a2292c7102a030eb2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:38:57 2013 +0200

    Linux FB: use vlc_strerror_c()

commit d996408883e790b8f0c5053c92d60a447f8ab019
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:59:21 2013 +0200

    V4L: use vlc_strerror_c()

commit 983ca412b969f1a4f4252a18f44c11c70efc8d5a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:58:50 2013 +0200

    shm: use vlc_strerror_c()

commit f94a0891d6b9d444d2624f5182f53a546fb48a78
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:58:30 2013 +0200

    samba: use vlc_strerror_c()

commit 8d8b50a49a2b65e05f1b918398c569a1b13e9e7f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:58:06 2013 +0200

    VDR: use vlc_strerror() and vlc_strerror_c()

commit d610d175515bb89919ef96518798080b9d827630
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:57:31 2013 +0200

    XCB: use vlc_strerror_c()

commit cabc65677ed25f9b01bedaf656d581b191bbfaeb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:54:16 2013 +0200

    RTP: use vlc_strerror_c()

commit cfc2e7185e20e67bc257625bfc086b869ecbce0f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:53:36 2013 +0200

    OSS: use vlc_strerror_c()

commit d0dd8a45383ba1affa8023e1b4955cca9d48d78a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:48:46 2013 +0200

    linsys: use vlc_strerror_c()

commit ae0bd671c1735df8c72c3afa163f21117d92dd08
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:05:59 2013 +0200

    MTP: use vlc_strerror() & vlc_strerror_c()

commit 279f97ec5b36d78067d16e933defe14e97a44ed0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:05:36 2013 +0200

    MMS: use vlc_strerror_c()

commit c21fb70c56ab3c81e35a215b795b689d722aba58
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:05:14 2013 +0200

    DVB (old): use vlc_strerror_c()

commit 5d2752c20698c361d839400c7664c8c92211db1e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:04:53 2013 +0200

    DV: use vlc_strerror_c()

commit ea1648d1a5d97a17e2163ad66bb977d0d401d048
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:04:38 2013 +0200

    DTV: use vlc_strerror_c()

commit 9ce4212b20f17e6879d3084ec1d7b3c76bc870d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 19:04:13 2013 +0200

    libav: use vlc_strerror_c()

commit a059cf56c964cd8fd1b60f22d12d6fc63b218d89
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 17:57:55 2013 +0200

    file: use vlc_strerror()
    
    This fixes "%m" in error dialogs on non-GNU platforms.

commit 9ff28119bcd7a610bd9859a8f49b4635443df784
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 18:46:52 2013 +0200

    src: use vlc_strerror_c() for log messages

commit 4e7185ebfb96e6c3d050ad5a80fc902c8f2a0274
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 18:33:59 2013 +0200

    win32: implement vlc_strerror and vlc_strerror_c

commit a37d20ccf6584fdd3d73b779ed4632ee7231e4f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 17:56:22 2013 +0200

    vlc_strerror() and vlc_strerror_c() convenience wrappers
    
    Those are more flexible than the GNU-specific %m format specifier to
    print standard error messages. They are also less likely to format a
    clobbered error number.

commit c3bd77932a27694991d2d5481ffcf6227f998e84
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 29 15:35:35 2013 +0200

    posix: simplify thread error handler

commit 9d12638c7666980fecd7bc65562075c9efea949c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 29 11:30:20 2013 +0100

    Direct3D: less verbose output

commit 4bed85170f0c40f48cf4b31c554e4b7a84e4cd71
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 28 18:38:49 2013 +0100

    Contrib: use a simpler way to discriminate between libav and FFmpeg

commit 42bf7e20804df1f6dc779e4e1b1a9a121040c54f
Author: Luca Barbato <lu_zero@gentoo.org>
Date:   Sat Dec 28 10:15:35 2013 +0100

    avcodec: Always output frames
    
    With the introduction of CODEC_FLAG_OUTPUT_CORRUPT incomplete frames
    are silently dropped. Enable it to maintain the previous behaviour.
    
    Close #10140
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1b53b355e706ca09fc289319bc237231fd5401b0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 28 16:23:41 2013 +0100

    Fix FFv1 output with FFmpeg
    
    Close #8691
    
    Of course, because we _really_ need that many RGB formats...

commit 472fe2655cecc03fff0df7d87ca28624648cc402
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 28 12:37:47 2013 +0100

    Do not activate YUVA422P in FFmpeg until 51.74.100
    
    From 51.49.100 to 51.74.100, it only defines PIX_FMT_YUVA422P and not
    AV_PIX_FMT_YUVA422P. There are other ways to fix, but ugly. And people should
    update their FFmpeg anyway :)

commit f339578ace73bb2139ab3b4e1f6ef88d591ab983
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 13:04:27 2013 +0200

    mmdevice: cosmetic

commit dcfe8660d41dbb2b519949ff767c7088a969525a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 28 13:03:53 2013 +0200

    SOCKSv5: fix inverted logic (fixes #10247)

commit 644b1d06da5b0aee153b0438d9121be77d29bbaf
Author: Pierre-Hugues Husson <phh@phh.me>
Date:   Fri Dec 27 19:15:36 2013 +0100

    Add name and duration to enqueue and play
    
    Close #10242
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 983198b0fc68d2e2bcfe98b6fe331964b1bc9f9e
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 27 17:29:51 2013 +0100

    fb vout: set i_visible_*

commit 6295836c45f08c7186ee505a2fd481ad061c87df
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 27 16:52:59 2013 +0200

    transcode: add chroma conversion in actually checked filter output

commit d16fb5e7ff31fb388b8e63285522ef7b95afaa7b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 27 16:51:18 2013 +0200

    transcode: add chroma conversion to be the first filter if needed
    
    For example croppadd doesn't like if input and output chromas are not the same.
    This is visible for example webcam input and h264 encode (YUV2->I420).
    
    Reported by: Jean-Paul Saman

commit 6403d12811ee1c53e206d58cd177a4d7b8e3e2c4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 27 15:25:52 2013 +0100

    src/darwin: cleanup threads

commit b85892f9aa2636d2fb8979c679824ec7e61662c4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 27 11:20:29 2013 +0100

    Bluray: reindent headers

commit 03310c483138fbb1b21195e1ea9578dda17f731f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 27 11:19:36 2013 +0100

    Bluray: remove more outdated code

commit d052d401ece557adbfd65edf9a0d292ea68574f5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 27 11:17:31 2013 +0100

    Contribs: update bluray to 0.5.0

commit 647aa514349409aa3179e76235a2f65d0921aaae
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 27 11:15:17 2013 +0100

    Require libbluray 0.3.0

commit 50229412d358e954329e48c873bb04e73ab1e805
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 27 10:58:03 2013 +0100

    audiounit_ios: merge stability improvements from AUHAL module

commit 1c3973d7fe1891e3019fce9b4f0239edfd48c55d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 27 09:20:10 2013 +0100

    src: split darwin threading code from the generic posix implementation

commit 5c73aceefeac153995294fe7561a92a4d3ba43ca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 26 18:59:28 2013 +0100

    Update NEWS, MODULES_LIST and POTFILES.in

commit daa291c5d9dacbe9776cc05c55c91af870015dcc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 26 18:45:17 2013 +0100

    macosx/applescript: fix opening non-file URLs (close #10112)

commit 264f837c23f4fa58df49f457ba52c00b255fe155
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 26 17:43:09 2013 +0100

    auhal: prevent assertion failure on TPCircularBufferClear (close #10109)

commit 4598d6ca9965428938efddc8469ee39cc73443e6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 26 17:34:51 2013 +0100

    auhal: add missing bounds checking (close #10110)

commit 061c07bd85034c109fff42e3268aadadf0506e19
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 25 22:19:07 2013 +0100

    contrib: jpeg: do not redefine FALSE/TRUE on OSX
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit b2884bb2e8a12521acad92ca8940c054d4aa4cc1
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 26 15:30:49 2013 +0100

    contrib: speex*: remove destination folder before unpacking

commit af2d829d7d7c509a1b34cdbc28a71584b2aa8a62
Author: Gilles Chanteperdrix <gilles.chanteperdrix@xenomai.org>
Date:   Wed Dec 18 13:07:12 2013 +0000

    live555: retrieve RTSP track languages from SDP
    
    First for the "a=lang:" session attribute, then for each subsession
    look for the same attribute, and use the session attribute if none
    was found.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6a06a82aa27617efb5a24d34680f8d823585d4cd
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Thu Dec 19 10:45:55 2013 +0000

    codec: implemented libjpeg module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6ba7773c2367f5ba097594c178095b1a58932e7c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 23 20:34:23 2013 +0100

    MP4: support in32 FourCC as a type

commit 1f9c34275de478339dc4d750b8c62f1019303897
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 23 00:26:40 2013 +0100

    demux: ogg: don't recreate decoders on same chained streams.
    
    SET_ES_FMT recreates decoders and then triggers preroll.

commit 976ee834f191eefcf3e4262f49b5232aa42cdd87
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 22 20:16:48 2013 +0100

    demux: ogg: don't probe length again with chained streams

commit 6ab6d20b15fde4cd529742d8df2fec4beaac6846
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 22 20:05:14 2013 +0100

    demux: ogg: do PCR handling on stream boundary

commit fc6691467608bb47b1ebd32083c57d78e514a474
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 22 18:43:54 2013 +0100

    demux: add missing default handler for GET_SIGNAL

commit 73c979f240fd8da76728da2e3378f43c3cb93c2a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 20 15:57:37 2013 +0100

    demux: ogg: delay ES creation for preparsing.
    
    Prevents creating ES & decoders just for playlist preparsing.

commit b6dd43d5ccbb6ab1edd93d2f701973b9ab5f8cc2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 17 18:49:40 2013 +0100

    demux: ogg: add preparsing of headers (fix #6691)

commit 4572f451d65e34ac2119c2cb45da67db6b334bd8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 21 16:10:01 2013 +0100

    demux: ogg: fix use after free seekpoints.
    
    Also cleans seekpoints between tracks

commit 7f65a8eb0d563de4ff03a6aad5686b88112931ff
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 19 20:46:35 2013 +0100

    contrib: harfbuzz: disable icu
    
    icu-config is not suited for cross-compilation

commit b1eae5f406edf7f153021d892a15c42c998d1418
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 18 17:01:21 2013 +0100

    std: Always use module name if access was not specified

commit bedf87eba1f29b622b203847935e65803a9117d2
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 18 16:40:31 2013 +0100

    Simplify message when codec could not be found
    
    People do not read that far and keep asking for support anyway.

commit 217213c1b626266323f9513c4ddced9988b4acb1
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 18 16:23:01 2013 +0100

    libavutil: set verbosity based on VLC own verbosity

commit 071f1afbbf1e0ef2634fbecd37e8ab56f5e1afd5
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 18 16:04:45 2013 +0100

    avcommon.h: move code around

commit 681bf48f3c246640a193b009f5b86010495c4849
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 18 11:55:14 2013 +0100

    Improve the unsupported codec errors
    
    Provide a description of the codec if possible
    Give a more descriptive message if the codec is "undf"
    That one means that the demuxer could not identify the codec

commit c4afbb6cab4fc1fa1e87262dc9fbc7553022bdf2
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 17 19:26:00 2013 +0100

    contrib: gcrypt 1.6.0

commit 35e152f4849a67453fd2accb27e0f627f12f1ba7
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 16 19:14:12 2013 -0500

    mux hevc into mp4

commit aebbde86bb49fb3e328909477324937a2f9e7d2a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 16 18:37:23 2013 -0500

    x265: update to API 4

commit 1cd26526dc06939be0952191856df707c0dc9a4f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 16 19:54:19 2013 +0100

    audioscrobbler: fix use of uninitialized variable

commit 3967c16b2bda94bbb4adcfdbf592be2eab2d2509
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 16 19:39:55 2013 +0100

    vobsub: fix memory leak

commit d6aa5c4b19185c3eed5bccba708b9b42d2c995ca
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 16 19:36:49 2013 +0100

    qt4: fix memory leak (allocate only when needed)

commit d052232ef2750addd272176728a23aa3f9f1ec21
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 16 19:29:58 2013 +0100

    atmo: fix some dealocation mismatch

commit 8da9db5e07cb1197ab6bafa2f5c1709050429899
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 16 19:21:26 2013 +0100

    livehttp: fix typo

commit d608626974c21536aa6f34eeb35e5053ce4b6440
Author: Sébastien Toque <xilasz@gmail.com>
Date:   Sun Dec 15 12:39:57 2013 +0100

    yuv->rgb neon: only convert visible area
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ce9f40fcb46522195625e53d749f2f3443aa9a8b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 16 14:48:40 2013 +0100

    Avcodec: fix FTBFS with FFmpeg because of YUVA422P definition
    
    Close #10127

commit 17a0f61efad5ce5e31adbe3178464fd3e05e6757
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Mon Dec 16 01:16:23 2013 -0500

    livehttp: fix format string

commit 5a98d360857b82aca1dc6985a5003cb2ff3b3ecb
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 15 18:49:35 2013 +0100

    Remove dead initializations

commit ef1de5222a4a280ba790624b661000ebd99906be
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 15 18:38:01 2013 +0100

    amto: fix dealocator (delete [] instead of free)

commit 658c51b68be048ed77f45a6beb03bf46625b71a8
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 11:11:30 2013 +0100

    omxil: fix calloc usage

commit 803983ecb79972d5a35acc819d0f58eb171b437a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 11:03:01 2013 +0100

    access_dvd: fix sizeof mismatch

commit a743b5e897e07c2a809f98e8c1086ad1bd43cc5b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:57:04 2013 +0100

    mp4: fix sizeof mismatch

commit 29bf30ec1ea285ea231572fd4c940432e06d6b36
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:55:57 2013 +0100

    hqdn3d: fix sizeof mismatch

commit 1c10449863db559b6ca348badfdb22002460ea69
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:52:55 2013 +0100

    mp4: fix memory leak

commit 0d421fc88e6631a89432f451ffe3d26a0f29c95c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:50:10 2013 +0100

    access_jack: fix memory leak

commit bbf068ed1767033545045a3ec2a1de46b059fd74
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:47:01 2013 +0100

    livehttp: fix many memory leaks

commit 14ef6fce9730caccab5c555edc4811a06bb3046e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:35:25 2013 +0100

    livehttp: fix memory leaks

commit b4d33fe5dcdc522254bc41ca754a0175d2071103
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:32:43 2013 +0100

    input: fix memory leak if access is not found

commit fb0c517c4a56df2375a32cd999f99aa0dada8e0a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 14 10:13:48 2013 +0100

    mkv: fix memory leak

commit f3f09df31f7e25189c24fe6dadc2fd21992dc5ca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 17:40:51 2013 +0100

    Freetype: rename HAVE_STYLES

commit 9e3a4af57ea809992d8ee9cbb82ce9bd1edc429b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 17:38:53 2013 +0100

    Freetype: unexport a function we don't need anymore on Win32

commit 783fdab819b72b2e1a96bd9d177cb5011fea6e40
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 17:22:12 2013 +0100

    Freetype: introduce a dummy font selector
    
    When we don't have a way to select a font by family, use the basic font
    (default or the config one)
    
    This reduces the number of HAVE_STYLES usage and avoid a few bugs

commit 15f6fe98c4f293c11d451eacdba32137ea4061e0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 16:37:26 2013 +0100

    Freetype: remove unneeded includes

commit e8c013a18db80850b9feb08c42197a16fa7f3a44
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 16:31:57 2013 +0100

    Move font defaults to platform_fonts.h

commit a888fdf60d0a72478ca82fc472d43043298c2410
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 16:15:53 2013 +0100

    Freetype: simplify win32 fonts lookup folder
    
    It's less elegant, because it is not cached, but it's cleaner in
    freetype.c with less #ifdef all around...

commit ce2d636848ed436e62d2441acb556b41fb256c33
Author: Nicolas Bertrand <nicoinattendu@gmail.com>
Date:   Fri Dec 13 15:21:03 2013 +0100

    DCP: new access-demux module for DigitalCinemaPackage
    
    This version only support 1-Reel-per-track DCPs, like trailers
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit af3bbd8fedd882365109ab29f8da567720f2a730
Author: Denis Charmet <typx@dinauz.org>
Date:   Sun Dec 15 15:51:19 2013 +0100

    Avoid infinite recursion loop when parsing tags
    
    Fix #10028

commit 17214ee78da02b2d072359d0139ba52ab2313728
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 15:53:59 2013 +0100

    Freetype: Split font selection code from freetype.c

commit be35437f4cd78b85897de3f34605ef5fec76cfc2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 15:32:56 2013 +0100

    Win32: fix obvious typo.
    
    Sorry

commit b6d3fd0c9f9eb28a7ffc03af1867e3f661eef9da
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 14:57:32 2013 +0100

    Freetype: move the font selection to a function-pointer

commit 0b63dc6427ca0caa5c9e8052e5dd801b381a74be
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 15:18:08 2013 +0100

    Freetype: fix small error in previous commit

commit e1b3e5a934cad2420a3795f1e4fccf28922fa3ed
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 15 14:34:14 2013 +0100

    Freetype: create an xml_reader helper

commit f20218fa5641f67ed542a153a57283284ed41f80
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 26 21:27:50 2013 +0200

    Split Freetype destruction from the main destruction
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 634111a2d1c2e5275e91bb4fbabd01212b1a062b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 26 21:23:43 2013 +0200

    Freetype: split freetype init from Create
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb9d7879a3aa91313a93a44f29626f3185573acc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 14 17:29:11 2013 +0100

    Fix typo

commit cea1a7b5aee4e3c63a9e94a636f46704bcec3e52
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 14 17:19:42 2013 +0100

    Update NEWS and MODULES_LIST for 2.2.0

commit d44286dfe5b983177525338fd81833b1fa863ce2
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sat Dec 14 15:05:44 2013 +0900

    configure: add a feature test for OpenGL
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit eea56f0401fb40f1aeeb58b841e27bb541c9bc38
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Fri Dec 13 15:24:57 2013 -0500

    libvlc: don't use string after free

commit 55c3f24930a5a222b90318257a6ce85633bd9982
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 13 16:54:51 2013 -0500

    fortunes !

commit ab68e83cc5dda03e5969d99bc2ea20495690bf75
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 13 22:24:30 2013 +0100

    codecs: avcodec: fix Makefile libs order

commit f1bc711ce012b7044f6782c7f5602667a4c445f7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 13 00:11:05 2013 +0100

    demux: mp4: improve debug tree info

commit 763d18f3bb80a0319f0aca178b58d7720b0941be
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 15 15:47:20 2013 +0100

    fourcc: add entry for Android opaque buffer type.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2e41d814e050488bb5294cfc595431fe7b4f86e6
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Wed Dec 11 11:46:14 2013 +0100

    input: rename members and functions previously related to decoder buffering.
    
    Even without data buffering, it is still necessary to wait until each decoder has processed one block before updating the system clock.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4ec19f78f6bf4b7782d9e65d413b3bf107749541
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Wed Dec 11 11:46:13 2013 +0100

    input: remove useless function DecoderFlushBuffering from decoder.c
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 40fde063cc48fdeebe14966b3d320b675f5e1dfa
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Wed Dec 11 11:46:12 2013 +0100

    input: remove sout decoder buffering.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d6ee0fb364a634b1eba8e2db002430e2ed1ee6e1
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Wed Dec 11 11:46:11 2013 +0100

    input: remove subpicture decoder buffering.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d02721a5a8a6653d6c53e2c2be024c495dc265f0
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Wed Dec 11 11:46:10 2013 +0100

    input: remove video decoder buffering.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0e5576b3057aab9aaef4bd7d5c317f9faf54b508
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Wed Dec 11 11:46:09 2013 +0100

    input: remove audio decoder buffering.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit de7bd29205b212e2077648730e2a1b8be9a95f8c
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Fri Dec 13 19:42:45 2013 +0400

    VLC_FOURCC replaced with VLC_CODEC_* values
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 425521e9cd087612afb46c93d7427d531929e2a4
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Fri Dec 13 11:05:55 2013 -0500

    ogg: use CLOCK_FREQ in muxer

commit ed67b5a08e13b795faa30aa51939c548f63a6cda
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Dec 13 16:38:01 2013 +0100

    nsis: restore the previous components on x64 (fix #10122)

commit 0afac74a661fd1a56fa5514a9384c0e470890e7b
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 12 20:17:24 2013 +0100

    auhal: fix audio device selection via command line
    
    close #10119

commit edbfa973a63de4917ac121cd6ea02a5acc948824
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Thu Dec 12 13:44:12 2013 -0500

    ogg: use CLOCK_FREQ

commit bbe24b450d971596c63c3e60eccecfc2e01f6ecb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 12 16:05:34 2013 +0100

    macosx/menu: add missing debug

commit f498a8188853ba670c618fcc6767a48208e5c58b
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Thu Dec 12 14:22:35 2013 +0100

    croppadd: use correct shortname 'croppadd'
    
    The shortname was 'cropadd' while the module was compiled as 'croppadd' (notice the extra 'p').
    The module was correctly build, but was not loadable

commit 81abb0632e72aa6c2d10b5d270618cdd659b62b2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 12 13:04:35 2013 +0100

    Make DirectX default on XP, instead of Direct3d
    
    We did that for 2.0 temporarily but kept master normal
    
    This is still broken on some weird configurations, so well, temporary is
    going to last..

commit 442d36c4a67fb4b1f162551593896d6a630cad3b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 12 08:58:47 2013 +0100

    ios/build.sh: fetch contribs before compiling them

commit b9a080559f0e0491e459fe16a07540eb708e056b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 11 09:03:22 2013 +0200

    livehttp: parse key="value" style options

commit 46e2b31ea602d119f3829356b9f74e89be3fb84d
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 11 09:02:09 2013 +0200

    use CLOCK_FREQ in date_Decrement

commit 244ff6ab44d6ad9d53ea5c53b7b95ce45f73c37d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 11 20:16:27 2013 +0100

    demux: asf: remove preroll from dts too

commit 2a310e14227b7cab441ee5128757a27b57f0b9a7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 3 19:05:21 2013 +0100

    demux: asf: do ES audio selection for mms (fix #8797, #3400, #3797)

commit 836a03aac650236bbd66db9faeee556c843bf68d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 3 19:05:20 2013 +0100

    input: add DEMUX_SET_ES notification

commit 72165d749252d4721052a6bad1f00e17f2d59487
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 20:14:42 2013 +0100

    update: fix use after free

commit 4302a6f717a5ed844294bff9b451935d3280bfe3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 20:13:55 2013 +0100

    logger: fix use after free

commit 8dfb239f0d204859a4e35717d1706723ff014f14
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 19:32:22 2013 +0100

    skins2: fix memory leak

commit 22cfbf6c199243d8f2b30dab1608927c58ca2da5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 19:23:40 2013 +0100

    livehttp: fix memory leak (cid #1048908)

commit cdacb3aa0bc86052afad226cd55c65cb33638cee
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 18:58:15 2013 +0100

    vcd: fix sizeof mismatch (cid #1048981)

commit d1992eb54751425f497dcf729a91f370c0eded53
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 18:57:15 2013 +0100

    sid: fix sizeof mismatch (cid #1062589)

commit 965ea5817fbd2d1cd335c731e1a5f30c734dac19
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 18:54:18 2013 +0100

    kate: fix memory leak (cid #1048911)

commit 5cc6eadcf8c26da7eafbeb0d3df4f8928893c636
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 18:49:42 2013 +0100

    dbus: fix memory leaks (cid #1048913)

commit daa972d9584255118f2fb9f8821ed6a9fe175780
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 11 18:46:30 2013 +0100

    flac: fix memory leak (cid 1048914)

commit 3c975c0fc60b59100642f2e1dfc627b250c96331
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 11 11:42:45 2013 -0500

    Revert "flac: fix extradata clamping check"
    
    This reverts commit 16e9999966c12f696de57b0e7e5c0f39d7b0f621.
    
    We use short flac extra format if it does *not* start with the header.
    Thus we need not to add ! in front of memcmp

commit 4a1493db19bb1db6a57b49bed385764a7d41793e
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 11 15:54:36 2013 +0100

    access/alsa.c: fix racecondition on demux->p_sys variable
    
    The Thread() function could access demux->p_sys before it was assigned a value other then NULL.
    If this happens then it will crash on line 158 while accessing sys->pcm.

commit df8f47f62c90526ec61d8c31cf9d574affbfdd27
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 11 15:14:40 2013 +0100

    v4l2: set visible height

commit c552058ee5440bfdbd9a241952d66639b809e9cb
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Tue Dec 10 23:56:23 2013 -0500

    ogg: fix format strings for debug messages

commit d1da2a1abe301b88d05dfc12ac06083a4b7e91c8
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Fri Dec 6 09:54:12 2013 -0500

    flac: move CRC update into STATE_NEXT_SYNC
    
    Fixes #9966.

commit e1bdb39097f99e5f2c0748dc484de0e7815f29ad
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 10 12:41:09 2013 -0500

    avcodec: handle codecs outputting YUVA 4:2:0 and 4:2:2

commit c7b8f0b84927feb1621c2685720dbec1bc17538b
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 10 12:35:14 2013 -0500

    swscale: handle 4:2:0 and 4:2:2 YUVA formats

commit 11fb6b16e908ef0fd0f50c53ef363f6dca30fbaf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 10 11:37:54 2013 +0100

    Finish "core" renaming to avoid prefs crashes
    
    Close #10096

commit 7880850671c3a30ee898546b309dc459d8218e6b
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 9 18:34:01 2013 -0500

    Don't reset master program clock if master program was not selected

commit 08b4ccaa9d031c96a8a37d12ce88be386204bebd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 9 23:21:08 2013 +0100

    demux: asf: trigger dialog on drm streams

commit ab9d7f10a0cf96aff07e1f0c37f61f6a06b1fbda
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 9 14:51:56 2013 +0100

    image: fix image misfunctioning in recent builds
    
    In the swscale filter plugin, i_visible_width and i_visible_height fields
    are now expected to be provided and greater than 0.
    
    This fixes art display problems with the skins2 in recent builds.

commit fe5e4ac187acaa77d09da5b8923030fca889a1d0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 9 20:03:35 2013 +0100

    demux: asf: avoid truncation on malloc

commit de16d374e45d1497883fdc3c5804e6bd3f877d12
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 9 19:55:18 2013 +0100

    demux: flac: align to avoid overflow on seek (fix #10000)
    
    Align seek time on second to avoid overflow on seek.

commit 4d65e300a714895c0474289a28c976d1667c68d1
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Dec 9 19:46:17 2013 +0200

    transcode: use user given width/height on calculations
    
    regression from 808e6123ff6f1850d274d921cf35dc78c7903d4c as calculations
    still used with/height instead of visible_width/height

commit 6c9aefac3282cbb1784d4dfa30b05dc46e6f43d0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 9 14:15:13 2013 +0100

    demux: ogg: fix int overflow on seek

commit c4611bcd88f628497bd7eeb829da5a99ccf6be64
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 9 13:59:10 2013 +0100

    demux: asf: fix double declaration (cid 1135582)

commit b52e3f083a1bb63dd631223013373e51e3b6fb33
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 9 11:19:18 2013 +0100

    Update NEWS

commit 40ce63816e8a251593a32822088f0db95376ef9c
Author: Andrey Utkin <andrey.krieger.utkin@gmail.com>
Date:   Sun Dec 8 14:21:05 2013 +0200

    Enable VP8 RTP packetization
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a8b1850adafa3f492dcf448dd9a97a29886c8da7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 7 00:57:11 2013 +0100

    Rename main module to core

commit 15c86584b2ddff17dcc249688b90436996c6918a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 8 23:16:38 2013 +0100

    demux: asf: check for int overflow

commit 458c4a5e3c0662f3a453ca9e2c8a5442dd14d745
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 22:18:55 2013 +0100

    demux: asf: fix signedness

commit 8b50d8e5a19a9c77ba0e13882f1c98fc10be6fbf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 22:18:34 2013 +0100

    demux: libasf: fix tons of signedness

commit 28b9474591f313ea603fc42710f353d9f037c7be
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 20:10:49 2013 +0100

    demux: asf: fix signedness in language index

commit e1df9cc6b44671daa6df8b6cd42dd3850987e240
Author: Ray Tiley <raytiley@gmail.com>
Date:   Thu Nov 14 23:27:42 2013 +0000

    Add initial-segment-number option for livehttp module
    
    The initial-segment-number option allows for passing in the number for the first
    segment. This is useful if you want to append to an existing live
    stream.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5b7f672c547e226e4b21ab77ea0fb77290a0000a
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Tue Nov 26 14:21:33 2013 +0100

    swscale: scale the picture using the visible dimension.
    
    Solve the green line bug during thumbnailing.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 454654e22bff408c512b279d3e6c2568dd106ec6
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Tue Nov 26 14:21:32 2013 +0100

    swscale: use function video_format_IsSimilar.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 160f187de2622e8108c40289a14677240de457fd
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Tue Nov 26 14:21:31 2013 +0100

    vout: set visible resolution of input/output video formats in SpuRenderCreateAndLoadScale().
    
    Enable video filters using the visible dimension of the picture.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 446593be8934f5cf9590ecd1a796b80f98ce765b
Author: Vittorio Giovara <vittorio.giovara@gmail.com>
Date:   Wed Nov 27 09:23:39 2013 +0100

    core: use same source name in DisplayNew
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9bff58d3962adb017e0e6387e16db911bccaf385
Author: Vittorio Giovara <vittorio.giovara@gmail.com>
Date:   Tue Nov 26 14:21:30 2013 +0100

    core: do not overwrite visible size
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 124e58dde55f5222c6c05ebdc9eab6e4b2ecc79c
Author: Andrey Utkin <andrey.krieger.utkin@gmail.com>
Date:   Sun Dec 8 04:25:29 2013 +0200

    Enable OPUS RTP packetization
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2c4189d9596f32acde3c2dfaf12bae1e3b743f2a
Author: Andrey Utkin <andrey.krieger.utkin@gmail.com>
Date:   Thu Dec 5 22:36:56 2013 +0200

    Enable GSM RTP packetization
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bf73ab036aee315f7b28f5e85f361407ae9fb0dc
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Mon Dec 2 13:14:10 2013 +0400

    Removed unused static functions
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f025b2eea9e2ae08b48209cbe5456c82caa3f47
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 8 11:56:48 2013 +0100

    contrib: speexdsp: remove dependency on speex

commit b036441cf6ac5fa6956f72d73766877d3df38b72
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 8 11:53:58 2013 +0100

    contrib: speexdsp: install headers in include/speex, where we expect them

commit a0e768064dceb434678537a103489d5272e5cb38
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 8 09:10:39 2013 +0100

    contrib: update to speex git HEAD
    
    split speex and speexdsp

commit b6687f9b8566fea243a272f9a4fa13a4f0359b8f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 8 00:10:42 2013 +0100

    Use _aligned_* when compiling with MSVC
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7d72f09c93805b1046343d04e5c8e23c8ecb1590
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 7 22:55:32 2013 +0100

    contrib: speex: fix git hash
    
    Use the revision just before libspeexdsp split

commit c8a17e17a3f69e2bb3d9fc8a788ead7b1a41993b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 20:02:15 2013 +0100

    demux: asf: fix signedness in marker

commit 3800e5d339388d1903d0aac5b00d90f6575a4732
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 19:59:41 2013 +0100

    demux: asf: fix signedness in content desc

commit 803def84f65ab570ce2d3b20e135b53fac07c2ea
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 19:55:53 2013 +0100

    demux: asf: fix signedness on stream prioritization

commit 092aa902b195bb3e65cb30bd704bf507fa1c0739
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 19:51:41 2013 +0100

    demux: asf: fix signedness on stream mutex properties

commit abb20fc36122e9125f770b49c7becae717b8cb9f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 19:45:17 2013 +0100

    demux: asf: use INT64_MAX

commit d28dedab88a4b09f6ca7e9b8337bcc4dcbde8c59
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 7 16:03:27 2013 +0100

    demux: asf: don't update PCR until preroll is done

commit 8e7a55dd83d08f0ff637188d0ae7c4562a90a592
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 9 20:43:48 2013 +0900

    demux: asf: use send time as base time for pcr (fix #6662, #8795)
    
    Using lowest PTS or DTS is a bad idea, as lower video packets are sent
    ahead of pts, and most audio tracks are sending packets near to pts.
    So we had audio packets coming late, with a lower pts, and corrupted
    our PCR as we take the lowest pts among tracks.
    We can't also guess the full tracks rolls, so updating after a full
    roll instead of each packet is useless.
    Send time is a reliable base time.

commit 882f2d61180be43b54e3639d120f318b79fc9303
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 9 16:51:04 2013 +0900

    demux: asf: only substract preroll from presentation time and duration
    
    Offsets pts & duration

commit c3ae02a6d43b05fae1dbba479206110f672ac544
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 2 13:49:38 2013 +0100

    demux: asf: decode payload extension
    
    Reads keyframe flag from payload extensions.
    Some formats like DVR-MS ships keyframe info into
    payload extensions and not as packet flag. Why make things simple ?

commit 0be43b1555823d69cdb9006f78a2355ee0e5513f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 08:06:18 2013 +0100

    demux: libasf: add payload extensions guids

commit e8988735670afeb1ab2760862b8d5b0e54e4d891
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 9 16:58:37 2013 +0900

    demux: asf: fix time conversion
    
    already microseconds

commit 6ac205bb7b239d2456b3f2a4b94f7f15ef1867f0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 9 16:48:41 2013 +0900

    demux: asf: fix computing pts/dts with deltas on sub payloads
    
    Sub-Payloads must have their pts computed from deltapts.

commit 6fb815bbf5f356aa6381a7968cd1f1e1edf90814
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 9 15:54:33 2013 +0900

    demux: asf: Use pts as track time instead of dts
    
    Use pts as track time, and then for pcr.

commit 87fcede4b4839ff99dbc52b71664d28c02eb381e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 7 18:23:51 2013 +0100

    youtube.lua: handle relative reference in javascript URL

commit 5d73f3bef8bab3826e6b421f4aee2270cbdb1526
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 7 16:48:32 2013 +0100

    Contribs: update fribidi to 0.19.6

commit ebc939efe12cd3eec0a09537058ae4cae31fcd3e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 7 16:37:34 2013 +0100

    Contribs: update live555

commit 708998c0e707c32b6c757f447318ab7dfd281067
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 7 16:30:04 2013 +0100

    Contribs: update GnuTLS to 3.1.17

commit 0d4a258136f34f59202c94129388f027ca560de1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 7 16:19:22 2013 +0100

    Contrib: upgrade Opus to 1.1

commit 361d4655f662fa5dfa3e01b22e344c25c77e278a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 7 00:40:11 2013 +0100

    Remove MODULE_PATH define
    
    It was unused since VLC started using automake, 11 years ago.

commit e26b44bb61231f54f33700e17345475f06ca17f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 6 15:09:01 2013 +0200

    input: do not misinterpret attachment MRLs as file paths, fixes #10046

commit dab63843107615358e1dfba2211cfe1deb7967d4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 6 14:49:13 2013 +0200

    input: off-by-three

commit d580d2a74075dfb792f6c2b72d824a2f59c8d706
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Sep 28 21:22:34 2013 +0000

    avcodec: decode dvbs
    
    Tested with http://www.martinunderwood.f9.co.uk/mallard.wtv

commit 45a833ffc7cfcad1e649010895aa3fd26f01ad24
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 6 11:25:51 2013 +0100

    messages: Don't mix fprintf and utf8_fprintf
    
    On windows the latter uses the console API under the hood.
    
    This gives VLC output the same format on Linux and on Windows (tested with wine),
    rather than printing the pointer ID at the end of the line.

commit b130680e62b99ab153e6233ef70981aa027a887b
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 18 18:42:28 2013 +0100

    Print(Color)Msg: align pointers on the right
    
    Pad with 0s, remove 0x prefix

commit 27de05c91f5553a36eee7a7ca127860cd816c9f1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 5 19:04:12 2013 +0100

    Fix make dist

commit 49419d7370436845191ba750ce762791a6dda0f7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 5 18:34:23 2013 +0100

    mac packages: remove obsolete Delete Preferences.app
    
    This application is incompatible with Mavericks, and it is superseded by the mechanisms provided
    within the UI itself.
    
    Also update the readme to reflect this change.

commit 4f3bc33fee31bea49fd17306cc5201bb3eb2968a
Author: Andy Tather <andy@andytather.co.uk>
Date:   Thu Dec 5 18:33:26 2013 +0100

    DirectSound: fix SPDIF
    
    Close #9522

commit 4fcfd8479f462ca964bdb061b55b0d4cdfb055b0
Author: Andy Tather <andy@andytather.co.uk>
Date:   Thu Dec 5 18:32:38 2013 +0100

    Waveout: Fix SPDIF output
    
    Ref #9522

commit 193af819395cefa6973641035b32b5042fc42593
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 5 18:15:52 2013 +0200

    contrib: documentation update

commit d95361b003565457fc843ab3c79a9d734264cfb3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 5 18:09:41 2013 +0200

    contrib: fix FFI build
    
    There is no point building FFI for its own sake since VLC does not use
    FFI directly on any platform.

commit 0a48d14920e5b0ab82f25f4df259151394be9790
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Thu Dec 5 00:21:25 2013 -0500

    flac: fix void pointer arithmetic warning

commit 5b8529385dd01563c3c2acee570e204c5ad5daa8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 4 16:41:37 2013 +0100

    demux: asf: flush remaining tail data (fix #5356)

commit 3b7a8af425ec8d6f00b0004c5da0bd639419b2e0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 4 16:39:40 2013 +0100

    demux: asf: define MAX_ASF_TRACKS

commit cb7e26a4bfddfb6fb029ae6d07a7890bd88bf61e
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Wed Dec 4 09:37:11 2013 -0500

    ogg: fix order of frees

commit e79b939ba25922dc23014e39a72415016e455aa9
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Wed Dec 4 09:34:00 2013 -0500

    opus: avoid NULL pointer dereference

commit fbfe10b4df8106701184da66e0936e96fa3c202f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 4 14:42:30 2013 +0200

    transcode: initialize audio encoder properly when first packet arrives

commit 8f01bd1fe1ff436cc7cf808d1908292384ad9e32
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 4 13:41:56 2013 +0100

    Qt: SoutWidgets: refactor (fix #8865)

commit 5e00cfc35fccb8cefc3bbd715161ac003d9d6dea
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 4 13:39:27 2013 +0100

    Distribute windows_audio_commons.h

commit 3baacdbeacd98fe027232342cfe25ff19917854b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 4 09:45:18 2013 +0200

    Revert "faad: try to guess channel count if we can, and don't set it to 0 in Open"
    
    This reverts commit c2e4f7c67765ab9ef464f4e320128056133d5f3a.

commit 651ed87f2bc8f2299c823122406e524b30590d2f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 3 22:26:36 2013 +0200

    transcode: initialize audio encoder after first packet arrives
    
    Similar approach as video encoding does, helps for example with faad
    module that in some cases only gets proper audio properties on decoding.
    
    Ref #9022,#6298

commit 476136296e68d0bfe1e8322a53950256e0e30893
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 3 17:55:33 2013 +0200

    transcode: cosmetic

commit 808e6123ff6f1850d274d921cf35dc78c7903d4c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 3 17:55:20 2013 +0200

    transcode: assume user requests visible width/height so init those instead of with/height

commit 47f4dd31354ba8a0cf097a0c288232600647fa1f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Dec 2 15:01:04 2013 +0200

    avcodec: just set timestamp at beginning of block
    
    It's used only to calculate timestamps if block needs to be divided into
    multiple frames and not in overall timestamp keeping.

commit 8b1981c4178a07da5241ea56808f0cfdfd1620e8
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Nov 22 21:58:57 2013 +0200

    transcode: small refactor

commit a5d1e69c5cd13af2c50272cbb5eef11fcb65b1d4
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Nov 22 21:56:33 2013 +0200

    transcode: add some comments

commit 01e03b9a0e20b74e875306dd5d0404716617c1a6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 15:27:37 2013 +0100

    demux: asf: correctly flag invalid time

commit bc5a9b1b9d336e637a63bfdf8cd6ad611b377030
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 3 17:41:51 2013 +0100

    demux: asf: reset PCR on seek

commit adf378a9cb47017a59178763097b402bdcb57479
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 3 15:59:03 2013 +0100

    demux: asf: wait keyframe on index seek too
    
    Index could be post keyframe type !

commit e52ce3a1f02b1f2df89554f1d9f176b4489acbb0
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 3 10:30:19 2013 +0100

    dvbpsi: do not spam the debug log at each PMT update
    
    dvbpsi own debug messages are not needed to debug VLC modules

commit 453248ac0567047ca211d5ba2ab70e2a76f43af8
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 3 10:29:30 2013 +0100

    dvbpsi: do not print a message if message type is DVBPSI_MSG_NONE
    
    This value is documented as '/*!< No messages */'

commit 78bd79f227a6db422fe651a6c1f9f626fa4a40a3
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 3 09:14:16 2013 +0100

    playlist demux: do not use index()
    
    marked as LEGACY in POSIX.1-2001.
    POSIX.1-2008 removes the  specifications  of  index()
    and rindex(), recommending strchr(3) and strrchr(3) instead.

commit d6e317a4ff4dbf74185b825d8872e02522f20615
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 3 09:04:51 2013 +0100

    contrib: don't build glib by default
    
    We only need it as a dependency of another library (fluidsynth)

commit e9afc05636f2e230378525e11ca71883dba4f3a2
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 27 16:04:28 2013 +0100

    decoder: Simplify DecoderWaitUnblock() proto

commit 5438da273dde343792d36276a24002ce741695af
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 27 15:49:22 2013 +0100

    decoder: merge DecoderError into DecoderProcess

commit 54afb104c1c594331c913b72e5c0f64ae5cd5a2d
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 27 15:49:03 2013 +0100

    decoder: cosmetics

commit 62f25ef1c0180f307a50837e12e5fab358e29275
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 29 18:44:54 2013 +0100

    codec/fluidsynth: fixed linking on Darwin

commit e307931248d8d8cb6609ec91216b283d6ebbf9f1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 29 18:44:26 2013 +0100

    contrib/fluidsynth: add glib dependency

commit e593e38e691434ab7cc23dd9da3843f7ca953771
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 29 18:43:48 2013 +0100

    contrib: added target for libffi since it is required to compile glib, which in turn is needed for Fluidsynth on Darwin (refs #10014)

commit e7377ebc15c8f497685520226863964a8e6c448c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 29 18:42:56 2013 +0100

    contrib: added target for glib since this is a required dependency to compile fluidsynth (refs #10014)

commit 74c432a3c72ec295fc6ae3974f5bf42f041a342e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 2 19:47:46 2013 +0100

    demux: playlist: asx: handle common mime type for asx playlist and asf
    
    http://gonze.com/playlists/playlist-format-survey.html#ASX

commit 2652d1bcc522a160b13889a1f201dce92aa1d3eb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 2 18:54:55 2013 +0100

    Qt: update QUrlValidator (fix #9932)
    
    somehow #3435

commit d470a924f428a5d6ac40d56142f7d14919512471
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 2 18:06:46 2013 +0100

    audio unit: fix init order

commit c5b2b0a284ba6b544646f3a205aa1a2e1117d431
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 2 17:32:07 2013 +0100

    Freetype: fix compilation with 2.5.1
    
    Close #10019

commit e426d8e52529904227d19b932b228b6c04c71acf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 2 17:14:18 2013 +0100

    audiounit: fix crash

commit 9594f247286f36a45b81ba7cbd7273858e9f07ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 2 18:04:19 2013 +0200

    deinterlace: fix segmentation fault (fixes #9916)

commit 0a3cb49bfe4bf54dcecc79be2320f5d6695ccdfd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 27 11:54:11 2013 +0100

    demux: asf: fix keyframe waiting after a seek (fix #6647)
    
    Having pts doesn't mean we have a valid index.
    Also, waiting 50 frames, including all streams is pointless.
    We expect at least a keyframe within 60 sec on seek track.
    This wait is lowered to 5 sec of data if we estimate a low
    bandwidth (that one might need a better hint)

commit 701602135778bbf3819ea8dc94db1e86cfff0c6a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 2 13:51:41 2013 +0100

    demux: asf: remember extended stream parameters for tracks

commit 215c6ac6f278860fdb4abc8fdc99226a7c7f895a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 30 20:05:58 2013 +0100

    contrib: fix compilation of libraries for iOS which deploy cmake

commit bcd00e3be19095558de9d76f2d9aac38bfbd7c94
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Wed Nov 20 13:52:59 2013 +0400

    Fixed warning on incompatible pointer types
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 84feac280925d754091cc8c760cc5b16ea5800a3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 2 08:57:03 2013 +0100

    lua sd: fix potential memory leaks (cdi #1048936)

commit 884edd40de00a5f1f800946d2c4e88c19c3ae2ff
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 2 08:52:27 2013 +0100

    audioscrobbler: fix memory leak (cid #1048937 and others)

commit 891aed990b75398af07ef6b56689b5f4ea0f2cc5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 2 08:48:12 2013 +0100

    audioscrobbler: factorize test and fix potential memleak

commit f5c082b5c5c012fcf7095fec366612da5329e846
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 2 08:42:40 2013 +0100

    rtsp: fix memory leaks and factorize (cid #1048938)

commit dbf26164e81fec33233353e99b89ded126f5c738
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 2 08:37:04 2013 +0100

    sap: fix potential memory leak (cid #1048940)

commit c8f1ef479cc7194465ad687f88f79c2f1fabe756
Author: Gaurav Pruthi <gaurav.pruthi88@gmail.com>
Date:   Mon Nov 25 09:49:38 2013 +0000

    access/zip:patch for memory leak in zipstream.c #8726
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4b726052a36cfab3ec3c63bdf4d10755853a1a5e
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Fri Nov 22 19:07:20 2013 +0000

    Fixed unused variable and parameter warnings.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d6cfb16fa092a05130c6f92fdb896e2c0723824c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Dec 1 13:08:06 2013 +0200

    hqdn3d: add mutex on callback and delete callback on close
    
    Now callbacks are thread-safe and don't block UI thread while
    calculating coefs again.
    
    Also remove callbacks on Close.

commit 5e2b1119d5ee46f28113d4de962db879b21cde11
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 30 21:24:44 2013 +0100

    vout: missing initializer (cid #1049030)
    
    button might be unmatched

commit 6e245f46d63e407be6fff99f30ea9dd3d734c8e8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 30 21:10:51 2013 +0100

    demux: mkv: fix use after free (cid #1049107)
    
    GetMainName() can return a pointer to temporary string::

commit 28288a4762a39df4d5e7880cb6b58f9740edc472
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 30 20:46:36 2013 +0100

    vlmshell: fix null pointer dereference (cid #1049028)

commit d1ffaaf14ce706d01c2341b8843e4de3b9d88d43
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 30 21:03:26 2013 +0100

    demux: mkv: fix use after free (cid #1049108)

commit b7916b9ff65d45c149e2ae7bdaefe16c3c56a697
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:43:12 2013 +0100

    Avoid redeclaration of lseek under MSVC.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4277191131b14a59f0602eb794c80d5b909b14f5
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:43:11 2013 +0100

    Add missing include in order to provide a declaration of _pipe under MSVC.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9c077c0d28df2ad7387b4db8702bd023b2556c86
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:41:33 2013 +0100

    Implement atomic operations for MSVC using the Interlocked API.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8cc8898baaec9aa4280fb58391e6a5b6e199045f
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:41:31 2013 +0100

    Implement ATTR_PACKED for MSVC.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 02f2f5f25b55d8b56991457746085fbd20f8336d
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:41:28 2013 +0100

    Add #ifdef clauses around MinGW specific code.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 12d3f5420446e8498a63f6a7969ba65b10703d13
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 29 19:28:59 2013 +0100

    Avcodec: use the already computed size

commit b22c4573a3c206c9a67465f082c8551acc53147b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 29 19:28:46 2013 +0100

    Xiph: fix sign warning

commit f8afff69ec12ab780b7b7ccd5343eee5abb48b54
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 29 19:28:32 2013 +0100

    AVI: fix sign warning for DV Audio

commit b28e3b4ac06a63499b2a5f03b9a921199dc08f9b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 29 19:28:01 2013 +0100

    UleadDVAudio: fix signedness warning

commit 6972648a653b8b20f89526840d3a8310e2b67105
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 29 19:27:46 2013 +0100

    CDG: fix warning

commit c16bb9c7bfcbe9610ddd71658157cbaca98b7837
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 29 18:53:00 2013 +0100

    Fix KEY_PAUSE double-definition

commit 66dbbce44476862016cf4193e5d530bf0baa6637
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 30 16:55:00 2013 +0200

    avcodec: set dummy time base value in probing
    
    Set time base on fps=25 as some codecs need it to be set (atleast DIV3).

commit 0d7b2bd84be400a34785e6f44b0900d62b8507c9
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 30 16:47:28 2013 +0200

    avcodec: define 1/2 second buffer size by default
    
    mpeg-based codecs seems to require this to be able to produce ~cbr
    output. Should Fix #8239 and #9983

commit 4b48516d6a017c2b6b30de4c91634a045fba45ef
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:43:10 2013 +0100

    fourcc: fix empty initializer
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a580223d2c4fb175d5ea2741fd611b8483f9d7fe
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:41:32 2013 +0100

    network: undef EAFNOSUPPORT before overriding it.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 48edfbb98806f976536008e5561535efeed6f009
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 17:41:27 2013 +0100

    Fix concatenation of Unicode string literals.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit ef1cc0231a0cb351fb277515a383b084312143af
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 30 15:11:37 2013 +0200

    Remove old stray definitions

commit 4d794d1e082adcede425687a5166e2713b4d3c45
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 29 19:29:19 2013 +0100

    contrib/modplug: download from ganesh instead of SF since this is way more reliable

commit 8ad0c0a3f55a97f4cf72bf04a5c960549d597d0f
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Nov 29 16:10:37 2013 +0100

    nsis: simplify OS detection

commit 16e9999966c12f696de57b0e7e5c0f39d7b0f621
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Mon Nov 25 03:03:00 2013 +0000

    flac: fix extradata clamping check

commit 7659b4d8f924fce4c491b374800419fcdc78b227
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Wed Nov 27 15:08:08 2013 +0000

    Avoid type conversion errors with VLC_TS_*
    
    Without the INT64_C, ES_OUT_SET_PCR was being called with garbage values
    (when not on 64-bit systems).
    Refs #9828

commit 952646bbe4870330a4128f3cd5cc7f8ee0772516
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Nov 29 12:56:43 2013 +0100

    nsis: request admin execution level
    
    The current state of our NSIS installer doesn't support per-user
    installation and needs a major rework to do so, therefore the user
    is required to have admin privileges to install VLC.
    
    Still, RequestExecutionLevel was set to 'user' to be able to drop
    privileges when launching vlc.exe at the end of the installation but
    this was improved since (90496f23c2481bbaea21a586bc22631850751221) and
    confirmed by the accesschk tool.
    
    However requesting user execution level makes the unpacking occurs
    twice: once with the user level and once after elevation.
    
    Requesting admin permissions fixes the unpacking issue while still being
    safe when launching VLC after the installation on XP and above.

commit 749052257462aa239a75c0965c0fb2ed5ac994c0
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Nov 28 13:45:31 2013 +0100

    nsis: kill VLC before copying/updating any file
    
    During silent installations (/S) the installer will automatically kill
    (without warning) any running instance of VLC before copying files.
    
    Silent updates should now work using the flags /S /update.

commit 719085f16c1a854410b058958416d36e3fd21e94
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Nov 28 13:45:02 2013 +0100

    nsis: compile the nsProcess plugin
    
    The plugin is a NSIS helper used to find and kill a running process. It
    is licensed under the same terms as NSIS (zlib/libpng).

commit 537acc94690be49b2858ca90c46bc5fa1a7d2795
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 29 12:18:33 2013 +0100

    Contribs: update live555 for security issues

commit de740a6575b372b45899215ec54938a037ef2cef
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 29 11:03:54 2013 +0100

    win32: remove xstrdup macro.
    
    Unnecessary (defined in vlc_common.h) and omitting the second operand is a GNU C extension.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7ca3f99c1efc986f99dcae91f942bd81f5084e8f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 29 10:28:14 2013 +0100

    Qt: fix profiles with vcodec=copy (fix #9342, fix #9485)

commit cb475372d0643ef60e05c8c3ee0cbddc120cf315
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 28 18:12:01 2013 +0100

    audiounit_ios: merge playback performance improvements from the Mac auhal module

commit b7f0b131118be2bc301cc0928133fbcfb17fbbe7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 28 18:14:47 2013 +0100

    MKV: change debug message
    
    No need to call stream_Size and divide by 0

commit 3eb45c244a85f8d81a3b51845ee97ce590287ba6
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 28 16:11:27 2013 +0100

    macosx: adapt window main menu to HIG
    
    add zoom menu item, rename minimize window to minimize,
    and move close window to the open menu
    
    close #9394

commit b0d53839fe33da761935e47b9912f39e07280152
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 28 14:11:47 2013 +0100

    MMDevice: simplify Close in WinRT mode
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 819d233bf5cc9b184506b9e482842a20edaacc23
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 28 13:08:11 2013 +0100

    macosx: implement simpler and generic drop view for all drag / drop operations
    
    - Use the new VLCDragDropView for both CAS and main window drop zone.
      This implements a drop highlight border the same way as in playlist view.
    - Remove Brushed Metal Image view and its own drop implementation.
      When having a image view inside a drop zone, you need to use
      VLCDropDisabledImageView which disables the own drop handling of NSImageView.
    - Removed more unneeded drop implementations for subviews from CAS

commit b1946d46a3c251159dd31e26b4a2dea1a428a4a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 28 10:01:52 2013 +0100

    demux: ogg: don't double read
    
    wrong fix for cid #1048729
    bs_read in __MAX macro forwards read pointer twice

commit f09ddd30cb1f37cb8a1d38887754e031d0512a4f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 27 20:06:37 2013 +0100

    codec: opus: fix oob read (cid #1062575)
    
    Opus supports up to 255 channels

commit 2f13bac44f221b64d376f17dfb48193c671957a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 27 19:48:43 2013 +0100

    demux: ogg: fix unwanted heap reading (cid #1048649, cid #1048884)
    
    Something clearly wrong with that code, as pointed by coverity.
    Due to lack of samples using the old audio format 57 bytes
    is a guess regarding the previous boundary check.

commit 3f96c0ac74b442b9f8b97d98ca13649c2c9786a6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 27 17:41:20 2013 +0100

    demux: ogg: divide by zero fix (cid #1048729)

commit 16fce2346d08569348a74a1ff0ea133d0015656b
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Nov 27 16:29:50 2013 +0100

    auhal: implement pause by output silence instead of stopping output
    
    Stopping and restarting the audio unit or device might take a
    considerable amount of time. This leads to flushes, and
    the user notice a delay for resuming audio.
    
    Auhal does not have a better API for pause, so lets only play silence
    for now. This fixes resume delays with analog mode, and might improve
    delays for digital mode (through they are still occuring from
    time to time here).
    
    close #9536

commit 98787d0843612271e99d62bee0dfd8197f0cf404
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 27 14:17:24 2013 +0100

    demux: asf: add packet values check.
    
    div by zero in many places

commit f5ef14fd49b340e939a68c7ff2e242316d074d33
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 27 14:13:01 2013 +0100

    demux: asf: add check in control (CID 1132753)
    
    If fp object was missing...

commit 45f1628162e5a2b711d6f0ddf945a6b2a518fd3f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 27 08:49:27 2013 +0100

    mux: asf: leaky bucket needs buffer size parameter

commit 1f46c35a5aa44fd1c32b49c65500e37d795f1a91
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Nov 26 19:40:09 2013 +0100

    auhal: do not stop and restart audio unit on flush
    
    This is a manual revert of 878169fe, which is not needed anymore.
    Additionally, it fixes blayback with devices which are not fast
    enough for starting up.
    
    close #9886

commit cd3efe2dc30147b9e0a32f9a039f59c139bc777c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 16:21:52 2013 +0100

    demux: asf: seek seekable

commit 991b4067600b4bb4d6ee75bae5db31cdcd131921
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 15:40:33 2013 +0100

    demux: asf: ignore empty sub-payloads (fix #9990)

commit b43f53f929c627fe519ec4fd069749d799c76432
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 14:20:32 2013 +0100

    demux: asf: fix seek boundaries

commit b9d290d4ebd00601af277539eed5d9edbe2301d4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 13:07:56 2013 +0100

    demux: asf: fix guid comparison

commit b5bffbb2927bf0aeb3930558dd917c07ce5314da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 10:27:50 2013 +0100

    demux: asf: fix wrong allocation size
    
    damn ! cid 1132614/1132615

commit 3896a14b6054329ddc18458b1dc575d2182b8dff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 26 09:10:06 2013 +0100

    live555: remove read-only variable

commit 7696f44d85d0a6653ea92602b351e8bdd03289fa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 26 09:01:05 2013 +0100

    Map MSN Audio to MS_GSM, as it is just extensions

commit ff5e5addd45c46d3824fa2434e3e6f668fa7b300
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 26 07:41:43 2013 +0100

    demux: asf: add out-of-spec guids

commit 687a362c7648d6a4372b3205d099b5d2e879ef7f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 25 19:33:11 2013 +0100

    freetype: fix potential memory leak (cid #1048945)

commit 289ad5c5e3fef2d8db8141312014753e76133176
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 25 19:26:52 2013 +0100

    update: fix memory leak (cid #1100857)

commit eb72c5a30544b2c12f16200b11b79e5774849db3
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Nov 25 19:48:40 2013 +0100

    auhal: fix crash on error paths for stream format change
    
    ref #9957

commit 7e94e20bb5ee9a1014fa08f51c04f2293f21ea7a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 25 19:20:11 2013 +0100

    asx: fix many memory leaks (and cid #1109641)

commit 85f92c8fa11741776a97c9b9e5dd1f43f336c876
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 25 19:07:10 2013 +0100

    ogg: fix type conversion (cid #1125392 and #1125393)

commit aacb2a82b44652eacee1d12932e48bf438dd1855
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 25 19:02:16 2013 +0100

    Fix read of unitialized variable (cid #1125395)
    
    Even if should not have any impact during execution.

commit 2ca8c9db8064dcb8b9c683ec9b160464f6f3580e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 25 18:13:09 2013 +0100

    demux: asf: enforce root object boundary (fix #9441)
    
    Seems some encoder reuses previous memory area for junk sections.

commit 5e8fb7c2a667772fa5f4f4e1642b72571d01429f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 25 17:25:57 2013 +0100

    demux: asf: add fake root guid for debugging

commit b82bc83428aa33f2b5af2b4201f0926d2ebfe4ba
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Nov 25 17:38:01 2013 +0100

    macosx: fix issue which caused automatic video resizing even if disabled
    
    close #9864

commit ee3e5d56ec9816c3728706b3618686790fb0892d
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Nov 25 17:36:27 2013 +0100

    macosx: fix crash when closing video window without decorations

commit 52dc9277520731fb378c65216da1cebff2cd7ed3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 8 23:07:20 2013 +0900

    demux: asf: fix variable length reading.
    
    While current spec doesn't make use of > WORD sizes,
    the code was following the spec and reading variable length
    up to 3 bytes precision and writing it to a (int *)...
    This patch fixes signedness too.

commit 51785680c51862aa2c22c364c7d73beb74a150fb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 25 10:33:41 2013 +0100

    demux: asf: fix overflow in seek

commit 9baab2bdeb1667061b98399b407b7434f0dbb36e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 25 13:41:58 2013 +0100

    Qt: InputManager: don't enforce lower bound after a seek
    
    Should fix problems like #2243.
    After a seek, the updated position could be the keyframe position
    choosen by demux, and then lower than A.

commit e374892046ecc55f510e0595e472a5251ac957e4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 24 20:56:53 2013 +0100

    macosx: fix subtitles opening for the applescript bindings

commit 2604049f04c78e0b586d04f780f01d728feb0618
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 24 20:56:36 2013 +0100

    macosx: fix drag & drop / double-clicks in Finder to open subtitles files (close #9953)

commit c6e4493dcdab713bc70d0efb2154d08dce57cde1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 24 20:35:05 2013 +0100

    darwinvlc: fix automatic language selection (close #9914)

commit 325764ecd99ca4131cffbfcc6b594f7bc42a2de8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 24 20:22:11 2013 +0100

    macosx: show 'pause iTunes' option in a more accessible place since it is being asked for a lot (close #9954)

commit 72ce3409e012878c9ec6432eef1ebb9e5e9cfe49
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 23 16:42:53 2013 +0200

    transcode: initialize filters properly
    
    Use deinterlace etc filter output to input as user defined video filters
    and make sure visible width/height is defined for that.

commit 59a3e76c532c5e1eda55cf8ddcfa2075912856e0
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 23 16:05:47 2013 +0200

    canvas: use visible width/height on calculations

commit 61466e069f0bd8803e12515e6439bbdb72cb5527
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 23 16:05:01 2013 +0200

    transcode: check user videofilters when checking chroma/scale need

commit 23ab7c47138056a2e1846046c1f8056d6a74860e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Nov 23 13:47:56 2013 +0100

    macosx: Use enum to distinguish different events for playlist / main window states
    
    No functional change.

commit a1e8dd2491d7d51b7422c528503f8c9b3034a612
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 23 13:17:34 2013 +0200

    transcode: when audio samplerate change, also change pts clock value

commit 39a99d25872f64dacd470fda86ba2193a55cda52
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 23 13:04:03 2013 +0200

    transcode: check if input has changed before sync check

commit 7e251ae78f6d41e92ea56901a96f4674987cb8c0
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Nov 22 21:59:49 2013 +0200

    transcode: keep original timestamp in audio and not calculated pts
    
    Allow audio pts fluctuate within drift limits as we calculate the drift
    related to master sync time anyway.

commit d6a019d094973e71a45ab60d5a937961352e8536
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Sat Nov 23 00:07:23 2013 +0400

    Fixed warning on incompatible pointer types discarding qualifiers
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit ae4679b796170f4c51670de8a9eddd1d6923d9bf
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Sat Nov 23 00:07:21 2013 +0400

    Fixed warnings on duplicate const modifiers
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 9a0de97a76629f3fc16758abb8c612ef5d9feab6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 23 10:13:10 2013 +0100

    demux: asf: do bitrate mutual exclusion

commit f242004f65653c8a7b5fd483ba3b0215196efaca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 23 08:30:43 2013 +0100

    demux: asf: add bitrate exclusion object handling

commit 4dbcaaa5723c952b32340d57889f4431f49a2a9f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 23 09:52:30 2013 +0100

    demux: asf: follow track exclusion list (fix #3796)

commit 8c36b8a07c42dd6026bed8391b37b66b12f74ad9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 23 08:29:43 2013 +0100

    demux: asf: don't store exclusion guid types as is

commit 626174f3b9d86559db9c66ede56abd15a3d7ea5e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Nov 22 18:49:42 2013 +0100

    auhal: use own thread for notification loop

commit 2f5891bd44f9a5bffcb4d8a2bd918d0787f53c6f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Nov 22 18:40:11 2013 +0100

    auhal: ignore changed default device in digital mode
    
    This fixes nonfunctional playback when more than one audio device
    is installed.
    
    close #9924

commit 8b6eec54693d35f8f1b7dfa3f659c0b92ac97944
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Nov 22 18:39:23 2013 +0100

    auhal: fix comments

commit 23445cd543c69113f4f82bce7362d6fc20cc0bfa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 22 17:11:25 2013 +0100

    demux: asf: reject DRM'ed files
    
    Keep #8241 open ???

commit 5606132e4fdd86bce0d8b8c391ad9d57eee25989
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 22 17:12:06 2013 +0100

    demux: asf: add some more debug info

commit f38c434794dbfe7d6981d5fa9396d026862c1ece
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 22 14:06:16 2013 +0100

    configure: remove remnants of the 1st generation iOS vout removed in 902cc2d4

commit 58c8f9f3cef168df4adfe5e1ca14cc745f4ba7fc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 22 13:33:04 2013 +0100

    demux: asf: preroll to seek time from index keyframes (fix #7890)

commit 050333c7257e846e4cc2642663f901823a4c4746
Author: Ago Allikmaa <maxorator@gmail.com>
Date:   Thu Nov 21 21:43:02 2013 +0000

    Regression fix for non-SPU tracks in MKV containers.
    
    Fixes track duration not being set for non-SPU tracks in MKV containers.

commit c91f3a9ace67adacc3fbc50cd4e3cbe06a7c3b85
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 21 23:39:55 2013 +0200

    po: restore silently reverted character sets again

commit a87c668eaf2788a454f22a18b5dbd66f8750cd9d
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 21 11:00:38 2013 +0100

    macosx: fix preferences reset if unknown version was found

commit dd4fe6748489ff37ac0847a5baf9db6db21e3419
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 21 10:59:02 2013 +0100

    macosx: fix selection of playlist item for very first start

commit f88d16b248d051d1366d4097df97ee00a1129997
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 21 01:58:56 2013 +0100

    macosx: correctly reset interface preferences when requested

commit 988ba5e8c057993d06e98fe101543d429ab6746e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Nov 20 20:26:09 2013 +0100

    macosx: set VLCMain as file owner for mainwindow and add outlets for window and playlist
    
    Fixes playlist initialization.

commit 6ea4d015ffcad76ae5d0262d668ec92ff6e42136
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Nov 20 19:01:59 2013 +0100

    macosx: change alignment of dropzone-box yet again
    
    refs #9722

commit 655dacc5e1cd7c9f1d347a7344ccb8d3734a7353
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Nov 19 21:13:13 2013 +0100

    macosx: refinements of minimized view behaviour
    
    - Fix wrong playlist resize
    - Minimize view state is now retained from start up to stop of video.
      Using the playlist button will result in the playlist to show up, but it
      will be always hidden when video finally stops.
    - Minimize view state is exited when the user uses alt to go back to normal view.
    
    close #9722

commit 8b145a7b6d224064f7228cd3072313708933bd4a
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Fri Nov 15 07:28:25 2013 +0000

    Fixed parsing SubRip subtitles with missing msecs.
    
    This patch fixes SubRip subtitles parsing with missing microseconds.
    This patch also makes redundant SUB_TYPE_SUBRIP_DOT format as both
    delimiters (dot and comma) are now supported equally.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 75d5a967e6985c6b51b498583de0a5e26f3b5144
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Nov 20 16:54:55 2013 +0100

    nsis: remove unused string

commit b3880e9af0da523ce10238831da18fc27bb5581c
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Nov 20 15:36:20 2013 +0100

    nsis: remove dead uninstaller code

commit 6cacd14869c46cf36e98de3d29b84dd450c1cffc
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Nov 20 15:30:26 2013 +0100

    nsis: make new strings translatable

commit 92eb922b4eff12d1a7ff732ef7b57fc51ec3151e
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Nov 20 15:28:24 2013 +0100

    nsis: sync wording with the uninstaller section

commit 1fb1731824e8abebe37bd8d9665724c69d0f5aee
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Nov 20 17:24:35 2013 +0200

    udp: don't set receive/send buffers for socket
    
    Current OS should be able to set those buffers to be reasonable, and
    this buffer size caused drops with HD udp/ts inputs.

commit ca5b8920f54bca567880602b444a1e3321f35aa0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 20 16:21:54 2013 +0100

    LGPL: relicense vsxu to LGPLv2.1+

commit ee8e8d6483608beb36d1aa81b84a27c66f08e89b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Nov 20 16:29:03 2013 +0200

    transcode: fix picture release code
    
    There was a bug that if you had threads but no fps it would release
    p_pic that is in fifo for encoder and stuff happened. I introduced this
    but in that lipsync change.

commit 2416d7d14e36ddd36a793d8245c6bdfc09ae45e3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 20 12:41:46 2013 +0100

    LGPL relicensing of streaming output
    
    Re-license almost all the streaming modules to LGPLv2.1+ with
    authorization from their respective contributors
    
    After access_output, this includes stream_out and mux.
    
    The duplicate and rtp modules are not concerned by this relicensing
    because of unreachable authors. Notably:
     - An L. Ber (dedd7cd2)
     - Andy chenee (5caa2ba)
    
    Thanks to everyone for their help and answers in due time

commit 78ecd889cc8ea55de344d04ac43d116d31c54ac6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 20 12:46:44 2013 +0100

    Fix typos in headers

commit f95987341838fb563e6b1b68ee80588b44b31e63
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 19 16:55:17 2013 +0100

    extras/ios: enable gnutls

commit d7e042e81aac6854cfe06aab11137e2385bec470
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 19 01:57:01 2013 +0100

    vimeo.lua: rewrite due to website changes
    
    The config is not available within the page anymore, we have to call an
    API URL to fetch it

commit 4ab7dfbf8fc4e2bb0ef565ea549dc0b41c3f18c9
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 18 23:42:15 2013 +0100

    Add vlc.lib / libvlc.lib
    
    Windows linkers can now use -lvlc -lvlccore

commit d48a6fb57af66bdbe1772fa3ae2e958c72e0827d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 18 23:41:01 2013 +0100

    androidsurface.c has moved
    
    add nativewindow.c for translation

commit 2fe62d4008bef9698641a5453dea70db80a8803f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Nov 18 22:27:06 2013 +0100

    dailymotion.lua: fix page parsing

commit dbdf09a86ed6149d10a012b0d0eb1751eb9f5d22
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Mon Nov 18 17:04:33 2013 +0400

    Fixed warning on assignment as a condition without parentheses.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit f0b348332357eb2e0d66653ea9ddd0238d5aadf8
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Mon Nov 18 11:44:49 2013 +0400

    Fixed warnings on duplicate const modifiers.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 7dcd1665a2d127a8573e29832fce1b1d88836643
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 18 20:00:48 2013 +0100

    lpcm bd: fix decoding of 16 bits with channels padding
    
    swab prototype is not the same as memcpy (src and dst are swapped)

commit 7fc3ea2fb9c699966a58b4b4392a4f0a1fe0aeff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 18 19:47:31 2013 +0100

    Qt: correctly update the art URL

commit 68ca8d0b779ee20580230289d890b5b6b671abe0
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 18 19:26:39 2013 +0100

    LPCM: fix 20/24-bit decoding
    
    Fixes: #9907

commit 5dee34ad0318ec7daf8f1024d52a687b7b45b4b2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 18 18:26:27 2013 +0100

    Do not put the extensions twice

commit 91bb09f8f2d1d2b3c6ee9edf62ee13f19cc2a240
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 18 13:43:01 2013 +0100

    contrib: chromaprint: download over http

commit ffff393ec1421aa7ff00cb5fb024d6fbee931fd4
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 18 13:39:27 2013 +0100

    UAC: offsetof only needs to know the field name
    
    Don't specify the (variable) size

commit 941cff445097b422455c333af47230b8dfe93283
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 17 18:21:37 2013 +0100

    macosx: unify functionality of fwd/bwd buttons in video window
    
    Behaviour is now the same as the buttons in main window
    
    close #9512

commit 89f67375ed4d791d34f2b4d25162e684c109d338
Author: Denis Charmet <typx@dinauz.org>
Date:   Sun Nov 17 16:15:23 2013 +0100

    Increase dpb size for HEVC

commit f305d59a1aec9110f6b11e533fd89ffecfa5be5c
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Nov 16 22:08:11 2013 +0100

    Support multichannel raw audio in MKV
    
    Fix #9866

commit fdd456ea6ef1984eedd1912ba2eb37a43e1ae08b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 17 15:02:03 2013 +0100

    MMDevice: split OpenDevice, CloseDevice and ActivateDevice for WinRT
    
    The code wasn't common anymore :)
    This reduces the number of #if VLC_WINSTORE_APP and should help
    readability
    
    Maybe Open() and Close() should be splitted in a similar way...

commit 2f9b33af5b50e6a16b332f1334d256a1e9bc0705
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 16 20:33:16 2013 +0200

    transcode: don't crash with threads with freeing pictures all over

commit 45df8a6415e038fc4e3df325871e35c85f027d26
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 16 17:56:24 2013 +0100

    mmdevice: adapt for Windows Store apps
    
    The most important point is that we can not enumerate or active devices anymore
    http://msdn.microsoft.com/en-us/library/windows/desktop/jj128298(v=vs.85).aspx
    says we must activate the device from the main UI thread, which we can not access
    from VLC C code.
    
    Add a module option so the main UI code can activate the audio interface and pass
    down that pointer to VLC.
    
    ifdef out unneeded device handling code

commit 200dc6518f29c4783d3740dc1071096341a7597e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Nov 14 18:41:16 2013 +0200

    ts: define pf_calls at the end of Open

commit d981e3b05237b4f96853267b14991e0d0f9d93b2
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 16 17:09:16 2013 +0200

    transcode: add my name on authors so bugs can be assigned to me

commit 023fa8c432451c86f3792a54bbdd90723f2238f9
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Nov 11 19:08:41 2013 +0200

    transcode: rewrite fps/lipsync code
    
    Add some comments on how the code should work. Basic idea is first
    check input lipsync against audio track. Then check if we can drop the
    picture based on output pts and then do same checked in OutputFrame as
    some filters can output multiple pictures (yadif2x etc).
    
    simple framerate conversion from 25 worked to 4,5,10,20,23,29.97,50.60.
    Not sure if yadif2x and all work fully yet.

commit f4f66b0f8a36035865fbaffb88be3d0140eac7c7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 16 00:39:33 2013 +0100

    flac packetizer: validate frames with their CRC
    
    Fix #9442

commit 4ccc2f795499fe1108fad6d8b7c84946a7f7d99c
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 21:37:41 2013 +0100

    flac packetizer: deindent switch

commit a799a89f2a54e64f28f66f0d9af79d8acefde090
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 21:34:25 2013 +0100

    flac packetizer: small factorization when first PTS has not arrived

commit 02b18c80794afe09fc09f50a8f7c159ca2e9d730
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 21:33:09 2013 +0100

    flac packetizer: verbose error message

commit d2be92d9503d5079199f2a313c212aaadcd14052
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 21:31:50 2013 +0100

    flac packetizer: Use meaningful names for block_t

commit 72bef01564d35fa3bcdc4ccf93dd89d20b145a20
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 21:29:35 2013 +0100

    flac packetizer: avoid realloc

commit 39e48a79fdeaada567219b81c4f6847e3efc0124
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 21:23:57 2013 +0100

    flac packetizer: simplify header parsing

commit 88bcfa088958a3c55ac36384074eed11c83938a4
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 20:44:50 2013 +0100

    flac packetizer: move functions
    
    remove prototypes

commit 058b173217677b08dd16868a0126845f229574ec
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 20:42:34 2013 +0100

    flac packetizer: cosmetics
    
    C99, brace style, space
    No functional changes

commit 75b67dbce7fef04454f1a9708d69bfbfc786e4b9
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri Nov 15 15:47:19 2013 +0100

    mediacodec: change type of internal variables to bool.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 09e1913c5390c6f971094fb4af78a89486fd1d25
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 14 13:14:07 2013 +0100

    macosx: remove unneeded free

commit 31b1205fd622eef0be3379f602cf83807c3c2124
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 14 13:11:29 2013 +0100

    macosx: fix use after free for video effects string
    
    This bug resulted in failure of setting more than one video effect
    filter on mavericks.
    
    close #9849

commit a5a87c3c662a3f733d1b7a49b8cf5c5f595aed41
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 15 15:25:48 2013 +0100

    Revert "flac packetizer: use the largest possible frame size"
    
    This reverts commit 03e0644c82bf1dea96f8ade8829c2e1f360bd1ee.
    
    Decoder needs single frames
    
    Closes #9863

commit 1c7b3420ede14f56b1c340fbfcd9bc2db9d8e4e3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 16 00:12:47 2013 +0900

    demux: asf: fix multiple compressed payload regression (fix #9846)
    
    Regression introduced by 6eddafe741954803ec2928d26fb7566bd07a3601

commit c5c9e6662764ef71c24cc3642c928649eb48ff94
Author: Maxim Bublis <b@codemonkey.ru>
Date:   Fri Nov 15 12:28:23 2013 +0400

    Fixed contrib target creation.
    
    Patch has been updated. Also fixed target creation for Growl and BGHudAppKit.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 46fe18b280ed5825fd701edeedb2f5c24de001a2
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Nov 9 16:53:06 2013 +0100

    Implement basic Opus support in MKV

commit 7b8e0d02d586348f916e71e300f1d5fe0e715c04
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 14 21:02:38 2013 +0100

    release doc: add a command to verify signatures

commit 0da682e0bd90a90cd735009287b3b4c7d4b62743
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 14 15:56:43 2013 +0100

    Add .mus and .sid in the file open selector

commit a9f899a33e1269ec0cf0ed373b2d2d34538dfb54
Author: Mirsal <mirsal@videolan.org>
Date:   Wed Nov 13 10:32:05 2013 +0100

    dbus: Fix the MPRIS version in the header comments
    
    Change the mpris version to 2.2 as VLC implements it.

commit e9611bff079295beb4f65cc112c6529720233f10
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Tue Nov 12 10:01:40 2013 -0500

    araw: add assertion to check for buffer overrun
    
    Refs #9343
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 7163c4b94a441b3bba7355a9bb117d048a33747b
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Tue Nov 12 10:01:39 2013 -0500

    opus: update i_buffer when memmoving decoder output
    
    Fixes #9343
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit d0b93ce78dbd5ff228690a6ab5ce0affdcebbb0d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 12 17:06:10 2013 +0100

    Remove unused bindings directory

commit 14851ba145f03bc364c6641023620767533137ab
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 17:54:49 2013 +0200

    zvbi: set default opaque to false as default is text mode now

commit ebad0d66f159f33ac7a3dcc8105fd9be39ac69bd
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 17:38:15 2013 +0200

    zvbi: handle opaque in text mode also

commit 8d40fb1276f5bd72ff37a4b2099c4842765b7471
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 17:37:51 2013 +0200

    zvbi: set text format as default, as subtitles should look better and seems to work for me

commit 47faceb4f016f9621323e2f1e1230e713a35261d
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 17:33:04 2013 +0200

    zvbi: mimic cc.c for using subtitles updater etc to avoid flickering in text subtitles

commit b5c3ef9f2d082bc6805fc23761ca82015dff9b47
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 15:32:34 2013 +0200

    zvbi: initialize pointer

commit d3d8a8c097168cde4d2dc33bf9681436dd936851
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 15:32:14 2013 +0200

    zvbi: strip leading/end whitespaces from text subtitles

commit a493cee283a0f021bec55efdddfcee11cae6679c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 15:31:27 2013 +0200

    zvbi: set position to be absolute only for non-text subtitles and give reasonable stop time

commit 716e4172a8613e44b113e1ae3d0ad94489fb3c57
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 15:29:17 2013 +0200

    zvbi: set pf_decode_sub at the end

commit 5c92040c285a1b200b31f6c9c9713c845e3d0bb8
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 12 15:28:53 2013 +0200

    zvbi: default alignment to bottom

commit 6f6bd492c52c263d1f1d08ccce89cd96a6c9033f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 12 11:51:15 2013 +0100

    mpeg_audio packetizer: flush remaining data
    
    vlc 1.mp3 --sout 2.mp3 && vlc 2.mp3 --sout 3.mp3
    will now give identical 2.mp3 and 3.mp3
    
    Refs: #3178

commit ddc3eafec7d1283fe5da89cab7628c8fa268bc57
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 12 11:50:46 2013 +0100

    mpeg_audio: assume block_GetBytes can fail

commit 11d3a7ac5686ffdbe5f098264b8677d4aa1e88af
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 12 11:45:21 2013 +0100

    mpeg_audio: use a variable to avoid pointer dereference

commit 903d5ae98f7ac8e12ac5e0acab122e330642f486
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 11 19:23:07 2013 +0100

    Update NEWS from 2.1 branch

commit a19d8403aa91d18b0645d6888f40d0c60baa4517
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 11 17:19:09 2013 +0100

    fix make dist

commit 6b09d57e798baa8ef7d818868dcaedbee378c1e8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 23:32:03 2013 +0100

    macosx: split main window and main menu
    
    Note that this is a WIP commit so playlist table columns and displaying individual playlist items is currently unavailable
    
    Any playlist interaction (incl. saving) and playback are not affected.

commit 5d55f77f4356747ab3e3e6eb7ab8ae264828af5b
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Sun Nov 10 12:50:04 2013 -0500

    ogg: initialize skeleton values that will be used in Close() (Fix #9830)
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 9973008454e6f866405fbf94fa26013493a74ac3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 23:19:18 2013 +0100

    macosx: fix compilation warnings

commit 0f148a8e355f4c26cae53ebf41f78b637d0da7cf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 22:53:23 2013 +0100

    macosx: split playlist menu from main menu

commit 697f59f34c9c4e944fb6294b992870ca2f6c99c1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 22:28:48 2013 +0100

    macosx: split debug messages handling from VLCMain and the Main Menu nib

commit 04cb7d2add12bc8795b9a168f9fda0973a6e5f42
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 21:53:17 2013 +0100

    macosx: split crash log handling both from VLCMain and the Main Menu nib file

commit 35deef0686f084e477d10cbb15d49cad50a159c1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 10 18:06:38 2013 +0200

    input: get PTS delay from stream rather than access (fixes #8457)

commit 3f33a255b9fe4d3da04eee1a38b3fa90c82aa139
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 10 18:01:56 2013 +0200

    smooth: provide PTS delay

commit 11b719198944bc60c6a7daa3f6e069bed86025e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 10 18:01:47 2013 +0200

    httplive: provide PTS delay

commit ae301440f9bb5464bd67ea9637e4001b89c3f8f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 10 18:01:35 2013 +0200

    decomp: provide PTS delay

commit 3c21832117964af47438812a67e846c956abaaf0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 10 18:01:21 2013 +0200

    DASH: provide PTS delay

commit 5ccba1ab1dccb2b73b9454cc47d00f2f794deb95
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 10 18:00:57 2013 +0200

    Add STREAM_GET_PTS_DELAY control (refs #8457)

commit 10b5b2ccdc4cfc3bd34db67471de4cbde9ab5ad6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 17:06:34 2013 +0100

    macosx: don't leak the fspanel

commit 5596ab870342279223ab4a3cdc1fab34febb3825
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 16:08:24 2013 +0100

    macosx: split fspanel from main menu nib to an extra nib which not being distributed as the window is being created entirely in code and the nib representation is used for development and layouting only

commit 804df2252aad707cb3c24aabb0eb7f52b5113f7b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 10 16:34:40 2013 +0200

    transcode: encode buffer and flush encoder at the end when using threads

commit 627b5d8edcf2910b6abb0176cacaff87e622bff3
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 10 15:25:01 2013 +0100

    macosx: fix float-on-top behaviour with fullscreen
    
    The issues were mostly noticable if you select both float-on-top
    and fullscreen in video prefs.

commit 04e57be450f6a179f26c5e07f18ed238f1ec1ec6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 13:41:55 2013 +0100

    contrib/gnutls: remove debug from patch

commit c2b866499d6b43450c97905be29081a93316cb8c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 13:24:02 2013 +0100

    gnutls: link against CoreFoundation and the Security frameworks as it is required by the keychain certificate lookup patch

commit a06e7f27acef85631f7c748f568993de7f5023a1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 13:23:17 2013 +0100

    contrib/gnutls: add patch adding keychain root certificate lookups on OS X (not supported on iOS)

commit e7353f4b55b81c270e5433e41e64f627fbd7012c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 10 11:11:39 2013 +0100

    macosx: fix typo and set path for open dialog correctly

commit 9dda04b93dfe657465cbdd3e36e9b3d2c9e16f02
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Nov 9 17:26:46 2013 +0100

    macosx: fix float-on-top-behaviour if setting is changed while in fullscreen

commit e062d7c8b5480d7794b2d009a3dcf2631792a97a
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Nov 9 17:22:00 2013 +0100

    macosx: reset float-on-top when native fullscreen has already finished
    
    This fixes issues where video window just disappears when exiting fullscreen,
    only on Mavericks.
    
    close #9814

commit a24db0a78bd552ae26f8e3aab3a3dff8f41e7cbb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 10 01:12:54 2013 +0100

    bin/darwinvlc: fix l10n preferences lookup code

commit ffff39acd6827446091f26b86929af875d2c4ac4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 9 18:28:50 2013 +0100

    macosx: add GUI setting/getter for --language

commit 4dbe3de4b46651591d98c05319168f6333faa8ff
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 9 18:07:19 2013 +0100

    extras/package: add darwinvlc.c to xcodeproj

commit bd184a14413e098e273734bf8bc1f615e967fea5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 9 18:03:46 2013 +0100

    bin: re-implement --language for OS X

commit a868dc7fe18182818471ea6c02770223f7a43d5b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 9 16:05:34 2013 +0100

    bin: derive a special Darwin version from vlc.c

commit 0ed2f1ea469dd0d64d4842c19020a8f1bd6c99b1
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 9 19:01:38 2013 +0200

    transcode: use video.i_width/height as fallback when setting visible_width/height

commit eb39fc67fa7701a6653e693866647d421c786353
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 9 18:12:41 2013 +0200

    transcode: set video chroma before trying to query video filters

commit 82d842bf0df8b605703ea761749a24fcd6407e14
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 9 18:11:48 2013 +0200

    canvas: handle sar{0,1} and assume it to be 1:1

commit c664aa35a787a541545321a6ea041b03eaf95e16
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Nov 9 15:55:00 2013 +0100

    Switch linking order of libcompat for modules
    
    This precedes libcompat before the system libraries to be able to use
    10.7 compiled binaries on 10.6.
    
    close #9527

commit f4d4293230d248566f4aa5870786c9543e7377ef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 9 16:31:35 2013 +0200

    FreeType: optimize FillARGB() a little

commit e9f42c6b0061aa22536e1e9e5aca6016782a2e38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 9 16:29:20 2013 +0200

    FreeType: add ARGB support

commit d9e965aacc65a1a0f161b3145bbc03a683b17427
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 9 16:13:47 2013 +0200

    xcb/screen: cosmetic fix

commit 0132e7dc1b643c868f2dd14c3e4fc48454f962ef
Author: Daniel Verkamp <daniel@drv.nu>
Date:   Fri Nov 8 20:56:21 2013 -0700

    Sort avcodec mapping table by AVCodecID enum
    
    This makes it much easier to tell which codec ID mappings are missing
    (or intentionally skipped).
    
    Comments have been added for each codec ID that is currently missing.
    
    Ordering between codecs with the same avcodec ID or VLC fourcc has been
    preserved.
    
    No functional change.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit c7283a40537b142cf5da0ec2022e9c02c9b51d8c
Author: Daniel Verkamp <daniel@drv.nu>
Date:   Fri Nov 8 22:38:22 2013 -0700

    Fix Duck DK3/DK4 ADPCM mappings
    
    Also give them VLC_CODEC_ names and use them in the adpcm decoder.
    
    v2: Add codec description strings
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 5878bce8a1f874d7f77754196eea700ac194830a
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 8 13:52:18 2013 +0100

    AAC packetizer: comment write-only arrays

commit 696fa37a6c22576a5c409f7672ca8c363ee5ca2b
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 8 13:49:48 2013 +0100

    AAC packetizer: move functions around file

commit 8964628438d9b83687f82026d265da31de02d021
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 8 13:47:06 2013 +0100

    AAC packetizer: deindent state machine switch

commit 7e52cd8a50de26eaca602b352bd63101c84a249a
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Nov 8 14:49:59 2013 +0100

    Update NEWS

commit 902056ed64a0e0150dd96f553e82381c2363846d
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Nov 8 13:36:27 2013 +0100

    EGL: add the OpenGL ES 2.0 support for android

commit 3de6ae03870e7e47df4077422a4b0e53a62a9e67
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Nov 8 13:42:39 2013 +0100

    Vout: add a new window provider to create android native windows.

commit 95cfb0e32d4c0a900e88a58392f3bd5d6895cc38
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Nov 8 13:18:34 2013 +0100

    Vout: add a new vout_window type for android native windows

commit 348fbb56c9739d3df17e44d2da08e89a097a1ba2
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Nov 8 12:38:21 2013 +0100

    Vout: move the AndroidSurface vout to a subdirectory

commit 96152a1e85a7fd3f65176ede31c7ade4f8bd6407
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 8 11:04:29 2013 +0100

    Contribs: forgotten file in previous commit (3.1.16)

commit 8a9a5ba4051c7a439de1f614acd04eb83ac1f50d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 7 22:59:37 2013 +0200

    vout: allow ARGB for SPU

commit 8186908d9c930477e7be33e363a2eb15a07835d4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 7 23:13:38 2013 +0200

    vout: fix intermediate chroma when converting from YUVP then scaling

commit 9f75d4ac5b1344657cde15317823f0c0acfb995c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:31:13 2013 +0200

    XCB/XVideo: fix 32-bits RGB support

commit 46db6c435408119da88303b975a00f5fe7d8ce12
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:31:00 2013 +0200

    XCB/x11: fix rendering to 32-bits surface

commit 2d4752cd27471c462a72ac88f28af7afaab22db0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:29:29 2013 +0200

    XCB/screen: fix 32-bits screen capture format

commit 15cb452eed6c47d0151eb29bfd9bf83bc0975fd2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:29:50 2013 +0200

    Xwd: fix 32-bits RGB chroma

commit 98825391dc185111ea6f8751884c1c6a9f39a85c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:32:26 2013 +0200

    avcodec: add ARGB mapping
    
    Also remove bogus RGBA masks. Masks are only used for RGB formats - the
    VLC chromas without implicitly fixed masks.

commit 257d8cb8ff166959ac458a31a4a85fe49cf3c2f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 23:01:24 2013 +0200

    swscale: add ARGB conversions

commit c95d03ee881e6f7e7b1c351e0fb64b53a69ca8c7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:48:56 2013 +0200

    yuvp: add conversion to ARGB

commit 91106e6a04862979b498f3cc23d14eb2057fbd5d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:31:52 2013 +0200

    scale: add support for ARGB

commit cca8532369b993bf9481499403d14c27ddff144e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 5 22:28:21 2013 +0200

    fourcc: add ARGB for 32-bits RGBA with X11/BD components order

commit a1be7cf33598a2d5cedbb475a12a31205b800f3c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 7 11:44:29 2013 +0100

    Contribs: update GnuTLS to 3.1.16

commit f4073f179065d6ef9246f57d1926c26884cb7b6b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 7 11:38:55 2013 +0100

    Contribs: update matroska to 1.4.1

commit a5051b22cd0efa480b3bc35a391364d723262db0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 6 23:29:17 2013 +0100

    contrib: don't use the gas-preprocessor when compiling for the iOS simulator

commit 3900a730754293d85dd6b62489f1392b42cc546f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 6 23:41:01 2013 +0200

    gl: remove hard-coded platform to window type mappings
    
    This should fix compilation on non-Apple Darwin and plausibly addresses
    hypothetical future support for Mesa's shared GLAPI.

commit a89068129e3ab2a854cfa29f5e756f095c0be12e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 6 22:39:11 2013 +0200

    XCB: map Print and Pause keys

commit 6282c0e36821db1136da77f60765e5de14c19bee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 6 22:38:52 2013 +0200

    Qt: map Print and Pause keys

commit 30bf97c789f19c1f93755c1e3c3461087254ed41
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 6 22:38:37 2013 +0200

    keys: define Print and Pause keys

commit be6723352a807f00fb1c4827790c93ba8949735c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 6 22:30:10 2013 +0200

    XCB/globalhostkeys: add support for meta modifier

commit d373cb8d9f1f516daa0e9ebeb3b7b03408f8fce1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 6 22:28:51 2013 +0200

    XCB/window: map Super and AltGr keys to Meta and Alt modifiers resp.

commit 2f3e3eb8d49322a5a45f96cf5d5b309d76a85f8a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 6 11:17:52 2013 +0100

    Add .wax to the list of extensions we support

commit d1d108f81774cf36f9c459ba00aad88d9fc89efc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 6 11:14:34 2013 +0100

    Map LJPG to MJPEG for decoding
    
    libavcodec only has a LJPG encoder, not a decoder

commit ae247a6eea96c5f2501ddad496e98d795ab6bc62
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Tue Nov 5 17:52:11 2013 -0500

    avcodec: remove unused variable
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 6fc57856ef8af468bff9b2ab3dc9d473a276a2ff
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Tue Nov 5 13:52:27 2013 -0500

    avcodec: reuse DEFAULT_ALIGN
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 64d26fe44e29a6457f09e2dcf0597d4e7da2816f
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Mon Nov 4 19:27:14 2013 -0500

    avcodec: ensure valid buffer size for avcodec_fill_audio_frame
    
    avcodec_fill_audio_frame will reject input buffers that are too small,
    therefore we cannot call it directly with the input buffer p_aout_buf.
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit e347b8f495e7d8c82896ee372f9966a1c73b0a7e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 5 22:38:04 2013 +0900

    demux: xiph: support old ffmpeg vorbis headers (fix #8832)

commit dcffc924967a40b9cf550624d61fbe20e9409ae6
Author: Luca Barbato <lu_zero@gentoo.org>
Date:   Mon Nov 4 14:02:59 2013 +0000

    build: support YASM targets
    
    The files must be .asm
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 18e124ec4bcb679b17d0425f121106465d3a74f2
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Wed Oct 23 11:28:27 2013 +0000

    avcodec: copy correct chroma plane in CopyFromYv12.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7f21b02aecc0175a270744efee774b4a3482389a
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Tue Nov 5 09:37:26 2013 +0100

    EGL: destroy the created EGLSurface on Close()

commit cafdd029a182779f8e93aeece0406d5a689f9612
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 4 23:09:06 2013 +0200

    oss: use SNDCTL_DSP_HALT in Flush() as in Stop() (fixes #9760)
    
    (There does not appear to be much logic there, this might be a driver
    issue or confusing documentation.)

commit 74bb926bdbe8a457d4ffc9d42d3f1ddacfb422f8
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Nov 4 22:20:50 2013 +0200

    mediacodec: Simplify the GetOutput function
    
    The loop parameter is always 0 nowadays.
    
    Always call the dequeueOutputBuffer method again if it returned
    changed output buffers or changed output format.
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 10ef73dcf1208f9eebe48c8faee1aac0df6734d7
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Mon Nov 4 16:17:47 2013 +0100

    mediacodec: try to return an output frame if we failed to get an available input buffer.
    
    Previously we would only return one frame even if multiple output
    frames were available, dropping all but the last one, while waiting
    for a free input buffer. Instead return the first output buffer
    and don't consume the input buffer at all in that case.
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 2a5ae45619e12107e5d59d874733e10cdccbed18
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Mon Nov 4 14:45:22 2013 +0100

    MediaCodec: use SSE copy function from the avcodec module if the CPU supports it.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81a79c99f9a959939c32c7ed92147912a53ce129
Author: Arun Pandian G <arunpandianp@gmail.com>
Date:   Sun Nov 3 03:59:52 2013 +0530

    intf: WebVTT extensions detection
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff09817195c3653abf419e4e121aff1e3f6d99d6
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Mon Nov 4 14:45:21 2013 +0100

    Move copy.{c,h} from module avcodec to module video_chroma.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 87763908b8664be992c6131c7a7eecde6911d00c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 29 13:46:54 2013 +0900

    mux: ogg: add skeleton index
    
    Adds the optional skeleton index for faster seeking.
    Switches skeleton generation to Seekable input only case,
    as we have no way to know values for fishead page before
    the end of the encoding (total size, data start).

commit 8aa07faff01aa1ba560b1946230b4dcd03e7f335
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 25 17:24:07 2013 +0900

    mux: ogg: rewrite steam creation and ordering (fix #9731, fix #9732)
    
    Ogg streams were invalid.
    This patch ensures all streams have a way to end independently and
    no other stream could start at arbitrary places. Also simplifies
    a bit some code.
    
    The ogg muxer suffers from an insufficient muxer cache value, and usually
    starts streams before all streams have been declared.
    The previous behaviour ( closing and restarting a new group of streams ) is kept
    and fixed. But this is really not optimal.
    We might need to consider increasing that cache for ogg.
    
    It also handles correctly chained streams.

commit 4d14bae244b3c3df91bca061381b9714a5f69ce2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 24 17:51:58 2013 +0900

    mux: ogg: add skeleton metadata (fix #1412)
    
    This patch adds Skeleton V4.0 metadata for multiplexed ogg streams.
    
    Note this does not adds skeleton indexes to streams, as we need to
    have a way to get sout position to reseek and rewrite that header from
    keyframes.

commit 46c5bf59b18fae23b04c009e1e6215dd1227cdc8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 3 23:16:36 2013 +0900

    vlc_es: add defines for priority levels

commit b20aa40eb7db67496d6beba99b9542b709a5cc4b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 3 19:13:08 2013 +0100

    RSS: add the "opacity" to the options list
    
    Ref #7241

commit e592b87a76b26aa7b07a7dccc4cd25afd1edc4c9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 3 18:47:00 2013 +0100

    liveHTTP: fix signedness warnings

commit 7e115e80a54d446c00dccbc909fe7ea35daf23c5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 3 18:46:42 2013 +0100

    Fingerprinter: fix formatting

commit 4de6f1cd6a24a504bdcf2f54e12ceb84b242d5d3
Author: LANGLOIS Olivier PIS -EXT <olivier.pis.langlois@transport.alstom.com>
Date:   Tue Oct 1 22:11:41 2013 +0000

    liveHTTP: use calloc to ensure correct initiliazation of members
    
    Sometimes, f_seglen ended up being garbage and resulted to a very long duration for the first segment in the m3u8 index file
    
    Signed-off-by: Olivier Langlois olivier@trillion01.com
    Acked-by: Ilkka Ollakka <ileoo@videolan.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a815f81c595866d55a19351d16215d81c6a783fa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 3 16:14:55 2013 +0200

    EGL: add support for EGL_EXT_platform_base and EGL_EXT_platform_x11

commit 2a1feab2a2abe53fbcfc637358dc96dc1e268b32
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 3 12:31:29 2013 +0200

    EGL: add CheckClientExt() helper
    
    Checks support for a EGL client extension.

commit e1cdb462c112f5567ffcb6db05a28b7805fa1432
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 3 16:14:35 2013 +0200

    EGL: support non-default X11 display

commit 8bd96cd9f160d738234e2e460c2bcada0263342f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 3 15:46:23 2013 +0200

    EGL: check window type and revector

commit 2b809cd41c7ab553c31717a65b607fb4942ba119
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 3 15:37:03 2013 +0200

    EGL: build separate plugins for each windowing system
    
    This is required to support non-native EGL platforms.

commit 25157a728e1f5dae0bc0fa088ffa45bf593f15eb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 2 22:50:28 2013 +0200

    window: add window type
    
    EGL needs to know the kind of window at run-time.

commit 762ba6a9e80464f3c1112ea20d7853d2a9d1988f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 2 23:03:22 2013 +0200

    EGL: resync platforms with Khronos registry and rationalize build rules

commit 541705d141d17699726ba0c6bbc7d43e2b76b0f4
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 3 12:30:22 2013 +0200

    avcodec: give right buffer size not the smallest one

commit aa0f2272ddc37470001f636605201e88095f7b49
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 3 12:29:56 2013 +0200

    avcodec: increment frame->nb_samples, just in case

commit 29294090881f528bd16c6cd621587f59a5047f38
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 3 12:28:50 2013 +0200

    avcodec: refactor audio encoding

commit 9e3d036776ae6c361dc439e8cf1fd8f41f6c306b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 3 11:01:31 2013 +0200

    avcodec: refactor delay buffer handling from EncodeAudio

commit af4893152f8cbaf8ceee85d13dc7fa295e8df9da
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 3 10:43:40 2013 +0200

    avcodec: check i_samples_delay before rewinding date

commit 50c01bdb100f2fba51ff797d65f4897f832460a9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 3 11:02:37 2013 +0100

    AVcodec: use the proper version number for HEVC

commit 0697e180135c34ce2d3aba3684a0970a0420aa70
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 2 21:58:48 2013 +0200

    oss: fix corrupt audio format (fixes #9760)

commit 5804dd12359298341a0462dcdc31e3d399088a32
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 31 17:01:56 2013 +0100

    extras/ios: enable taglib

commit db8d2e9a8c524eead0bc9ebc80b09583d64095ad
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 31 17:01:26 2013 +0100

    contrib: fix use of 'CMAKE_AR' for iOS

commit dff194b0ae8e82ede6587d448702e689e036f686
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 30 20:04:22 2013 +0100

    extras/ios: enable gcrypt as we need it for HLS playback

commit 7ee26699aaff95f48b6c62ca72f9fa5899cd1829
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 30 20:03:42 2013 +0100

    contrib/gcrypt: fix compilation for iOS

commit 0397d6377382c5c5c8b9ec51e4a90bc4cd89d8e1
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Oct 16 19:38:21 2013 +0200

    Audio decoder: output buffered decoded frames on EOF
    
    If EOF happens during buffering, the buffered frames will be flushed
    and never played back.
    This should only be visible for very short files such as:
    http://streams.videolan.org/issues/9195/73ms-VLC-KO.wav
    
    Note, pulse will lose the audio for such short files, alsa and afile work better
    
    Closes: #3152

commit 904d5507516fd4b85c5a2fde0145307f32f0925f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 30 18:43:40 2013 +0200

    configure: remove legacy Altivec checks - should fix #9757

commit 77851688063b93ae8d119dfc3b3531c104096458
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 29 12:44:09 2013 +0100

    Revert "opensles: uncomment debug message"
    
    This reverts commit 72999af2315f158128266d6826e15fb2735348f1.
    
    This module seems to work fine, let developers enable this verbose
    message again if they wish.

commit d35df2cf43f122c4f15326ba4d95fefdab8776d2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 28 19:10:35 2013 +0200

    lua: small macro factorization

commit 11ffab8a5938a74646053149b104e70cdbfe42a9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 28 19:03:04 2013 +0200

    lua: separate generic and interface-specific net functions

commit 26989ea2d98380eef28843ffa8ca490e8f9d6dae
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Oct 28 18:47:37 2013 +0200

    transcode: fix logic/code when reinitialize filter on channel/rate change
    
    Only check samplerate and physical_channels for now

commit f07b45fc153eb83369db1e5e3db8c45627d62685
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 28 18:34:35 2013 +0200

    lua: fix NULL dereference and flawed logic

commit d9c624c0ab3af4afd41b5c58f071f4f4153fd0e7
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Oct 28 18:13:42 2013 +0200

    livehttp: remove leftover segments if delsegs is on
    
    Also check if i_numsegs is setted as delsegs is tru by default
    and we don't want to cause suprises to people creating VOD-stuff.

commit e5536cc3392eafa1ad76f037300d25f013b66038
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 28 07:10:08 2013 +0100

    shine module was renamed

commit f7905c0bc9e2dd96f44e432e8e21fa4b86eda22d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 28 06:28:37 2013 +0100

    help: fix Windows Store build

commit a43798f3469c9cf330b7629da5694454db8acca5
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 27 00:39:25 2013 -0400

    http: remove unneeded xspf hack
    
    Ref #8449
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit e58236de0c3bce8dc428273bb08c661b6d67d4d8
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 27 00:39:24 2013 -0400

    dvb: remove psz_demux hack
    
    Ref #8449
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 39faaf585438cadc374ae96b15d88472742f673a
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 27 00:39:23 2013 -0400

    directory: add support for ACCESS_GET_CONTENT_TYPE
    
    Remove the psz_demux hack.
    
    Ref #8449
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit d22f29ab98301abc8d852b1ca1a8dcfbc47c1bc7
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 27 00:39:22 2013 -0400

    xspf: add MIME detection
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit d34e44dea5ffc8212630ef7bb3f5fabf7f6ead45
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 27 00:39:21 2013 -0400

    playlist: add DEMUX_BY_EXTENSION_OR_BY_MIMETYPE
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 12125c6f37e67e8d844b5ae121ab3bd6f39cde6c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Oct 26 17:20:38 2013 +0200

    extras/ios: keep sap module

commit ba62dea9b138bd23eed400c2c4fa58802cc43c33
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 26 17:11:15 2013 +0200

    macosx: rename macro for mavericks detection since its out now

commit ec415df3bb63ac8e519d3a20104e6791675155c7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 26 16:55:14 2013 +0200

    Revert "vda: user ref buffer mode"
    
    This commit is not valid as the libav part is still missing.
    
    This reverts commit c7a2a17a6d0b0f4c5c3e12fbe0dd12730d08c0f2.

commit 72b60566a25ca24cb4cf54d394a8275bee5cc9e8
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 26 16:51:30 2013 +0200

    macosx: enable native fullscreen by default on mavericks
    
    This has the best integration and works without visual glitches around
    the menu bar, with multiple monitors.

commit 6b517733a9545d74ea7eed6649935f4cd56ba7e4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 26 14:30:00 2013 +0200

    macosx: disable macosx-black by default
    
    ...because this option behaves awful in Mavericks.

commit b4786cfa206769a77ebc4dbaa0426c2efb6b77c9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 26 18:24:18 2013 +0300

    help: missing #include

commit 70e68841f75385cf9a20769a5a43b5af06ea76b9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Oct 26 13:53:46 2013 +0200

    src/darwin: fix compilation for iOS

commit 5f7320bd1b0070b69f3ac45feea0680f9ce8ecb6
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Oct 25 23:30:19 2013 +0200

    macosx: fix visual fullscreen glitch when exiting VLC on Mavericks (close #9604)

commit 85aac6d9faccf61209209b5a36e15be94e0e2f55
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 23:43:29 2013 +0300

    help: simplify output function calls

commit 67910630042f252302a8561e468e9d0f7745e744
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 23:42:30 2013 +0300

    help: print UTF-8 BOM in vlc-help.txt on Windows

commit 4c835cb958b6fa4f0d33323ce4ea24d07842bdef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 22:22:30 2013 +0300

    help: wrap Unicode text correctly (fixes #5417)

commit 02633e297672d462c020354851b49c949fd48ae1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 20:42:09 2013 +0300

    help: cleanup listing modules

commit 2118b188cc704eec72d9b10d2b574ddf67912d89
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 18:58:37 2013 +0300

    help: cleanup printing configuration items

commit c8d46da15aeb0a1d7120de31017b81de869dcdd9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 18:49:27 2013 +0300

    help: use direct ioctl() rather than spawning stty to get console width

commit 62fe4d5cf91b5ea8ba0cbf466cbe64fe280fb3d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 17:58:11 2013 +0300

    main: add missing subcategory

commit fd4ef13086a12970089b75b05381c8fadc32b724
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 17:31:54 2013 +0300

    help: print module name also for main

commit 7b226da6ce9d8fe01afa220c2564db2bffe5b897
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 17:45:54 2013 +0300

    plugin: remove non-existent subcategory hint items type

commit d8d744078ace7e4a0030e918255d793681456b2a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 25 17:27:04 2013 +0300

    help: remove hacks for non-existent "help" module

commit 0c4c45e3b20d0b0a3aa7a164e67e939a70f7109a
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 25 20:46:37 2013 +0200

    xiph_SplitHeaders: do not malloc+memcpy headers
    
    Directly point into the provided extra data
    The headers were always used then freed immediately

commit 311180dfa09579366760c748b6ca6790c76e5b72
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Oct 25 20:03:43 2013 +0200

    macosx: do not start fullscreen when splitter is activated
    
    This is a quick fix which need to be improved later (see todo).
    
    close #9579

commit 7fb4e4b5bbbe407f7fdf46d69261c2a01f0a7ff3
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 25 19:10:07 2013 +0200

    Fix LUAC check if CONTRIB_DIR is not set

commit 7486046ba1a89d52f56086cdef47950e9f828831
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 25 18:26:38 2013 +0200

    dbus inhibit: gnome >= 3.6 and < 3.10 is not supported
    
    It uses the correct path name "/org/freedesktop/ScreenSaver" for the interface,
    not the name that KDE came up with ("/ScreenSaver").
    Gnome 3.10 supports the KDE interface now, see
    https://mail.gnome.org/archives/commits-list/2013-September/msg00736.html
    
    Support for gnome 3.6 screensaver is probably not worth it, as the daemon
    crashes on Uninhibit.

commit 77cb25d1ad159d6ec924aef48e47227121b36efa
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Oct 25 18:19:43 2013 +0200

    macosx: fix handling of video-on-top (close #9615)

commit ce91cdb742bbf6e5b305d71a0173712d4e486f48
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 25 16:15:58 2013 +0200

    Contribs: update libass to 0.10.2
    
    Should close #8799

commit f7974188b37eeca5b3010900361476fad84880cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 25 15:56:18 2013 +0200

    Contribs: update taglib to 1.9.1
    
    Opus, MusicBrainz ID, INFO in Wav and a few other cool stuff

commit f8b16acbcb34d42962bb040fd77fbca3bca1fe3f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 21 19:41:28 2013 +0200

    Windows store: don't call read() before poll() on network sockets

commit d479eec4d675ace5250a82bb770ace448aa397f5
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 20 21:58:59 2013 +0200

    dirac: remove references to blocks already output to the decoder
    
    The packetizer accesses blocks that have already been freed by the decoder,
    apparently to support dirac in AVI.
    
    http://diracvideo.org/specifications/ says:
    Dirac in AVI multiplexing specification not available

commit 9f39e323bdff8df0ae3e0b4001e043bfb696463a
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Wed Oct 23 22:40:10 2013 -0400

    speex: fix pkg-config file generation
    
    Avoid generating a blank 'Version' field by moving the declaration after AC_INIT
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit df55c07ea859847bd4abc13a46c55fd9e2d211b7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 25 13:16:58 2013 +0900

    demux: ogg: missing initializers
    
    Oops

commit 9e49fb76bdfa5ea58cf6689c9a31e1f6a41af188
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 25 10:08:59 2013 +0900

    Qt: profiles: handle editable qcombobox values (fix #9723)

commit e954e55ce4dc6ffbd1fad3c5a56bc7aef6b94aee
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 24 22:38:08 2013 +0200

    macosx/CAS: add missing Cancel button (close #9728)

commit a074804f151d50f248ebc36b8197fdc9c263eb70
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 24 22:17:14 2013 +0300

    transform: add I422/J422 (fixes #9714)

commit 4efc9b81e8733b79a976f5734f17df0b28f597f0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 24 21:58:51 2013 +0300

    tansform: separate transform callback for each picture plane

commit 8d88c98034958358d58b7d27ce4819597b8837d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 23 22:36:52 2013 +0300

    pulse: allow setting volume while not connected
    
    (Unfortunately, this will clobber the balance and requires that the base
    volume be known.)

commit 0e7f975c522ae4aac5ead370db32fc99869d2304
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 23 21:36:21 2013 +0300

    pulse: keep track of base volume of each sink

commit 0d4bbb74c1934f7953874f76d409d0edf85a908c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 23 20:40:30 2013 +0300

    pulse: robustify volume initialization

commit e5a77344475f0fcaa5a0d7383bc1891044ee62a9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 23 20:58:41 2013 +0300

    pulse: remove useless double upconversion

commit 59d981e510c04f7a7674cf531ccad8d040c6c0f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 23 20:51:50 2013 +0300

    pulse: redundant initialization

commit ff49d5e82f99938aa8d93d2b8c2c3c3b275740f9
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Oct 23 17:06:14 2013 +0300

    omxil: Correct the i_line_chroma_div value for OMX_TI_COLOR_FormatYUV420PackedSemiPlanar
    
    Due to GetOmxVideoFormat only using the first line from the table
    that matches the vlc fourcc, this error hasn't had any effect so far.
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit bb1c56ea79ba7bd82d5a3be779c4903f1269a72e
Author: Luca Barbato <lu_zero@gentoo.org>
Date:   Wed Oct 23 12:17:02 2013 +0200

    avcodec: Always use av_malloc to alloc extradata
    
    And always pad it while at it.
    Codecs always expect extradata to be aligned and padded.
    
    Prevent memory corruption when memalign-hack is enabled.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3bd43453cd53e9fdd4646eff5f8387d20833be65
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 23 13:59:15 2013 +0900

    demux: ogg: eos workaround for seeking (fix #9601)

commit af1a7a9501c54ac59b14557c5972a1f6d0bc1a20
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Tue Oct 22 16:31:29 2013 +0200

    dbus: Fix copy-paste error
    
    (Coverity report 1100848)

commit afd070360514d4572a3bbde02656fbca3feae735
Author: Denis Charmet <typx@dinauz.org>
Date:   Tue Oct 22 23:15:44 2013 +0200

    Add HEVC support in MP4

commit cdb1a7b649de2a4881dac886e5a8ec64d59e9384
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Oct 22 22:32:42 2013 +0200

    macosx: skip useless resize when starting video from minimal view (close #9510)

commit 8fdbf0f2e032f0467e39571bae0495ac59e2a4eb
Author: Josh Watzman <jwatzman@jwatzman.org>
Date:   Wed Oct 16 05:21:40 2013 +0000

    Revert "macosx: fixed compilation warning and potential, runtime exception"
    
    This reverts commit 55e3f94302a29e9ee76532c290c1134af5f0213e and fixes it the right way. I'm honestly not sure what's going on in that commit -- it silences the compiler warning not by actually fixing the problem (which is that the method isn't declared in the interface) but just by not making the method call visible to the compiler! It also completely breaks the feature, by moving things onto the main thread that can't be there, causing a deadlock, as specifically noted in the comment right above this code.
    
    In any event, it's easy enough to revert and add to the interface properly, silencing the compiler warning and unbreaking this extension feature.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 4dd7f02c1633ab201913a94340194eafa94928a9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 22 20:14:54 2013 +0300

    hotkeys: show intended rather than current mute status

commit c62e5319fb53040c926143c485fca4d5c7bc3d67
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Tue Oct 22 03:27:15 2013 -0400

    araw: remove duplicate line
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 5c15aa3de2401e625a132550d3e08420ccb08647
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 16 12:35:15 2013 +0200

    demux: ogg: don't use arbitrary granule as lower search bound
    
    Should fix seeking case on time 0

commit 51cff6ef31d04ae7c908494be991faab4227a167
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 9 11:45:11 2013 +0200

    demux: ogg: add skeleton index seeking

commit d6a7b808ba53b961bf065cb8b46a718eeb9b3640
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 21 16:28:39 2013 +0200

    Be more precise in libavcodec/libavformat/libavutil separation

commit cc23f9325b35c9870e04980bdc3befb2690be570
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 21 16:34:15 2013 +0200

    Remove outdated comment

commit 5e5a9ad1ae043664f860822437cd2e624e0188e9
Author: Luca Barbato <lu_zero@gentoo.org>
Date:   Mon Oct 21 23:48:11 2013 +0200

    Fix DxVA2 crash on Error path
    
    Close #9500 and #9665
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 03e512acbd5dabd05a3948d997399e1ba13c6c1f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 20 20:16:27 2013 +0200

    shine: use external library
    
    https://github.com/savonet/shine

commit 6ba6d9fc9f3d69c2c39dc31a56f181c1a75292dd
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 20 18:28:22 2013 +0200

    libvpx/WebM decoder: lower priority below avcodec
    
    Those people not afraid to use libavcodec should benefit from a faster decoder
    http://x264dev.multimedia.cx/archives/499

commit 960607d108899120d34b4a9b9cb453521110418e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 20 17:39:46 2013 +0200

    avformat needs avcodec.h

commit b98b0210aa992e67874a291f30662a71fadd00b7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 20 16:29:38 2013 +0200

    libvpx decoder

commit 804dfa335337038867f84f305f8f3483a7fade47
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 20 17:16:25 2013 +0200

    Avcodec: map the VP9 ID with version checks

commit cd6a14d70d1d1b1ec74fcff273fe0039ce2f337a
Author: Denis Charmet <typx@dinauz.org>
Date:   Sun Oct 20 17:03:40 2013 +0200

    Add VP9 support in mkv
    
    Close #9341

commit 6f7d9be50b96a694602878985b2f0228138137c9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 20 16:12:36 2013 +0200

    Avcodec: move h265 mapping further down in the list

commit 4c4b954783f6bf236856306193b397c7cb2075cd
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 19 20:38:36 2013 +0300

    avcodec: release block on flushing if we are not using it

commit ed69a40c887aa7550a6e8f1505c9b6388a7d2e5e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 20 09:29:19 2013 +0200

    zip: fix memory leak (cid #1062581)

commit 4acd8ebbc8279146e77ce12372d796a897842a1f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 20 09:13:55 2013 +0200

    Cosmetics (and help static analyzers)

commit 542f4a844b6d7caed58b4c060969110d82b0a0de
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 20 09:07:26 2013 +0200

    avi: remove dead code (cid #1100855)

commit 5f74c08bea7efcab5a623af0fdec698367656fa0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 20 09:01:00 2013 +0200

    Lua: Fix memory leak (cid #1100856)

commit cdd7148ab89fb8262593d8d22e53135530b47639
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 20 08:57:29 2013 +0200

    Fix use of unitialized value

commit 07af2cc79d1912b3aa048b599efa45545dbc1b14
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 20 08:46:59 2013 +0200

    GLSpectrum: fix memory leak (cid #1100858)

commit 6e49748fe012cd1581524a5fe8fb6003a196487b
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Oct 19 20:13:24 2013 +0200

    Temporarily fix build until a better way is found

commit 04e5cf986fae141a874e5a0235a12b002cbe497a
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Oct 19 20:02:50 2013 +0200

    Add HEVC support in MKV

commit 6ea637534fe9d87f1e10001e8548f536883b9119
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 19 13:47:23 2013 +0300

    avcodec: missed AV_NOPTS_VALUE check

commit a15007765e348d3bbd0ee65350c737d6dc6ff63e
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Aug 15 10:56:38 2013 +0200

    Win32 threads: remove functions forbidden on Windows Store
    
    Do not create a suspended thread so ResumeThread becomes unnecessary.
    Busy loop over thread handle if by misfortune the thread ends before
    _beginthreadex has returned.
    
    Do not use SetThreadPriority on Windows Store.
    
    Set the cancelled thread bit outside of the APC procedure.
    APC is still used to wake up the cancelled thread when it is in an alertable state
    (SleepEx or WaitForMultipleObjectsEx).
    Since QueueUserAPC is forbidden on Windows Store we check the cancelled state every
    50 ms.

commit 6220fd4ab0055ae0f2925c49499139f3ea80bec3
Author: Frode Tennebø <frode@tennebo.com>
Date:   Thu Oct 17 21:24:11 2013 +0200

    Provide extradata also if the video is not palettized. All samples in tickets #4017, #5952 and #9546 plays nicely.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit c931473048eb066b1f06d6679a01c13a18e048ee
Author: Luca Barbato <lu_zero@gentoo.org>
Date:   Wed Oct 16 22:02:36 2013 +0200

    avcommon: Move the libavutil check where it belongs
    
    Unbreak avformat-only builds.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 5784645841b78dc7f5bcb799db4ed66c519e0ec9
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 18 21:17:29 2013 +0200

    avcodec: transmit palette to libavcodec >= 54

commit 8972e11e3699989185ab0c587274841dac99f4a6
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Oct 16 20:29:17 2013 +0200

    avformat: set bits per pixel for video codecs
    
    Fix decoding of MSRLE samples with avformat demuxer

commit 5f1111b212cde3a1fbe48c8c99f5b9aff8bfb326
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Oct 16 13:03:02 2013 +0200

    contrib: speex: fix build with recent automake
    
    Disable the API function returning version string as it uses old
    automake functionality that might be buggy/not supported anymore.
    Don't bother fixing properly as we don't use that function and libspeex is now
    an abandoned projet (move to Opus!)

commit c45edd56d3103dcf276e53ec42d56e7da856ab07
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Oct 17 21:28:20 2013 +0200

    skins2: add support for subtitle drag'n'drop
    
    This patch copies the Qt interface implementation wrt file dropping, namely:
    - first try it as a subtitle file if it is relevant
    - second, try it as an item to be added to the playlist if not a subtitle

commit 2633178fb1df7a443d3b3e9f0007c5e17fc5b3e5
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Oct 16 22:39:45 2013 +0200

    macosx: also use toggleMute for apple-script action
    
    The previous code does not make sense as there is no unmute action.

commit fce950fc907a5fdab50b866900d7123d47c37357
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Oct 16 22:36:44 2013 +0200

    auhal: do not change volume when muted

commit 216b6ea6810da0dc11fab94ae0bc7c558f73b59f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Oct 16 20:58:46 2013 +0200

    macosx: fix behaviour of mute menu items (close #9685)

commit 75946591b91bb1b117d3d1e74081fa709a34315c
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 15 17:06:27 2013 +0200

    theora: fix memleak in case of error or discontinuity
    
    Closes #9414

commit 5daf549fa226ba2de2c522a6a204a51a2bad5863
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 15 14:20:46 2013 +0200

    Revert "contrib: vpx: update to 1.2.0"
    
    This reverts commit 7e2edc0d901a4ffe1fc429a81cccdb69dc186372.
    
    http://webm.googlecode.com/files/libvpx-v1.1.0.tar.bz2
     is a release tarball
    http://webm.googlecode.com/files/libvpx-v1.2.0.tar.bz2
     is a daily updated git snapshot
    
    libvpx has no release tarballs (or releases) anymore apparently.

commit 1eea855b5fe93b764271ba8e3ddccd01d468349b
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 15 12:22:54 2013 +0200

    avcodec: remove AV_NOPTS_VALUE cast
    
    AV_NOPTS_VALUE already contains a cast to int64_t

commit a5c4d7afee8361ccfe7e29c4885a3e291a006c8d
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Aug 26 18:51:50 2013 +0300

    httplive: small simplification

commit 623a50eb2de131a362dac685d318375b2b5e4ace
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 13 20:02:04 2013 +0300

    avcodec: map AV_NOPTS_VALUE and VLC_TS_INVALID

commit 4f7537d370551e74792878a4fc570de7a85db2bf
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Oct 14 21:47:05 2013 +0300

    avcodec: on audio encode, sync timestamps more often from input
    
    Ref #9022

commit 03e0644c82bf1dea96f8ade8829c2e1f360bd1ee
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 14 16:47:21 2013 +0200

    flac packetizer: use the largest possible frame size
    
    Fixes #6476
    Fixes #9442

commit 7e2edc0d901a4ffe1fc429a81cccdb69dc186372
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 14 14:49:05 2013 +0200

    contrib: vpx: update to 1.2.0

commit 2abf305a31de788183b28d1ad0853111282ac40e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 14 12:49:36 2013 +0200

    x265: initialize picture and set picture type

commit 229e2709b3f6f0a04a4cf907be1a3147eff9f3f8
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 14 12:48:31 2013 +0200

    x265: detect X265_BUILD
    
    As the library symbols are suffixed with the exact build version, and
    it is not clear yet whether the API will be broken or simply extended,
    watch for the exact version number (which is 1)

commit 6cca95fb3950f4e2a1cdb2cfa2bc96538dd897a6
Author: Denis Charmet <typx@dinauz.org>
Date:   Sun Oct 13 23:39:56 2013 +0200

    Avoid double free in case of corrupted files

commit b79793660f6069fed10b8901d47928aa2b0e4284
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 13 16:51:43 2013 +0200

    codecs: theora: add decoder post processing level (fix #1303)

commit 4dde2b7a0496a33a34b18a3edacf7dde81a662c8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 12 20:54:58 2013 +0200

    demux: ogg: fix probing duration (fix #9591, #9649)

commit d1c8352d4312dfb012022241866ade506b514f4c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 19 21:28:28 2013 +0200

    demux: ogg: seek to keyframes (fix #3417, #9284)
    
    This patch changes the way seeking is done.
    
    Previously it was a dumb stream size based seeking, and was
    very approximative with multi-streams or non fixed bitrate
    stream.
    
    There was some code in oggseek to bisect search for frames,
    which i previously linked to opus seeking, but it was
    not reusable by all codecs as the ogg spec says granule to
    absolute time is one way only.
    
    New code does bisect search using absolute time only, and
    then tries to sync to a specific keyframe (if codec has any),
    backward or forward by checking packets.
    
    Bisect and backward searchs are disabled for non FASTSEEK inputs.
    In that case, it just behaves like any other player and syncs
    to the next keyframe.
    
    DirectShow/OggDS has also been fixed.

commit 546da0729ccdd84cb0914a80703a276e448569f9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 11 13:08:31 2013 +0200

    demux: ogg: fix integer overflow

commit 33f3309f137ca408698f84cf221e78b06110b99e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 13 10:41:58 2013 +0200

    decklink access: turn 10 bits off by default
    
    It is not clear which connections and which hardware are 10 bits able,
    so let's stay on the safe side.
    
    Fixes #9361

commit ee24078f6ca8b7df8f14a83977f588a6e00d8f2b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 13 00:09:50 2013 +0200

    Wav: Reject invalid files leading to FPE

commit 2dd0fa30e2b614bd22c74a70eb5e991b36b9cf38
Author: Gal Vinograd <bl3nderb@aol.com>
Date:   Sat Oct 12 23:24:18 2013 +0200

    Adding "save to playlist" menu item in submenu Recents.
    
    adding RecentsMRL::toPlaylist()
    refactoring functions to eliminate repeating code
    refactoring public DialogProvider::saveAPlaylist() to private DialogProvider::saveAPlaylist(playlist_t *p_playlist, playlist_item_t *p_node)
    and making new DialogProvider::savePlayingToPlaylist() and DialogProvider::saveRecentsToPlaylist()
    
    this commit includes fixes related to Jean-Baptiste Kempf code review.
     - fixing whitespace problem
     - RecentsMRL::toPlaylist null handling
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 14cbf5d174990956d3c83a620f55a156abab3cd0
Author: Reka Inovan <reka.inovan@gmail.com>
Date:   Sun Sep 29 17:21:49 2013 +0700

    Resolving XML special chars on xml based format
    
    It fixes bug #9311 and resolves xml special chars on several other xml based playlist format (b4s, podcast, shoutcast, qtl).

commit 4c0b7973ce52ecc452e2c430d576914ef15fb1cc
Author: Reka Inovan <reka.inovan@gmail.com>
Date:   Sun Sep 29 05:19:44 2013 +0700

    Rewrites asx file support using vlc_xml API
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ab81a8461d8cabac4cb844de175f4e0545b043db
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sat Oct 12 00:13:09 2013 -0400

    Qt: add rename directory option
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f217d32de8480fca79585666fe4ce4dd299f61f4
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sat Oct 12 11:33:12 2013 -0400

    avcodec: fix discrepancy between documentation and code
    
    Fix to actually conform to the range specified in doc.
    
    First introduced in 9d20efb
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d3826038e1be739a92fca2d07f4a0bb51096b641
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 12 18:34:52 2013 +0300

    vdpau: uniformize plugin descriptions

commit c3bd897e586d906d631a1cdc51232f76ff1ca1fe
Author: David Robison <drrobison@openroadsconsulting.com>
Date:   Sat Oct 12 13:59:53 2013 +0300

    input: improved buffering accuracy and no rebuffering on ignored
    
    To test this change, I used a MiniMaxwell which allows me to introduce
    jitter, delay, and packet re-ordering in the video stream. I ran for
    over 12 hours with no effect on the video and no increase in buffer
    size. I'm reattaching the final patch here. I've made 2 basic changes
    to the buffering strategy:
    
    1) I now check to see if I and done buffering on both the
    ES_OUT_SET_PCR and ES_OUT_SET_GROUP_PCR calls. This causes the buffered
    amount to be checked more frequently and prevents over buffering which
    I have seen in some instances
    2) When ignoring the jitter, I do not flush the buffer and rebuffer,
    since I am not increasing the buffer size anyway. Instead I just reset
    the PCR and continue on.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 407651b13cdd23027b53f56ed9aea6e0c5132e9d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 11 12:25:41 2013 +0200

    demux: ogg: correctly handle speex headers (fix #1197)

commit bdaf35264ef25e3a6489cabafe841efcee0063b3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 10 22:22:23 2013 +0300

    dvb: do not parse string options as integer ones (fixes #9643)

commit 5ba36bdd4e4f38352050fae863113029b464de76
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 10 19:33:24 2013 +0200

    Audio channel reordering: add assert before FPE

commit e11496c1e04ae20940a03dbf7aaa04cb487c8a7d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 10 18:42:06 2013 +0200

    Opus: add necessary include

commit b69a01e82029ca8d531e301a16441d48429bfaf8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 10 14:47:57 2013 +0200

    configure.ac: fix linking CFNetwork with SDKs older than 10.8

commit 593fa45661ed7dd6c93b9dbe960f6dc8850df4f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 9 20:57:04 2013 +0300

    dbus: fix volume setting (fix #9628)

commit 67def2888d6a8bb480129ade0a75c9b1a01f53c7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 8 23:50:30 2013 +0200

    Playlist: fix regression on "rtsptext" case testing
    
    For some reasons, some .mov playlist use "rtsptext" instead of
    "RTSPtext"

commit 969bc8137174b6cc77af609ea92a5b91fe4e61c6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 8 19:56:30 2013 +0200

    extras/tools: update cmake
    
    This is fixes compilation issues in the not so far future

commit 0b0545eb37958da19027b21ca014c4152ea3535d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 8 18:52:32 2013 +0200

    ios: unbreak freetype contrib compilation with Xcode 5 and simplify the FLAG handling quite a bit

commit 5d15f59a0e726adad5bc86b1594d5443780b16b9
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Sep 29 22:50:48 2013 +0300

    arm_neon: Add an optimized routine for deinterleaving chroma
    
    This supports conversion from NV12/21/16/24 to I420/YV12/I422/I444.
    
    This avoids hitting swscale for the NV12->I420 conversion, for hw
    decoders that return NV12/21 in combination with the android vout
    in YUV mode.
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 0cf034afc304fd58f3e29c6a926e7d201a4d8640
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 7 22:26:27 2013 +0200

    Qt: SeekSlider: missing initializer

commit 2cf63b81629d7b69d76d65dc60f3c49a27bd199c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 7 19:48:21 2013 +0200

    contrib/modplug: remove patch merged upstream

commit 749cbea930c2ec18cb3e2df9ee7ad581f81c3603
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 7 19:40:23 2013 +0200

    contrib: update modplug

commit 4a5e824aeefcc447d2ef5887f9ef891676f7b3e3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 7 17:51:34 2013 +0200

    Qt: correctly play after drag and drop
    
    Close #9502

commit db0f37abd7a16cba748357746661132eb58df038
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 7 18:20:34 2013 +0300

    playlist: do create play-and-exit variable
    
    (as with play-and-stop)

commit 502931437c17d0343c2b037eeb1d81a9afa90515
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 7 18:20:18 2013 +0300

    Qt4: make exit after play sticky (refs #9612)

commit 82451e17197375bf24746be96bb401c4df4f7b16
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 7 18:10:46 2013 +0300

    playlist: do not create play-and-stop variable
    
    This was not needed (but it prevented the preferences from taking effects
    until VLC was restarted).

commit 7e7f263d5c98288773107ff7019d83cf930b52ad
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 7 15:53:04 2013 +0200

    ios: fix contrib compilation with Xcode 5

commit 2f2c4b076805ac4a568f8ea3334159e759fdcc6b
Author: Alex Warhawk <ax.warhawk@gmail.com>
Date:   Mon Oct 7 12:59:21 2013 +0200

    Reshuffle after playthrough
    
    Close #3932
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 03380175428fe8315da9570bcf7ac4b4f58b2543
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 7 13:47:33 2013 +0200

    po: fix opening the About panel using the Japanese l10n (close #9476)

commit b062c14b11a1f2dc7df560fd77f4310995d20a6c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 7 12:21:29 2013 +0200

    src: fix crashes on proxy lookups by deleting the Mac specific and using the iOS code which works just fine on 10.6+ (close #9561)

commit daad562cdfbefcab375ab100e3193896fef16dc7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 6 18:15:49 2013 +0200

    Smooth: check FromCharset return

commit ad1bc94879755bc7bf10638ef9e8b2d2ff895a44
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 6 18:11:32 2013 +0200

    MLP packetizer: avoid SIGFPE with samplerate of 0

commit e898c6ae9bed95086fee5c0502a645b8c5848b80
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 6 17:53:44 2013 +0200

    MKV: fix SIGSEGV when codec id is empty

commit 9f1950e32d2967239234c70a203000243a4b39c3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 6 17:21:18 2013 +0200

    Qt: take in account the SOUT params edited
    
    Close #9565

commit dac5ec34486f3114e1ed378a80470b1bae32b50c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 6 18:15:11 2013 +0300

    DirectSound: do not clobber channels before trying pass-through

commit 800f19059d3e8d88ac40244ca175e0ecfff38dc4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 6 16:51:34 2013 +0200

    Qt: add Welsh selection for Windows.
    
    Close #9592

commit b85b551b790d931f64cfbc5b8a1b8d101b24bf59
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Oct 5 18:58:16 2013 +0200

    Adding alac support in mkv

commit ca9b8b45c74fe9f976e3cee081000e79307ddba7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 4 19:20:32 2013 +0300

    Lua intf: allocate file descriptor table dynamically

commit 94452373bfe8db3dad1f03ff4c5de6b054bfb624
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 20:45:09 2013 +0200

    extras: add missing space

commit 7ea540cd73ce76610035ca7231bd78c3f873c36c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 20:41:04 2013 +0200

    macosx: compilation fix
    
    Compile before you commit...

commit d2384cd907d7850167f2da00331bc0e02bc144e1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 20:28:40 2013 +0200

    macosx: retain currently selected playlist table row on item removal (close #9541)

commit 69c5aed9d92bbf2df5cce2e69b0c609360cfce8f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 20:06:30 2013 +0200

    macosx: internalize private playlist internals

commit 6e617473a447a360c67c73f0599bdcb172a809c2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 20:02:13 2013 +0200

    macosx: playlist cosmetics

commit f1278f3f2a15a77df5bfc99f6b4307dbfce2f2eb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 18:26:05 2013 +0200

    contrib/ffmpeg: don't specifiy arch flag twice for Darwin platforms

commit 989f6ff2c6e6996313863726714dd0ffaa7bc0dd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 3 19:08:06 2013 +0300

    input: correct record stream filter name (fixes #9185)

commit 6e947739d9231fbf30bbd1a43910e040f9866b64
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 17:52:06 2013 +0200

    extras: prepare iOS build script for arm64

commit 94b63729e4b450d7988b0db3e3abfc4f1a34499d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 3 17:51:31 2013 +0200

    contrib: prepare for arm64 builds

commit b42f3a073d33bec302f8926eef0c847b0524f2a7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Oct 3 14:09:42 2013 +0200

    macosx: remove show details button from error panel
    
    It does not make sense to open the messages window here anymore, as
    it will not show any additional details if not already open.

commit 7afef2703f80062930a14d30c05661dca750870f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Oct 3 14:07:09 2013 +0200

    macosx: fix frame for codec details in information panel (close #9509)

commit e949b3288bc58de51364d7b147ca2a0b32be1372
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Oct 3 13:28:19 2013 +0200

    macosx: fix behaviour when closing black main window in native fullscreen (fixes #9566)

commit d475c5fd2bb1b33c452d31c9f58417fad9207925
Author: Matthias Keiser <matthias@tristan-inc.com>
Date:   Mon Sep 30 23:44:26 2013 +0200

    Add a new caf file demuxer module

commit 93fba1b5749c149438361e1a0800c22c352d204f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Aug 8 22:12:57 2013 +0200

    extras/ios: enable zvbi compilation

commit 67dbb1b5b7c8363d1d1f96371c8dbc26b42724e4
Author: Arun Pandian G <arunpandianp@gmail.com>
Date:   Mon Sep 30 23:22:33 2013 +0530

    basic WebVTT support
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e74131d85ecfb17a2c3170eee899ff0ac9457214
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 1 17:18:58 2013 +0300

    net_Gets: increase size limit (fixes #9555)

commit bb5154013b2f691a358c3837444e03bdce5f6f24
Author: Denis Charmet <typx@dinauz.org>
Date:   Mon Sep 30 14:54:37 2013 +0200

    Correctly check the index in the pref. list when selecting the ES.
    
    The former check wasn't enough since a language that isn't in the table
    has a -1 index.
    
    Fix #9531

commit b1df5593e50587d883e30b8016150a702fb7f10e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 30 19:04:02 2013 +0200

    Contrib: zvbi should not need RECONF anymore

commit f3499cd4fb6112a4c38e26ec4c7517d03b192700
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Sep 30 18:55:12 2013 +0200

    Fix buffer off-by-one (cid #1099713)

commit 32f0051a02a644156bcd36b859ae71748cc29310
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 30 19:20:18 2013 +0300

    Lua: sanitize events passed to poll()

commit f06dd9a2637591b1955e6a3519071692c5f8fc00
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 30 19:17:55 2013 +0300

    Lua: remap file descriptors in Lua and GC at exit (fixes #8898)

commit 886db9fd1b84ddc91438c8ffc1ffe6f71276a0ea
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Mon Sep 23 08:47:43 2013 -0400

    opus: add encoder
    
    This patch adds an encoder to the opus module.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 90de948ad5bb88ef8d6888e1ac63dbf746cabed7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 30 10:58:53 2013 +0200

    vout_ios2: compilation fix

commit 568ddf541776fb84e19dbd23fb900a1f6248f0b5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Aug 8 21:41:46 2013 +0200

    contrib/zvbi: fix compilation with clang
    
    Simplified version of initial patch

commit 735d627e9b8661c760f8b59d36b53bd36a00a893
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Sep 29 21:56:23 2013 +0300

    arm_neon: Fix a minor typo in a comment
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 23a221fafbef15a7ed3b6072f8e74481e5d8b966
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 30 09:43:32 2013 +0200

    configure.ac: remove unused MACOSX_DEPLOYMENT_TARGET macro (close #9139)

commit 503116dfa1c29aaf79d4d0535c3b58153152b74b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 30 02:40:15 2013 +0200

    NSIS: rename the "Reset prefs" link
    
    Close #8017

commit cec043be933382700c82248d8c279388a7f740b6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 30 01:24:35 2013 +0200

    MacOS: fix libvlccore.dylib symlink
    
    Close #9504
    
    Until a better solution

commit c6f67d755f41b6f80d7429751503c67e80277976
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 30 00:02:18 2013 +0200

    lua: make "net" namespace available to extensions
    
    Close #9495

commit 38ae86f98f2523594c6a1e8278aafedcca73857d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 29 23:56:03 2013 +0200

    VLSub: correct description

commit 9ff5775d4c1b2485a769a3c3ead00e9335a28ec9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 29 23:55:07 2013 +0200

    Qt: show extension short description in menu
    
    Else fallback to title

commit 5f58853765d3891c9fe7c12b13525ab071eac1eb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 29 22:47:08 2013 +0200

    HTTP interface: fix infinite loop

commit 0a7af0d672c7d8f9bab4498d3f56ddd738280107
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 29 19:33:44 2013 +0200

    hqdn3d: don't use p_sys for variables

commit 2ec43b29667c1c814f1ff793db25d9f94cf872f8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 29 19:31:05 2013 +0200

    hqdn3d: allow live modification of params

commit 339e21d5fc0fd74d79717a77aba43e375c3cc509
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 29 18:44:44 2013 +0200

    Qt: introduce hqdn3d in the effects UI

commit 704ec2049ccee0be6f35dcaa52630111a07e9b37
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 29 18:23:06 2013 +0200

    hqdn3d: remove 4 strings

commit e4acf92468a486760ad8e4cf359602df858181d3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Sep 26 16:48:14 2013 +0200

    vout_ios: use a broader background definition (refs #9431)

commit ed90a6c323aeb368be4ba17d9c78fa40c0733fdc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 18:22:50 2013 +0300

    configure: remove MacOS hysterical raisins
    
    Nothing uses $(LDFLAGS_plugin) anywhere.

commit 2712d80b7c32d901631869462d3c728ba8a29328
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 29 14:24:19 2013 +0200

    quartztext: pick 'Helvetica Neue' instead of 'Arial Black' as default font as the 90s are over

commit ba03409b00de69f0aacb9258d5fc74e8a1aa0e58
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 29 14:23:04 2013 +0200

    quartztext: handle invalid text colors

commit 13e35edc81b6eb03e50c2911723ab6e8d9af89f0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 29 14:14:23 2013 +0200

    quartztext: add basic font-fallback mechanism instead of crashing (close #9369)

commit 5a43b77365cb65ea8a28e3db2d0b9f3cdcee7191
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 29 14:26:59 2013 +0300

    avcodec: check/update buffered_time earlier, so we shouldn't use 0 as time when encoding
    
    Ref #9022

commit af762f811d4ed34a883bc2003f4c70e18f66965e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 29 11:41:08 2013 +0300

    transcode: don't check drift if we have VLC_TS_INVALID pts

commit 2b12cd63b33b4eb4f3a386a0e708cd96e1c6e8ad
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 29 11:38:59 2013 +0300

    transcode: add mention if it's audio or video that has too high drift

commit 7fbedf14e13109d40af17fb5e17c8b0411c02b4c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 29 11:54:21 2013 +0200

    macosx: ensure that video view is always visible in fullscreen window (close #9526)

commit 854c894e4ffc316daf178f31346da1d02d7efd90
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Sep 29 00:32:44 2013 +0200

    zvbi: remove unused enum

commit d56da1224dd818b76aacaa08c7a35977cb4c9106
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 28 22:43:25 2013 +0200

    Qt: fix subtitle popup menu

commit 586296da6062c40ed7b5644080b8cf80451b3b28
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 28 21:07:57 2013 +0200

    Qt: fix volume alignment in native look
    
    As reported on Reddit

commit 2d37a070d7a92f15fb3d0aa60365593622f92beb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 28 20:58:55 2013 +0200

    Qt4: correctly save the keys, indepententy from the locale

commit 5e3714e40af7c2954fb7df44149650bffb2f7ff4
Author: Daniel Verkamp <daniel@drv.nu>
Date:   Sat Sep 28 00:17:12 2013 -0700

    Add IMC wave tag to FourCC mapping
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9428abb6ccfb197770c3b9da3576bd1bc0bba1d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 17:37:32 2013 +0300

    access/rtp: remove recursion

commit f97a25d466b15a78722c6f20c281044f73436522
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 17:27:40 2013 +0300

    configure: remove unused RTP plugin flag

commit 9854c23e68d44e792ebfff16b4968ee344c50973
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 16:14:44 2013 +0300

    video_splitter: remove recursion

commit c414a2871a6fdfa71fb9711e4bbdac21150ddc07
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 16:13:48 2013 +0300

    video_chroma: remove recursion

commit eaa4fab5db2f99f18eedc4bfc856f9e08bde58b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 16:06:40 2013 +0300

    stream_filter: recursion

commit edce6f5d66ead6a513af0e75e3b0bfaedb29215b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 16:04:54 2013 +0300

    notify: remove recursion

commit 23edeb6131b5996dd6df6405349239f4204baae7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 16:03:13 2013 +0300

    lua: remove recursion

commit e89cefb48b3a0f6ac57e74c8f6e19ae3a468f564
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 15:58:11 2013 +0300

    audio_mixer: remove recursion

commit 9d1bb3e8772e6331a3fcd320aeffc925639957da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 15:55:22 2013 +0300

    arm_neon: remove recursion

commit ecbe7bc18ce1cfac1e94be561f0c5349ffd8807f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 16:54:00 2013 +0300

    visualization: fix install

commit cbf64179a2cee2e26269d2baf5f7e1de7b0ae062
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 11:21:26 2013 +0300

    Qt4: use canonical name of the DirectSound module

commit 7202a56a86b2f7d3c8c4d969a4db719427e25ca3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Sep 28 02:00:11 2013 +0200

    muxers: ogg: set invalid granulepos value (fix #8725)

commit ac8330105892f9ec93a9c5464736037da832c11d
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Sat Sep 28 00:52:53 2013 +0200

    nsis: don't skip the components page until we were able to save user choices
    
    This change will make the transition easier between the previously released
    installer (that doesn't remember user choices) and this one. Without it the
    old installer would fall back to the "Recommended" preset.

commit 1042607f4a76316f839836834e7fe85fe6c7c72b
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Sep 27 23:22:57 2013 +0200

    nsis: improve wording

commit 751af66a8ee4d608b25874c2f56cc50fb47a06fa
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Sep 27 23:19:22 2013 +0200

    nsis: simplify

commit 0488b50ad0cd67df121535f9da23368f04e48c54
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Sep 27 19:11:46 2013 +0200

    nsis: split files and clean up

commit 29d2fc1b33dd7891cb9526ca8b919f774d387a99
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Sep 26 20:30:38 2013 +0200

    nsis: don't show the welcome and finish pages when the update switch is set
    
    This allows updates without user intervention.

commit 07a04575dbbdf6fd296b35418b411ff28f2ad0af
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Sep 25 16:16:35 2013 +0200

    nsis: generate the cache without showing the console

commit 9d26226fdb45eec7cb3717ce0d33e5239e855c13
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Sep 25 16:11:34 2013 +0200

    nsis: remember selected components between installs

commit cc43387fdb7dbffeb43f14f07deb394e758e2573
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Sep 25 16:10:49 2013 +0200

    nsis: support upgrade and downgrade without having to uninstall first
    
    In case of upgrade, most pages will be skipped in favor of a smoother and faster upgrade.

commit dcf42ab9608633a463798e09b194ef81acde5856
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 27 21:50:15 2013 +0200

    macosx: fix crash when opening goto window (close #9488)

commit c08a562b2c49f6d655e82365621cb55b831a6504
Author: Gleb Pinigin <gpinigin@gmail.com>
Date:   Wed Sep 25 10:21:50 2013 +0700

    ios build: prevent from overriding current sdk version when passing -s option
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d807b856537af499a7c85e708362725d8b58fddb
Author: Gleb Pinigin <gpinigin@gmail.com>
Date:   Wed Sep 25 10:21:49 2013 +0700

    ios build: fix option to specify current sdk version
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 241b81a725b7c092bbcbd4a8a192da1bfe026977
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 27 18:58:40 2013 +0300

    po: correct Qt4 Ctrl+{H,L} translations
    
    (This should maybe not be marked for translation at all. Only Russian
    defines it to something different than Ctrl+{H,L}.)
    
    Adding whitespaces or translating "Ctrl" breaks Qt4 internals.
    
    (cherry picked from commit feb479f20dcceb92aaf02bb839d8a1088e05f83a)

commit 18cbe9639c57d5d3cc676909c64acd89997bcac3
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Sep 12 10:14:13 2013 +0200

    omxil: bcm: h264: Don't wait for error free frame.
    
    The bcm h264 decoder is not able to detect when the first error free frame has
    been decoded for certain h264 streams. To avoid not getting any frames out of
    the decoder, disable the StartWithValidFrame flag until that is fixed at bcm.
    See https://github.com/huceke/omxplayer/issues/96 for details.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit fd890ca43a91cd4e6c9ef670f0e53cc82ffb2474
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 23 20:10:20 2013 +0300

    vmem: pass usual full dimensions as before
    
    There is no way for vmem to know the required padding otherwise.
    This partly reverts commit 260a3c10be5cac6e7cbed0a551759760914fe313.

commit b4bdda1378f6285faff901a05cc875e080ab0a7a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 22 21:44:13 2013 +0200

    Lua: do not distribute assemblenationale by default

commit b9e2d79471df6459bb24f570d49c2994bf1e8d3f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 22 21:43:26 2013 +0200

    Update VLSub.lua

commit 9faf021325b60655d956c82d9a0f7bba20a3ff90
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 22 21:23:17 2013 +0200

    Distribute VLSub.lua

commit 3097a363f00cc6969bb87a0a37c4fff19ff13d76
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 22:02:59 2013 +0300

    dtv: typo

commit 091b522e80668d4157e0379841ce9be8c8c071fc
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Sep 22 20:54:06 2013 +0300

    mediacodec: Support playing back VP8 as well
    
    This seems to work just fine on Samsung Galaxy S3 and Sony Xperia Z1.
    (This didn't use to work in earlier Galaxy S3 firmwares even though
    it was exposed in MediaCodecList, but currently it seems to work
    just fine.)
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 925290c24710f50fdaddb733e28200190306d180
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Jul 9 17:59:44 2013 +0300

    omxil: Add a new qualcomm specific custom pixel format
    
    This is pretty much normal NV12, but with stride and plane
    heights aligned to 32 (according to a commit on code aurora
    forum). The actual values are signalled in the normal stride
    and slice height fields, so therefore it can be treated as
    normal NV12 as far as our code is concerned.
    
    This is returned on the Sony Xperia Z1 (Snapdragon 800) -
    mediacodec works (with a quirk mentioned in the previous commit),
    while our omxil/iomx code fails to allocate buffers.
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit b8b8f03e002f43ca8de15b6eec88942e891fbcd5
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Sep 22 20:00:12 2013 +0300

    mediacodec: Don't return frames before the output format is set
    
    The decoder on Sony Xperia Z1 seems to return one frame before
    the output format is set (and calling getOutputFormat() at this
    point throws an IllegalStateException). Therefore just drop any
    frames that are returned before the output format has been set.
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit ca062887394214d97de49437eed0f39af50a4317
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 22 18:59:20 2013 +0200

    Fix configure

commit e92de6bd533a5a4a00db6ea01c2a2f8819e088fb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 22 12:27:27 2013 +0200

    Fix typo

commit bf4dbee29e452c5a83f1020b03d3418848d5f82c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 21 23:28:53 2013 +0200

    Update MODULES_LIST

commit 0892e0857298b9a189dcd2e16c6e830ef6b1f7d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 18:52:25 2013 +0300

    modules: link to pthread only when needed

commit 05332465edb3d712b94761ff2bffd40d2b55dfb4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 18:48:12 2013 +0300

    projectM: avoid genmf
    
    Also do not define unused PROJECTM2_(CFLAGS|LIBS) substitutions.

commit bd17d39540b71a88d18564e3be35158e4b600ee0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 18:26:48 2013 +0300

    misc: avoid genmf in some simple cases
    
    Also do not hard-code -lm for the fingerprinter.

commit 7117de515f73f4351c94560078fe764439ac537b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 18:14:30 2013 +0300

    lua: avoid genmf

commit f0387f7ee417aac95512c430666ea786012dbf49
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 18:08:26 2013 +0300

    access_output_udp: avoid genmf

commit 011527f37861a87e60b7c6d81d8e6f8da84c7195
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 16:41:15 2013 +0300

    pulse: move helper library back to audio_outout/

commit 9b0de3ea1895dd52e520d8d1b25e0371e7088d3f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 16:38:22 2013 +0300

    sd: remove recursion

commit 8b58a9e2c6411d16ff53e81567cdd507ca770f16
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 16:34:18 2013 +0300

    sd: avoid genmf

commit fe3d8caa723eae6ec47d96be9c887c25c57d1100
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 16:15:14 2013 +0300

    aout: remove Makefile recursion

commit 26b6b532120d1d49d9cfe8b1435d880c84c8e309
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 15:59:49 2013 +0300

    aout: avoid genmf

commit eb91162e8664678397f2631d3e956f2647964ebf
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 22 16:54:09 2013 +0300

    avcodec: use correct buffer size in fill_audio_frame

commit 4f11edd7bcacea1fa0b44161b76091e98aeed7a2
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 22 16:52:19 2013 +0300

    avcodec: use context->channels in audio encoding
    
    Input and output channel count should be anyway the same and it's
    hopefully littlebit clearer than fmt_in and fmt_out mixups.

commit c2e4f7c67765ab9ef464f4e320128056133d5f3a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 22 12:27:34 2013 +0300

    faad: try to guess channel count if we can, and don't set it to 0 in Open
    
    Ref #9200

commit a3a150b91f09620dc0d81c22db591a20faf4b2a5
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 22 12:24:52 2013 +0300

    trascode: reinit audio filters if audio format changes in midstream

commit 1036a0be2d229d81d938dab4c8dc1b02e9c22c79
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 16:00:00 2013 +0300

    configure: remove some unused HAVE_*_H macros

commit 334303f469656689cecf93dcb7e00d045dd59503
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 22 12:00:59 2013 +0300

    avcodec: specify which encoder failed to initialize (fixes #9418)

commit a2d307e1c52146b0b92536971bc0f53e933b392d
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 22 10:53:34 2013 +0200

    macosx: increase room for l10n of a checkbox in prefs panel

commit 3cc1aa1417e7d2d5e47688c3a07c1c527cf89ee3
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Sep 16 21:39:15 2013 +0200

    vda: fix linking

commit 9b2c48deeb04fa8c3005900bd8f285b50e20539d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Sep 22 10:06:09 2013 +0200

    directsound: use software gain only when amplifying
    
    This way we get the features of both worlds: from 0% to 100% you
    get quick volume change with no saturation, and you can still get
    amplification over 100%.
    
    Fixes #9371

commit 7b4e90a54dd2d66ca0a979a2fbb028f7313a0faa
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Sep 22 04:29:47 2013 +0200

    youtube.lua: handle inlined function in descrambling javascript

commit 45b748e1fca0247bfbfeda0553ca9874d2f8c3fc
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Sep 21 20:01:42 2013 +0200

    Rename modules/LIST
    
    Fix build of files including <list> on case-insensitive filesystems

commit b6403311865980cf6c3b336e6b8982edc7431559
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Sep 21 20:56:58 2013 +0200

    Win32: don't enable opengl modules if glew is missing
    
    Bug appeared after c1452fef225925c5a040b69 silently changed module selection rules

commit 22465279a19d6d1ceae670076eca59822d99e63c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Sep 21 20:40:26 2013 +0200

    Fix build with --disable-sout
    
    Broken in 79ced312c75548037d641153bf3e7c092b71e3f8

commit 0b896ac15a08ff4ffd0278f1d5f38c690c6ad6ce
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Sep 21 20:16:34 2013 +0200

    Fix linking of motion and rotate modules
    
    142e288b178716 set LDFLAGS conditionally
    Be sure that it is always set and concatenate the DARWIN flags

commit 8eabb7bec5971d1469b935e16f54f6e8d3a6f594
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Sep 21 18:23:21 2013 +0200

    Fix MODULE_NAME for android
    
    The modules concerned all had non unique names (e.g. flac for both
    the decoder and the demuxer).
    
    MODULE_NAME macro uses Makefile target to retrieve a unique name
    This was broken in 20cdb051acbe12ffee1f52e2e15e566762f04949, as
    explained by automake documentation:
    
     When using a per-target compilation flag, Automake will choose a
     different name for the intermediate object files.

commit 30e0e1d4c2d68ac716497f52687dbce768403935
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 21 18:13:53 2013 +0300

    Revert "missing MODULE_NAME_IS_ for android"
    
    This reverts commit 892d21f1bd812d12fc5fd207c947219bb5274f60.
    Thsi makes no sense.

commit 892d21f1bd812d12fc5fd207c947219bb5274f60
Author: Sébastien Toque <xilasz@gmail.com>
Date:   Sat Sep 21 16:50:40 2013 +0200

    missing MODULE_NAME_IS_ for android
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 8b264d74040e68458b435369baaff119eaae483a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 21 00:05:30 2013 +0200

    Waveout: remove unnecessary includes

commit c857bce3841c9265e2049c1007409c7b18735283
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 20 23:42:34 2013 +0200

    Wave Microsoft formats: avoid to redefine things twice

commit 1b034fc6481e53d95071ed35eab6fb040fb9f4cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 20 22:26:44 2013 +0200

    Fix support float in RF64

commit abdb22e6b9f8f5815f9bccff6b6f1da7e7fca4a3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 20 18:33:53 2013 +0200

    Contribs: update libbluray to 0.4.0

commit 0ab58d82d455b83d8b2030f7cdadd1d3369425b1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 19 20:05:08 2013 +0300

    libvlc: update SOVERSION post-2.0.6

commit a4d3748c5915dfbee18e7092a1eded48e1d51904
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 19 20:04:32 2013 +0300

    libvlccore: update SOVERSION post-2.0.6

commit 142e288b1787163af68d2fcf0faae6d672510ea4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 18 20:16:27 2013 +0200

    macosx: fix linking the motion and rotate modules
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 146bbc8218e0a19052c1dc06c7590eb7fe83adf4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 18 19:10:34 2013 +0200

    macosx: fix linking of cdda, vcd, and vcdx access modules
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6eeb082cd8e4bb0e4bbfcbcdf17079f2e2f10e0e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Sep 19 10:44:10 2013 +0200

    macosx: fix l10n for one menu item

commit 4094b06c49f748eff23b0d5aac1ab104e6fcac45
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 18 18:21:33 2013 +0200

    text_renderer: freetype: fix memleak

commit f033c000b2617d7acb3d1e8bfd98de81b9238949
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Sep 18 00:43:04 2013 +0200

    IApplicationAssociationRegistrationUI: move to single user
    
    This interface is only defined for Vista+ in mingw-w64 3.0
    If we define an extern symbol for the GUID it will clash at
    linking with libuuid which always contains it.

commit bfbd509e3300c157697d5d066968020113f511d7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 17 18:26:21 2013 +0200

    Contribs: update gnutls to 3.1.14

commit f1d6824164a1b33c3befc8ad7e16aa94f866ee04
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Sep 17 18:25:55 2013 +0200

    x265 encoder

commit 00cd5043fa21a22c0f4e64a25547c4a5bb9851c7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 17 17:56:18 2013 +0200

    Contribs: update zvbi

commit 7ff2450bfc4f1b242c2c3ea476f633a6661de026
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 17 17:53:11 2013 +0200

    Contribs: update ORC

commit d17b84f324f3a717cd764f97d0f6f244d8ccce36
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 17 14:24:18 2013 +0200

    Fix po distcheck
    
    Changing a file name requires this change, usually...

commit 4c1d47718034a807e1aabc72eaf3d21a4a46e6c2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 17 10:50:38 2013 +0200

    demux: ogg: don't try seeking using bitrate if incomplete.
    
    Results in wrong position if only one track has bitrate info.

commit 1a5cb04ebc82c1430f2265adcfb904059124cae5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 17 10:17:59 2013 +0200

    xiph: set limit to chapters.
    
    Limits memory size allocation that could have been triggered by
    a file, due to chapters array for reordering.

commit e99743daed90e6b2cf45142191a509bc1cce8168
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 17 09:38:06 2013 +0200

    xiph: handle mixed case comments.
    
    Lowercase or mixed case identifier are legit.
    reverts 03c69b44b3ddb9971f34ea4e9bfacc0e23a23a23

commit d8295d11f41473939953bc28ac00c044e38b992f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 17 01:36:20 2013 +0200

    Fix skins2 build

commit 913906eb002e02cbbb96b8ebecd35c137d3a0476
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 17 00:54:27 2013 +0200

    Unbreak libtwolame compilation

commit c7a2a17a6d0b0f4c5c3e12fbe0dd12730d08c0f2
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Sep 11 20:47:27 2013 +0200

    vda: user ref buffer mode
    
    This fixes memory leaks when seeking or dropping frames for other reasons.
    
    close #8927

commit 49984f49d3004fec59304b4010c7df56d6a38d78
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 20:15:06 2013 +0200

    DirectSound: decrease a bit the volume
    
    This should make 100% 3dB lower
    
    Should close #9371

commit ec25a46218f243bf07d81f45b5a086b3b3b15956
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 20:25:32 2013 +0200

    Fix quicktime module link

commit ae99f7d549bb74c7efa9acabd46296f89c701026
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 20:00:55 2013 +0200

    Fix libass linking that always need freetype

commit 201e5bdd1ae1a6521f59000f1befba0f96d2ac30
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 18:28:02 2013 +0200

    Fix CDDA build with CDDB

commit b7677c8a55b8539123cb3bb3e777b470fa4521e5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 16 20:18:02 2013 +0300

    directsound: cosmetic rename

commit c1452fef225925c5a040b6910110e848674dea34
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 16 19:59:37 2013 +0300

    xcb: simplify build rules

commit 0637f2164fd485d33b0989d77a8a07466152a478
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 16 19:31:17 2013 +0300

    demux: remove some useless boilerplate

commit a38f6a7bae86ad804fc8630229e08a5d933564db
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 16 18:53:55 2013 +0300

    modules: fix Windows build

commit 527714d44da318c63bf039b13d6840d90cbbe4a7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 16 00:01:20 2013 +0300

    lib: work around automake subdirectory limitation (fixes #9367)

commit bca1bc25f20914814da5bad3aafa2510c2bbcee6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 23:55:55 2013 +0300

    motionlib: build only once (refs #9367)

commit f2db31730eaed4abd3e2f43315a8cb6650c412cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 23:55:34 2013 +0300

    meta_engine: remove makefile recursion (refs #9367)

commit eba0cc12cf35c2b8b6a34b964c8f11b524999351
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 23:26:24 2013 +0300

    meta_engine: avoid genmf

commit 37af544562bcb1fa1aadd0f3f1379569fa4bc128
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 23:20:24 2013 +0300

    demux: remove makefile recursion

commit e3ac840e8aab6810635bd6db016e4e0bab618095
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 23:10:44 2013 +0300

    demux: avoid genmf
    
    Also rename dirac to diracsys to disambiguate from the encoder.

commit 2585f1d925361c2f2fef4ed750ac201f3ac0f5e2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 22:23:10 2013 +0300

    codec: remove makefile recursion

commit ee8376da7ce447ae91a509bde8eb133b817fcd43
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 22:18:06 2013 +0300

    codec: avoid genmf

commit fc25a3a11f2a94a501786fa27f2a413132522444
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 19:54:25 2013 +0300

    access: remove recursion
    
    If you missed the fact that recursive makefiles are harmful, there is
    plenty of documentation online (try "Recursive makefiles considered
    harmful"), or ask the libav developers for the more concise version.
    
    This change and the previous ones, are particularly boring though. The
    main motivation is to eventually address #9397, after the same change is
    applied to codec/, demux/ and possibly a few other subdirectories.
    
    Note that some more simplification between Makefile.am files and
    configure.ac is definitely possible - if someone is bored.

commit 98cea7a2a22ceedb3c6eebc4b4f3fb40d263ba09
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 18:47:01 2013 +0300

    modules: remove VLC-specific AM_LIBADD, simplify

commit 20cdb051acbe12ffee1f52e2e15e566762f04949
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 17:41:11 2013 +0300

    modules: simplify CPPFLAGS & CFLAGS

commit e679db425d1c2a5bafdee42044ca88c19ff671b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 16:20:07 2013 +0300

    modules: set MODULE_NAME_IS_... where needed only

commit e67cf044cc56b0492e33c54ddeb7543a52ebdf85
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 14:19:53 2013 +0300

    modules: use different directory prefixes for each plugins subdirectory
    
    This is just a step toward less recursion.

commit 59b95f3596fb0f4eb870455631c21195db8e2782
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 14:18:47 2013 +0300

    genmf: remove unused or broken stuff

commit 8981d4b8acbb1f0d7158211c91521d3928b57dce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 12:16:05 2013 +0300

    access: avoid genmf and clean up

commit 6e92a6302c52cda04825e864831079a5be4a7146
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 16 18:18:17 2013 +0300

    Exclude ALSA from test builds
    
    libasound2 seem to cause spurious test suite failures.

commit 8c6c1e78ebcb534fcdfe00aa3db195f6f351d63e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 17:33:09 2013 +0200

    Win32: do not map Volume keys by default
    
    On Windows, it seems people expect volume keys to control the master
    volume...
    I'm not going to fight this fight with our users during support...
    
    Ref #9373

commit a6a85ef927c02541847538f2ba148fb1c19b0370
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 16:46:22 2013 +0200

    Win32 installer: do not try to elevate on XP
    
    Should close #9375
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c14d76a3d7d8cb31c03d413ddd27e00254f02e16
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 15:10:26 2013 +0200

    Mention WebM streaming in NEWS

commit 48caf519caa41f06b9f535f4be88de1b71064775
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 15:04:41 2013 +0200

    Contribs: Use x262 from VideoLAN

commit 3b65b0b777ad1f05dfe0f020b2df5cd1f98233db
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 16 15:03:13 2013 +0200

    NEWS: mention x262

commit 79ced312c75548037d641153bf3e7c092b71e3f8
Author: Steinar H. Gunderson <steinar+vlc@gunderson.no>
Date:   Fri Aug 16 16:42:40 2013 +0200

    httpd: Start new clients only at keyframes.
    
    When the mux is capable of marking blocks as containing keyframes
    (currently only the avformat mux), start new clients only on such
    frames. This makes sure they do not get anything they might not
    decode at the beginning of the stream.
    
    This patch completes WebM streaming support.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 0e73f22eb5e02151b94a4bffe0086e813d0d6a23
Author: Ben Littler <tempn@twmi.rr.com>
Date:   Sun Sep 15 22:38:40 2013 -0400

    Support vivo g723.1 in asf
    
    Sample:
    http://www.photoflashgraphics.com/designers_portfolio/premiere_movies/multimedia_movies/bellair_digital_movie.asf
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2e8f8c2f8d91cdc38837b9a197fd0dcc5880547a
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 15 20:44:43 2013 +0200

    macosx: use old logic to hide menu bar if old spaces system selected im mavericks

commit 03c69b44b3ddb9971f34ea4e9bfacc0e23a23a23
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Sep 15 20:00:06 2013 +0200

    demux: ogg: handle broken chapter extension

commit 2ff0bceaa726123620f714f0567cf901bf8cf113
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 17:07:47 2013 +0300

    msg_...: default value for MODULE_STRING
    
    This was often confusing external plugin authors.

commit 5007283a1801920f54dfebeeb2548b273282475d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 17:04:02 2013 +0300

    msg_...: accept filename as module

commit 6ef248d6518300009ca7d8d1c1cd2811bc3b080a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 15:26:45 2013 +0300

    globalhotkeys: use different names for Win32 and XCB targets
    
    This works around an automake limitation with multiple directory
    prefixes.

commit 6d223c4ca871337f524c246ac16091d7a2119823
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 19:22:18 2013 +0300

    mash: remove plugin
    
    Upstream is gone. Maintainer has left. Build system support is missing.

commit d9faecd8355ad7895cbb5851e9c2f7412acd08e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 17:20:03 2013 +0300

    configure: remove no-op

commit a0721c13f2ca2badb9b79701e47333156bcbb58b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 11:25:28 2013 +0300

    jack: simplify build rules

commit 6975a29acb8a215a7cbaa0a3f1ed1098ceb8a03b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 10:44:28 2013 +0300

    rar: merge access and stream_filter in a single module

commit c71e578944a55fbe4731aef6a3840bbf03ee97df
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 15 10:26:15 2013 +0300

    access: remove stray access_directory

commit 739bb77b22b77feb8573a84cc17d46738de23a5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 22:47:37 2013 +0300

    dts: compile header helpers only once (refs #9367)

commit ca8d2b7620d50137cd820eb8cc4dbb232831d4d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 22:43:53 2013 +0300

    codec: avoid genmf for simple audio codecs

commit 14ee5e98960d1b0d5a0da11d369d37640683af29
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 19:55:47 2013 +0300

    i420_rgb: split files and clean up

commit 38917a2211614a4e5ffe989487250ee051b77be7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 19:45:18 2013 +0300

    i420_rgb: dead code

commit 640d0794a0840343aa2c14e8cb8d8abfe37a22df
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 19:29:35 2013 +0300

    modules: factor Makefile statement

commit ef0cc2a1c14d960316d2f4505a35bdd4fd82f5dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 18:59:24 2013 +0300

    avcodec: move more build logic to Makefile

commit 773c26ea985deba4f480c155d04d80132b1dfd1d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 17:22:40 2013 +0300

    avformat: avoid genmf

commit f67f4a15c9124e816dd1076f7c2b37a6864eb44e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 17:09:54 2013 +0300

    configure: expose -Bsymbolic to makefiles

commit c6291f7bf93bb00516c190adca53ec939571fe53
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 16:29:56 2013 +0300

    configure: remove stray references to memcpyaltivec

commit 43b465fe061273581e1163331320259b087c246d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 16:26:13 2013 +0300

    altivec: merge back into video_chroma (refs #9367)
    
    It is a bit odd that both inline and external flags are mixed together.
    This might be an old silent bug.

commit 4c7fcb01d7635b5b8b5f7eb1b173277090b9443b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 16:20:09 2013 +0300

    sse2: merge back into video_chroma (refs #9367)

commit 4ec424aa0845c5372302fa7455881873d3291656
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 16:12:34 2013 +0300

    mmx: merge back into video_chroma (refs #9367)

commit 928e2fbf7aeaa02a7f9b1ab4e0ecd838c33d0ed0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 15:59:48 2013 +0300

    video_chroma: avoid genmf

commit 9ccb4a6d17156608e9de8d9de456bd344e58e71c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 14 15:43:06 2013 +0300

    Remove left-over .gitignore files

commit d259081ad4b8925f4364b06aea97595919020613
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 13 22:49:42 2013 +0300

    PulseAudio: compile helper only once (refs #9367)

commit 3f77b01af9a07951d9c3f7bedd59d5ceb6905af3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 13 22:36:42 2013 +0300

    XCB: compile events.c only once (refs #9367)

commit 6310a57c607bc44a0cc9657dafc6628027461cc0
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Jul 7 11:24:41 2013 +0300

    x262: add new x262 MPEG-2 encoding module based on x262
    
    This relies contrib version of x262 that gives x262.h and all. Otherwise
    it seems to be pretty hard to have x264/x26410b/x262 in the same time.

commit e0f62b6ab2e6eac41cba3eff1177179d8a44b73e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Jul 7 11:24:23 2013 +0300

    contrib: add custom build for x262

commit 21d5c53baea76bf09a60b48f865f93d1c1c52eeb
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Sep 13 17:01:19 2013 +0300

    livehttp: refactor Close
    
    Use Write-function and refactored functions to check that in flushing
    we don't write too long last segment but split it in multiple segments
    if needed. Fixes #9383

commit 45eeff74337aa36ebc385b0f2d31f4fd0c57cb33
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Sep 13 17:00:48 2013 +0300

    livehttp: refactor segment change and writing into own functions

commit 82d7c41a88adb9fd85d956c949876315871eb138
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 12 23:59:34 2013 +0200

    Qt: convert: don't enforce container extension (fix #9282)

commit 688f5db3c8764faed15a735f987b4fe85413a833
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Sep 12 21:48:04 2013 +0200

    auhal: ignore invalid default audio device changes (fixes #9374)

commit ae871faa280033ebb8a7ecd893c369d9a5894bc8
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Sep 12 21:45:12 2013 +0200

    auhal: fill size variables correctly for AudioObjectGetPropertyData

commit 9534914d790021d96375a01e34bc369a196e86ef
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 12 21:27:35 2013 +0200

    demux: ogg: drop useless initializers

commit 256391f7caacf5b47d5f9ba27ff7368dfaf009f1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 12 19:00:23 2013 +0200

    demux: ogg: add replay gain support

commit d6e513d103c1a5be83604c96af10d6d6c79f1273
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 11 21:47:35 2013 +0200

    demux: ogg: reorder chapters

commit c03472dddf6122be32568fe70e9f7b03a8176218
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Sep 11 21:58:37 2013 +0200

    Qt: fix mismatched <p> tag

commit 3118ce0cd3870d609401d7f19c3f9619ec843ded
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Sep 11 21:57:58 2013 +0200

    Fix grammar in comments

commit 21f7155e3a5086c02b18bee058b649893de265ad
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jul 27 19:38:44 2013 +0200

    extras/tools: disable contrib compilation of gpg-error, gcrypt and lua since we don't use it for now

commit aeb502a496cf86a1a7a80a26b412c630a0ed4584
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Jul 28 19:24:30 2013 +0200

    extras/package: compile quartztext module for iOS

commit ef8b3a7b0d07fd154fe68fecc22449bdb6781278
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Aug 4 19:50:19 2013 +0200

    quartztext: fix relative font size handling

commit c06caaad678b360bafca77db4c2be0d3d82e96f3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 11 18:09:13 2013 +0200

    postproc: allow the use of 'thumb' if we don't specify 'small'

commit 3bfa3ffc2a8e2647c1fea2240d85774427840616
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 11 18:09:01 2013 +0200

    ffmpeg/libav: allow the use of 'thumb' if we don't specify 'small'

commit b3907498a3df206e37c009e239ec55b11cedbe43
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 11 18:06:41 2013 +0200

    extras/ios: don't use small contribs anymore

commit ae7b7ece58550de04680fa0ff680a9da19cfb1ed
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 11 17:54:27 2013 +0200

    macosx: minor code cleanup

commit 2d4b2ba4e270fee99e32f50e3c9948b92c38e5fe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 16:42:14 2013 +0200

    s/informations/information

commit c77682bf86c533feee6c51e8b47a99df11ebd0d8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 11 16:05:00 2013 +0200

    macosx: Update Sparkle Appcast URL as we won't provide fat binaries for the foreseeable future anymore

commit 35821c659dbbf23c6db6ed494f3aa0c9e12bf5fd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 11 16:04:14 2013 +0200

    Revert "extras/osx: switch to update-test.v.o so we can provide beta updates for 2.1"
    
    This reverts commit ce972e181e5b8df061cb0b9912e66024690e4887.

commit b5b5d5bd61ce94ae58afbfdcfdb3e1798d32270c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 13:44:53 2013 +0200

    WinGDI: remove useless includes

commit c2aab37ebab408a4dd9fb95f7ab0560a43c9d6f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 13:42:12 2013 +0200

    glwin32: remove unneeded includes and defines

commit bb5b541089f9b6f0be39dd34b51f6e3375a62427
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 13:30:56 2013 +0200

    DirectDraw: remove unused include

commit 88ca4341cd11f6c7b409647512cb2289e0d38f94
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 13:03:41 2013 +0200

    Win32: cleanup the events.c codebase
    
    No functionnal change

commit deb9a70eb6fff31aad3f4980d4eabd7d673431cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 12:53:00 2013 +0200

    Win32 vout: update comments

commit 302523b2ae794b3a61c1c62a5f56c160a9e8ccd9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 12:46:57 2013 +0200

    Win32 vout: Remove unused sys_t member

commit 49ee6502b1c1be9015e64ea9c9d39115ce83ca03
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 12:41:18 2013 +0200

    Glwin32: move affinity to the glwin32 structure

commit ab93e351a251d05ca91c69e7fd02daf45e1983bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 12:30:19 2013 +0200

    Win32 Vout: remove unnecessary includes

commit c02f09fff7c608e7ac4b4dcfbd0e12ad0d732aca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 12:24:38 2013 +0200

    Win32: include headers where needed

commit 3a54956ccca06c0bf8e179f6841b7d7ca1284d2a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 12:25:02 2013 +0200

    OpenGL.h: protect double-inclusion

commit 062a0875fe541dd1c61d180be190440aacd675fe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 11 12:20:14 2013 +0200

    Win32: common code is not DirectX specific

commit 47b8510aa2d5fe307021bb751ccc6d0807ab4c2e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 11 00:16:41 2013 +0200

    demux: ogg: correctly handle chapters.
    
    See http://wiki.xiph.org/Chapter_Extension

commit 22c9b6fecfac5c62cf20369f602fbe95e7350f13
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 9 17:34:17 2013 +0200

    es_out: don't add codec info if none

commit 9ddf97b4e63a2ecf88a01654473364e500e6ee3c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 10 15:35:59 2013 +0200

    DirectSound: don't alloc p_sys if we're gonna fail
    
    If DSOUND.DLL is unavailable, just fail fast.

commit 5ba5e47281651b28fc6592746a4017376c995fff
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Sep 7 16:03:35 2013 +0400

    contrib: hopefully fix gme build on mac
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 465feb59f9218a62be4b310f8be8bab6e38f4286
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 9 22:50:52 2013 +0200

    TS: fix playback of HDPR files

commit f3f0a7faf3e7891b3e9bd1b1448063bbb4e49f83
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 9 11:45:29 2013 +0200

    Freetype: move ProcessNodes to text_renderer

commit 4f9007cf49b89a3212a982974753a03d7cce1c4d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 9 11:28:59 2013 +0200

    Freetype: simplify ProcessNodes without using p_sys

commit e1dce21ee892053fcb9188c9d1910e02d18cdcde
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 9 11:39:20 2013 +0200

    Freetype: Use the style also for the mono font

commit d2e1ceb01546030ec2586a514ef49c1d50e47cdb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 9 11:32:47 2013 +0200

    Add a mono font name to the text_style_t

commit e7eb86a61ca0cb5d343643aa0135c6a9521366d7
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Sep 9 16:42:23 2013 +0200

    use i_visible_ dimensions to initialize encoders

commit e0bf2bb3721214b2d663ed1b7203f2621fd62a7c
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Sep 9 16:20:18 2013 +0200

    transcode: use width/height if visible dimension is not specified by decoder/filter

commit cac5ac7d0aba83dfabf3ce3e11ec7adc7cfb4e45
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Sep 9 14:23:12 2013 +0200

    Closed Captions: spawn a decoder thread
    
    We can't keep the cc decoder serialized with video decoder.
    If the decoding delay between packetizer and video decoder is bigger
    than caching (for example when using multi threaded decoder), we will
    be too late for the next picture display while we wait for the right
    rendering time for the CC.
    
    Close #9049

commit 34026a50abd88ad66233af2557e0b3539afed6ec
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Sep 9 12:10:29 2013 +0200

    transcode: set visible resolution correctly
    
    Fix needed after b71c85b3d88b8
    Encoders should use i_visible_width / i_visible_height
    
    Refs #9147

commit 79d5e11b62baa4534b064903fadf5fcfbde6a5b5
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 8 19:50:05 2013 +0200

    macosx: more space for l10n in simple prefs panel

commit a80285784103e6004a151a95582a7cf4fc58b56c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 8 19:13:18 2013 +0200

    macosx: fix l10n issues

commit 78acea5c00a46877d9d28d9506bdc83883b0b1c0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 8 18:52:56 2013 +0200

    Configure: fix some checks about Qt5Core
    
    Pointed by BtbN on IRC

commit 52868ca617551cfd492d9acf7b9b097c6feaafc2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 8 18:40:06 2013 +0200

    Qt: increase the bottom combobox margin for audio device selection

commit 3d14918f81dd3216242ca0dba8857860274e066c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 8 18:39:29 2013 +0200

    Qt: correctly display waveout options

commit 8f8948d9c02220d6d732159b3b1cfff50ed33f0f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 8 18:31:08 2013 +0200

    Qt: correctly show the afile options

commit d39285a18cd99fdc76a20fc317074e0ee862a504
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 8 18:24:38 2013 +0200

    Qt: remove SPDIF option

commit 22ccb7a210ce33ea6de896985b7900bc1c170867
Author: Denis Charmet <typx@dinauz.org>
Date:   Sun Sep 8 17:54:54 2013 +0200

    Don't use more aout channels than the stream actually has to avoid upmix.
    
    Fix #9342

commit 0f93aae701dc25657e206d9d776c5f949d142acb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 7 22:34:09 2013 +0200

    VorbisChapter: prevent overflow

commit 363c9d81c26c069f04716ece14c1a77f1e2c4a40
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 6 15:09:42 2013 +0200

    mux: avi: use reallocable block instead of fixed size buffer

commit f39601e5d538d92c49c684d0899dfc5105c5ed92
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 4 11:21:56 2013 +0200

    mux: avi: add metadata.
    
    Implements INFO LIST chunk.
    See OpenDML spec.

commit a82001d331fb644bd64d956a712d755f495c0d66
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 4 16:05:01 2013 +0200

    mux: avi: improve RIFF header builder.
    
    Current RIFF header builder was working with static sizes and
    was unable to handle extra metadata.
    
    This will also save more than 9.5KB on most files.

commit 1b4c719d06c758c0f9e19166b7a42a99cc6717f3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Sep 7 22:08:47 2013 +0200

    demux: ogg: handle opus seeking (fix #9334)

commit 26651679f6c67440cb3d942491e170ba383f970c
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Sat Sep 7 21:53:07 2013 +0200

    DirectSound: use a new strategy for erasing the ring buffer
    
    Close #9275 #9328
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c435b2e5c6305af567bbe0e6a276c2634d82042e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 7 21:04:22 2013 +0200

    Win32 vlc.exe: simplify by not calling asprintf
    
    Suggestion from funman

commit 95690e162601bc1253c7cb2099cd8a3e2da64aff
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Sep 7 19:52:04 2013 +0200

    youtube.lua: descramble signatures by parsing javascript code
    
    This should be more resilient to updates.
    
    Fixes #9217

commit 56107241da059e30c8faf0a91f6cb415d862e0ee
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 7 18:35:07 2013 +0200

    Qt sprefs: save lang in registry
    
    Close #9329

commit 7f4ef985c1e92daabfbeb959f02f058c4c3f1d0c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Sep 7 15:23:43 2013 +0200

    zvbi: fix teletext decoding broken in b3c35a765 (close #7730)

commit 7439ce1970cbba613dddce797b75a383b448da2d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 6 19:49:36 2013 +0200

    Win32: take LANG value from --language and the HKCU value

commit 885ec1a00476b877df9b5c44f8bc0413320b3f2d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Sep 7 11:14:50 2013 +0200

    lua: http: fix inline-block buttons with webkit (fix #9340)

commit 554f010cc2e5a1907ce2265a917d416dab68eac6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 6 22:05:36 2013 +0200

    demux: mkv: wrong struct member.
    
    copy/paste...

commit 12d92b9605a8366fb460af0bdc31f4957b78c3dc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 6 22:02:12 2013 +0200

    demux: ogg: update seekpoints info on new seekpoint (fix #9333)

commit beefa854cf2a6f3525f6d5288d42e4c09cdefdb7
Author: Ben Littler <tempn@twmi.rr.com>
Date:   Fri Sep 6 18:18:27 2013 +0200

    Map another twocc for g726 in wav
    
    This patch should fix this sample:
    http://samples.ffmpeg.org/A-codecs/g726-test1.wav
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 666851ce3af8f910daa63358797b196771f8302a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 6 15:22:23 2013 +0200

    Qt: menus: do not store QModelIndex.

commit 78390cbc014021a650462ed75f2f67c303ac137a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 6 15:16:12 2013 +0200

    Qt: menus: correctly connect chapters signals abstraction layer

commit d32d532b62595b17dd88ea4e2e424cb11337118a
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Sep 5 16:10:32 2013 +0200

    omxil: rpi: Fetch pixel aspect ratio from decoder.
    
    The broadcom omx implementation has a vendor extension to fetch pixel aspect
    information from the decoder. Use this to pass proper aspect information with
    the pictures.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 3b564f5f943a0687706ff5f1b6a70288eacfd909
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Sep 5 16:03:01 2013 +0200

    omxil: vout: Handle dynamic aspect changes.
    
    Handle changes of aspect ratio through the Control handler.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit d73a089667ec53904caed09b3966652e2229ef97
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 5 22:21:11 2013 +0300

    Update to gettext 0.18.3.1, fix AC_CHECK_DECLS usage

commit d3bd87aaf39384e888c4e06f7ecdf46e4efc41c1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 5 22:20:01 2013 +0300

    Add subdir-objects automake option where appropriate
    
    Makes version 1.14 happy.

commit 6f98d4ba651e63d92670f6eea93d7636772e913a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 5 19:14:32 2013 +0300

    avcodec: align dimensions only for software decoding
    
    There is no use to CPU memory edges when decoding in hardware (arguably
    libavcodec should be "enhanced" to not add them in that case).
    This unbreaks VDPAU.

commit afac3fecfedf8b6979c2b74e6c7f8b3121db3588
Author: Steinar H. Gunderson <steinar+vlc@gunderson.no>
Date:   Fri Aug 16 16:42:39 2013 +0200

    avformat mux: Mark keyframe blocks as such.
    
    Some browsers, such as Firefox, are very picky about WebM streams needing to
    start with a keyframe. To be able to handle this correctly when streaming,
    the avformat mux needs to mark keyframe-containing blocks (or clusters, in
    Matroska terminology) as such even after they have been muxed. The next patch
    in the series will make httpd actually care about this flag.
    
    Unfortunately, as avformat does not actually propagate this status, we need
    to use some heuristics to figure out which blocks contain keyframes. The natural
    thing to do would be to say that when we write a keyframe, the block that comes
    back has to be a keyframe block, but the WebM/Matroska muxer thwarts this by
    having its own internal buffering of clusters, flushing the _previous_ cluster
    when we send it a keyframe. Thus, we need to explicitly send a flush (a NULL
    packet) before the one that comes back when we mux a keyframe.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9b554a69b02c4c3957f4306a91d787c9d7e86c8a
Author: Steinar H. Gunderson <steinar+vlc@gunderson.no>
Date:   Fri Aug 16 16:42:37 2013 +0200

    Increase the avformat mux buffer size to 10 MB.
    
    The previous value, 32 kB, causes formats like WebM to overflow
    and split the blocks, which has negative consequences for streaming.
    We're unlikely to have a memory crunch in this area, so increase it
    to something generous.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9a0efe5e17d3d3cd7b488620a50bb44502ddc1a5
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Sep 4 21:45:57 2013 +0200

    ncurses: fix crash after deleting last item

commit 2ff2139198ffec4f6184c9d1c7efe71dcf7fae11
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Sep 4 21:36:36 2013 +0300

    PulseAudio: disable fix-rate when negotiating pass-through (refs #9309)
    
    API design bug in PulseAudio...

commit 7771a49e7261e9077c9aecb458293982a3607ca1
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Sep 4 18:14:30 2013 +0200

    directsound: fix crash when no audio card is present on the system

commit e35f208525f1da9638e8d5bc548a0b7ce64cd738
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Aug 27 19:45:29 2013 +0300

    httplive: remove write-only variable

commit 834987a1fd817b00f88ef665e033264e2ea78e11
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Sep 4 13:52:56 2013 +0300

    livehttp: use playlist max duration instead segment max duration to calculate if we can remove segment in live case

commit b71f82a198a19c5b2142649915cc5369d575c797
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Tue Sep 3 11:54:00 2013 -0700

    Remove K&R macros from unzip declarations - 2
    
    This macro is called _Z_OF on my system, not OF. But it's only
    there to support K&R function declarations, so just get rid of it
    entirely.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f29ec9cd00e257d687323da4f9f732674d3e831a
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Tue Sep 3 11:43:00 2013 -0700

    Remove K&R macros from zip declarations.
    
    This macro is called _Z_OF on my system, not OF. But it's only
    there to support K&R function declarations, so just get rid of it
    entirely.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a8271c46ac80ac23c910595c8c5188a0b8218417
Author: David R Robison <drrobison@openroadsconsulting.com>
Date:   Tue Sep 3 20:16:52 2013 +0200

    Win32: allow affinity changes in OpenGL output for nVidia GPU
    
    This should allow to balance the GPU load across multiple nVidia graphics cards.
    This patch introduces a new command line argument that allows the user
    to set the nVidia card affinity.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 90496f23c2481bbaea21a586bc22631850751221
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 3 16:29:45 2013 +0200

    Win32: launch the application at the end of the installer
    
    But with the correct Integrity.

commit 8a5a51bf23514ebd62d04d183a5799bd5c5caca3
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 09:28:41 2013 -0700

    Add support for parsing more Ogg tags.
    
    This fills in the initial vlc_meta_t object with more of the fields
    it knows about, ensuring fields that we can edit with taglib don't
    show up in the 'Extra metadata' panel.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 478199d685b43575ecd7b8ac42ff82c6fb669bce
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 3 11:46:30 2013 +0200

    Qt: use validator for clipboard input

commit f867f9cfedebe742301341b388dbfeb84b7968c0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 3 11:41:20 2013 +0200

    Qt: move validators

commit c73cb845d48fb926295a7eeaa13b212cce4e5618
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 09:28:41 2013 -0700

    Sort Xiph tag checks.
    
    This places them in the same order as they appear in vlc_meta.h to
    make it easier to see which ones are present and which ones are
    missing.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b429f0af4bebdb514aa0db75f75e2ceea7001da
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 11:15:13 2013 -0700

    Support alternate TrackTotal styles in taglib.
    
    vorbis_ParseComment() supports several different methods of
    specifying the total number of tracks. Update the taglib module
    to support reading in the same set.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c9c4f8cfc96525917e04fe7664033dfc3877baa8
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 08:50:52 2013 -0700

    Add support for writing more Ogg tags.
    
    This propagates more of the data between a vlc_meta_t object and
    the taglib object used to write out new metadata. This should
    support everything except Setting, URL, NowPlaying, ArtworkURL, and
    TrackID.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cbae8d3be2b3881ff9e84b2dfb3c335f27dd3cd2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 2 23:45:36 2013 +0300

    demux: use stream_vaControl() where applicable (fixes #9302)

commit 7e12de500ae41b1d62cd08ee503424cbf9ca977f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 2 23:34:06 2013 +0300

    es: copy va_list only when needed

commit 8beacc9ef7591cd960e41226a5b513a7c81c3a19
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 2 23:07:33 2013 +0300

    PulseAudio: remove unused datum

commit 5e2cb4628173e5c42b9918644b1ae7f91f2e062e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 2 23:01:17 2013 +0300

    PulseAudio: remove broken logic
    
    sys->first_pts is the time the stream started originally, but was
    mistaken as the time of the stream was paused.
    
    Now, it is assumed that pausing and resuming take approximately the
    same time. This is usually true, and if it is not, there is no way for
    either VLC or PulseAudio to know (since ALSA does not expose
    pause/resume latency informations for the underlying devices).
    
    In practice, this makes no real difference other than removing a bogus
    warning about being late when resuming from pause.

commit c7a7824f98d4953fe43b284650ba22240282c96a
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 09:48:12 2013 -0700

    Show Save Metadata button when editing comments.
    
    QTextEdit doesn't have a textEdited() signal, but textChanged()
    works well enough if we disable it while we're changing the text
    ourselves.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d9a00b1ec0b51bfb157e4486920af3521a06989d
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 09:27:13 2013 -0700

    Fix a memory leak in ParseVorbisComments().
    
    Also, don't abort parsing the rest of the comments if we encounter
    an empty one.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d55b91790fe22877afdb9955c830cc7db1c23a37
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 08:56:43 2013 -0700

    Update the language when saving metadata.
    
    Otherwise it won't get saved to the file.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a27cd70ce8a6b62b153dae2a185d088b0aff0967
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Mon Sep 2 07:53:37 2013 -0700

    Add support for updating Opus metadata.
    
    This requires a taglib version with Opus support, but such a
    version has not yet been released, even though support has been in
    git almost a year. This version is scheduled as version 1.9
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4bbf21659b0b565034d15b1c1b8db8cda6e6c1a3
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Sep 2 17:57:06 2013 +0200

    Qt: trim the MRL before validating its content (fix #9289)
    
    The default implementation of QLineEdit only calls the fixup method if the
    user presses Enter and the content is not currently valid.

commit b2d1124ea4182d2944ff5dd7fb3fafc3890f8f31
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 2 18:18:05 2013 +0200

    MacOSX: fix engrish error

commit 11104cb5b25c366bcac66736d862c81f31dc1016
Author: Sergey Radionov <rsatom@gmail.com>
Date:   Sun Sep 1 21:00:18 2013 +0700

    libvlc: libvlc_MediaSubItemTreeAdded event type added
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 5ad7967e01ac46fd1de0a1ca7af97004c07fd747
Author: David R Robison <drrobison@openroadsconsulting.com>
Date:   Mon Sep 2 18:40:05 2013 +0300

    mjpeg: work around broken MIME separators in crappy firmwares
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 6ef4ee0f1ddda2f4797f4e895323362544e08703
Author: Paul Clark <paul@packetship.com>
Date:   Fri Aug 30 13:59:14 2013 +0100

    Allow negative rates
    
    Some inputs (e.g. RTSP) can provide negative rates (rewind) just fine
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 92b27c22a4896ac6485140fbf4f0eba3c591a4dc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 2 16:57:17 2013 +0200

    scene: Fix division by 0
    
    Close #9291

commit 8d0ea8a0adb6f2c65432610c0a3afdca79445ddb
Author: Denis Charmet <typx@dinauz.org>
Date:   Mon Sep 2 15:02:34 2013 +0200

    Correctly repacketize wavpack frames from Matroska
    
    Since libavcodec decoder doesn't expect matroska formatted wavpack anymore.

commit be64714e9899b498b68e6edbf1afe2f89b12ff5c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 1 14:13:15 2013 +0200

    auhal: respect changes in default audio device during playback (fixes #9266)

commit d9431a2392b1864ee1069445bfdff2a4216bc4e4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 1 14:10:08 2013 +0200

    auhal: cosmetics

commit d9a2daacb364b219c9b860c9065312469f54c0c4
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Aug 31 18:51:09 2013 +0400

    extras/tools: bump cmake version to current stable and add a patch fixing build on OSX Mavericks.

commit 994dfedd6b5abf8833c20a07e9de219b62787c13
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Aug 31 18:52:48 2013 +0400

    extras/tools: fix ragel build with clang on OSX Mavericks

commit df958179f875265c2f3efc2a2484a015d93cfa8a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Aug 31 14:49:44 2013 +0200

    Input clock reference: bump maximum gap to 60s
    
    Some APE files can have a single packet duration of up to 30s
    Is there even a hard limit in this format, or can packets be longer?
    
    Previous gap limit was an arbitrary 22s, written in a way reminiscent of
    the MPEG 90kHz clock, which does not make sense anymore since reference clock
    in all our demuxers use our own 1MHz clock.
    
    Also explicitely use CLOCK_FREQ

commit fa6218de7ceef86581f575844c3e7ce1e55d1ee4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 31 18:45:32 2013 +0300

    avcodec: pass aligned picture dimensions to video output
    
    This enables direct rendering for H.264 software decoding.

commit 1b2711de3e2f5f1c46b57edde92983ab84d06db9
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Sat Aug 31 17:26:42 2013 +0200

    doc: New fortune :)

commit 4316ff068b14eff72d3adecd432a602a453db95d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Aug 31 17:29:33 2013 +0200

    lua dkjson: use us_tostring() to fix locale issues with decimals
    
    This only fixes encoding but we don't use decoding anyway.
    
    Fixes #8854

commit f2ace0979781552874c937fa2c7977ee389e3b74
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 31 16:00:28 2013 +0300

    compat: add some more thread locale constants

commit 0d50df2437d2d0938991817727baadc3344a603f
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Aug 30 00:26:10 2013 +0200

    omxil: Use pts instead of dts by default
    
    I don't know of any codec that actually works better when passed dts
    instead of pts. If such codecs exist I do think they're a minority
    compared to the ones that can handle both or that do prefer pts.
    
    Additionally, the Android media frameworks pass pts to decoders in
    general, not dts. (Vendors might of course have individual hacks,
    but this is what the generic code does.)
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 0d69d32c6bab42aaa219302f5abfd59c7add6839
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Aug 30 00:24:52 2013 +0200

    omxil: Include timestamps in the omx debug messages
    
    This is often useful when debugging, when trying to keep track of frames.
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 198e369c5dc3cc6bc7bd94394e7dcfabf5bb68c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 29 20:51:20 2013 +0300

    Correct typo (fixes #9292)

commit a948f09671f15b9e84c19d14b91f3ee0aa0eee91
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 28 20:15:14 2013 +0200

    Fix VLC_CLIP usage (and potential divisions by zero)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e5beadb8b156b406175a6d3154169f224e2d4168
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 28 20:15:12 2013 +0200

    Fix memory leak (cid #1048910)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b0293e2f7453f4d40d0d852eb3b825ef9e11a349
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 28 20:15:09 2013 +0200

    Fix sizeof mismatch (cid #1064682)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d8d34fbe44aadaf34136a2da58ec0ac69a767e0a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 29 01:01:45 2013 +0200

    Freetype: move GetStyleFromStack to helper

commit b13e8ff108d52e1451bde44528df696422b61dcb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 28 18:05:56 2013 +0200

    Freetype: use a text_style_t in p_sys

commit 6d151864757ec65168c2ea4ba9fe4a320683de8d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 28 17:53:50 2013 +0200

    Freetype: harmonize between platforms

commit e38a28c3ba64d59a46f993fb9c5c8fce99c2fdfe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 28 17:18:37 2013 +0200

    Freetype: use psz_fontname

commit 43567b83e36b3facbb2fc31e2a75de2f631b212b
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Aug 28 17:40:35 2013 +0200

    cue.lua: remove tabs

commit 3e43d99c32e4367dcd1908551c1a4f50bb2dbccd
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Aug 28 17:27:12 2013 +0200

    cue: support Latin1 cue files (fix #9238)

commit 705d9918707a6a1429cf5affc197fdc87cf9e90f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 28 17:09:05 2013 +0200

    Freetype: use int instead of uint8 for alpha
    
    And remove write only variable

commit 3210dd93f9577f78aaf6093413a899bffcf23a2b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 28 16:46:35 2013 +0200

    Freetype: move arguments type to match text_style_t

commit bae5574adc948bf048bcf4078d88a0f2963ad64c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 28 16:37:50 2013 +0200

    Freetype: rename variables to match text_style_t names

commit 3ce7d614192412d8502868c679671bbd4f747dff
